/*
* Led -- leds manipulation *
 (c) RouterTech.org 2008
*/

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <ctype.h>
#include <sys/ioctl.h>
#include <unistd.h>
#include <fcntl.h>
#ifdef ROHS
	#include "led_manager.h"
#else
	#include "led_ioctl.h"
#endif	

#define LED_DEV_FILE  "/dev/led"

int main(int argc, char *argv[])
{
	int fp; // file pointer
	LED_STATE_T led_state;
	LED_MODULE_T led_mod;
	int ret;

	if ( argc < 3 )
	{
		printf("\nRouterTech Led manipulation tool");
		printf("\nUsage: Led [module_name] [state_integer] \n");
		return -1;
	}
	else
	{
#ifdef MYLED_DEBUG
			printf( " module %s \n",argv[1]);
			printf( " state  %s \n",argv[2]);
#endif
		if ((fp = open(LED_DEV_FILE, O_RDWR)) == -1) 
		{
			printf("unable to open LED device file\n");
			return 0;
		}	
/* Register our interest in the led state */		
		led_mod.name = (unsigned char *) argv[1];
		led_mod.instance = 0; // never seen multiple instances
		led_mod.handle = 0; //new value returned
		ret = ioctl(fp,LED_GET_HANDLE, &led_mod);
#ifndef MYLED_DEBUG		
		if ( ret != 0 )
#endif		
		{
			printf ( " ret from GET_HANDLE is %d \n", ret );
		}
//		printf( " handle is %d \n",led_mod.handle);

		led_state.handle = led_mod.handle;
		led_state.state_id = atoi(argv[2]);
		ret = ioctl(fp,LED_ACTION,&led_state);
#ifndef MYLED_DEBUG		
		if ( ret != 0 )
#endif	
		{
			printf ( " ret from LED ACTION is %d \n", ret );
		}
#ifdef ROHS
		ret = ioctl(fp,LED_RELEASE_HANDLE,&led_mod); 
#else
		ret = ioctl(fp,LED_RELEASE_HANDLE,&led_mod.handle); 
#endif
		
#ifndef MYLED_DEBUG		
		if ( ret != 0 )
#endif	
		{
			printf ( " ret from RELEASE_HANDLE is %d \n", ret );
		}
	}
	return 0;
}


