/*******************************************************************************
**+--------------------------------------------------------------------------+**
**|                            ****                                          |**
**|                            ****                                          |**
**|                            ******o***                                    |**
**|                      ********_///_****                                   |**
**|                      ***** /_//_/ ****                                   |**
**|                       ** ** (__/ ****                                    |**
**|                           *********                                      |**
**|                            ****                                          |**
**|                            ***                                           |**
**|                                                                          |**
**|         Copyright (c) 1998-2005 Texas Instruments Incorporated           |**
**|                        ALL RIGHTS RESERVED                               |**
**|                                                                          |**
**+--------------------------------------------------------------------------+**
*******************************************************************************/

/*******************************************************************************
 * FILE PURPOSE:    Flash operations header
 *******************************************************************************
 * FILE NAME:       flashop.h
 *
 * DESCRIPTION:     Flash operations header
 *
 ******************************************************************************/

#ifndef	_FLASHOP_AMD_16_H_
#define	_FLASHOP_AMD_16_H_

#ifdef _STANDALONE
#include <psbl/stddef.h>
#else
#include "stddef.h"
#endif


int AMDFWBGetBlockSize(unsigned int base);           /*Get Flash Block Size            */
int AMDFWBErase(unsigned int base,int size,int verbose); /*Erase flash                     */
int AMDFWBOpen(unsigned int base);                   /*Prepare for flash writes        */
int AMDFWBWriteByte(unsigned int adr, char cVal);    /*Write byte to flash             */
int AMDFWBClose(void);                         /*Write any pending data to flash */
int AMDFWBUnLock(unsigned int adr,int size);       /*Unlock Flash block(s)           */
int AMDFWBLock(unsigned int from,int size);        /*Lock Flash block(s)             */

int AMDFWBGet_flash_type(void); /* Valid for dual flash boards */

unsigned int AMDFWBGetNextBlock(unsigned int base);  /* Get base addr of next block    */

       
#endif /* _FLASHOP_AMD_16_H_ */

