/*******************************************************************************
**+--------------------------------------------------------------------------+**
**|                            ****                                          |**
**|                            ****                                          |**
**|                            ******o***                                    |**
**|                      ********_///_****                                   |**
**|                      ***** /_//_/ ****                                   |**
**|                       ** ** (__/ ****                                    |**
**|                           *********                                      |**
**|                            ****                                          |**
**|                            ***                                           |**
**|                                                                          |**
**|         Copyright (c) 1998-2005 Texas Instruments Incorporated           |**
**|                        ALL RIGHTS RESERVED                               |**
**|                                                                          |**
**+--------------------------------------------------------------------------+**
*******************************************************************************/

/*****************************************************************************
 * Clock Control
 *****************************************************************************/
#ifndef _APEX_CLK_CNTL_H_
#define _APEX_CLK_CNTL_H_

#define CLK_MHZ(x)    ( (x) * 1000000 )

/* The order of ENUMs here should not be altered since
 * the register addresses are derived from the order
 */

typedef enum PAL_SYS_CLKC_ID_tag   
{                                    
    CLKC_SYS = 0,                    
    CLKC_MIPS,                       
    CLKC_EPHY,
    CLKC_VBUS    
                    
} PAL_SYS_CLKC_ID_T;               

/**
 * This stucture is populated and passed on to the pal_sys_clkc_init function
 */
typedef struct PAL_SYS_Tnetv1020Init_tag
{
    UINT32 xtal1in;
    UINT32 xtal2in;
    UINT32 oscin;
} PAL_SYS_Tnetv1020Init;

#endif
