# Selected board type

BOARD=AR7DB


# Clock frequencies configuration

CONF_REFXTAL_FREQ    = MHZ(25)
CONF_AFEXTAL_FREQ    = KHZ(35328)
CONF_XTAL3IN_FREQ    = MHZ(25)
CONF_CPU_FREQ        = MHZ(150)
CONF_SYS_FREQ        = MHZ(125)


# SDRAM and FLASH Memory sizes configuration

CONF_SDRAM_SZ        = MEG(16)
CONF_FLASH_SZ        = MEG(4)
DUAL_FLASH           = NO

# EMIF configuration


EMIF_ASYNC_WAITCYCLE_MAX_EXT_WAIT    = 0x80
EMIF_ASYNC_WAITCYCLE_WAIT_POL         = 0x1

EMIF_SDRAMCFG_NM                 = 0x1
EMIF_SDRAMCFG_PA                 = 0x0
EMIF_SDRAMCFG_IBANK              = 0x2
EMIF_SDRAMCFG_EBANK              = 0x0
EMIF_SDRAMCFG_PAGESIZE           = 0x1
EMIF_SDRAM_REFRESH_INTERVAL     = 0x1E78

EMIF_ASYNC_BANK_1_SS              = 0x0
EMIF_ASYNC_BANK_1_EW              = 0x0   
EMIF_ASYNC_BANK_1_W_SETUP         = 0x0
EMIF_ASYNC_BANK_1_W_STROBE        = 0xE
EMIF_ASYNC_BANK_1_W_HOLD          = 0x1
EMIF_ASYNC_BANK_1_R_SETUP         = 0x0
EMIF_ASYNC_BANK_1_R_STROBE        = 0xE
EMIF_ASYNC_BANK_1_R_HOLD          = 0x1
EMIF_ASYNC_BANK_1_TA              = 0x0
EMIF_ASYNC_BANK_1_ASIZE           = 0x1 

EMIF_ASYNC_BANK_2_SS              = 0x0
EMIF_ASYNC_BANK_2_EW              = 0x0   
EMIF_ASYNC_BANK_2_W_SETUP         = 0x0
EMIF_ASYNC_BANK_2_W_STROBE        = 0xE
EMIF_ASYNC_BANK_2_W_HOLD          = 0x1
EMIF_ASYNC_BANK_2_R_SETUP         = 0x0
EMIF_ASYNC_BANK_2_R_STROBE        = 0xE
EMIF_ASYNC_BANK_2_R_HOLD          = 0x1
EMIF_ASYNC_BANK_2_TA              = 0x0
EMIF_ASYNC_BANK_2_ASIZE           = 0x2 

EMIF_ASYNC_BANK_3_SS              = 0x0
EMIF_ASYNC_BANK_3_EW              = 0x0   
EMIF_ASYNC_BANK_3_W_SETUP         = 0x0
EMIF_ASYNC_BANK_3_W_STROBE        = 0xE
EMIF_ASYNC_BANK_3_W_HOLD          = 0x1
EMIF_ASYNC_BANK_3_R_SETUP         = 0x0
EMIF_ASYNC_BANK_3_R_STROBE        = 0xE
EMIF_ASYNC_BANK_3_R_HOLD          = 0x1
EMIF_ASYNC_BANK_3_TA              = 0x0
EMIF_ASYNC_BANK_3_ASIZE           = 0x0 

EMIF_ASYNC_BANK_4_SS              = 0x0
EMIF_ASYNC_BANK_4_EW              = 0x0   
EMIF_ASYNC_BANK_4_W_SETUP         = 0x0
EMIF_ASYNC_BANK_4_W_STROBE        = 0xE
EMIF_ASYNC_BANK_4_W_HOLD          = 0x1
EMIF_ASYNC_BANK_4_R_SETUP         = 0x0
EMIF_ASYNC_BANK_4_R_STROBE        = 0xE
EMIF_ASYNC_BANK_4_R_HOLD          = 0x1
EMIF_ASYNC_BANK_4_TA              = 0x0
EMIF_ASYNC_BANK_4_ASIZE           = 0x2 


# MAC ports configuration

CONF_NUM_MAC_PORT   = 2

MAC0_PHY_MASK        = 0x80000000
MAC1_PHY_MASK        = 0x55555555
EXTERNAL_PHY_PORT0   = 0
EXTERNAL_PHY_PORT1   = 0


# Cache configuration

CONF_CACHE           = CACHE_WB


