/****************************************************************************
**-------------------------------------------------------------------------**
**                            ****                                         **
**                            ****                                         **
**                            ******o***                                   **
**                      ********_///_****                                  **
**                      ***** /_//_/ ****                                  **
**                       ** ** (__/ ****                                   **
**                           *********                                     **
**                            ****                                         **
**                            ***                                          **
**                                                                         **
**         Copyright (c) 1998-2005 Texas Instruments Incorporated          **
**                        ALL RIGHTS RESERVED                              **
**                                                                         **
**-------------------------------------------------------------------------**
*****************************************************************************/

/****************************************************************************
 * FILE PURPOSE:    Board hardware configuration parameters
 ****************************************************************************
 * FILE NAME:       autoconfig.h
 *
 * DESCRIPTION:     Board hardware configuration parameters.
 *                  Autogenerated file. Do not modify.
 ***************************************************************************/

#ifndef __AUTO_CONFIG_H__
#define __AUTO_CONFIG_H__

#ifndef TNETD73XX_BOARD
#define TNETD73XX_BOARD
#endif

/****************************************************************************
 * Clock frequencies configuration
 ****************************************************************************/
#define CONF_REFXTAL_FREQ	MHZ(25)
#define CONF_AFEXTAL_FREQ	KHZ(35328)
#define CONF_OSCIN_FREQ	
#define CONF_XTAL1IN_FREQ	
#define CONF_XTAL2IN_FREQ	
#define CONF_XTAL3IN_FREQ	MHZ(25)
#define CONF_AUDIO_FREQ	
#define CONF_ALT_FREQ	
#define CONF_CPU_FREQ	IS_OHIO_CHIP() ? MHZ(212) : MHZ(150)
#define CONF_SYS_FREQ	MHZ(125)


/****************************************************************************
 * SDRAM and FLASH Memory sizes configuration
 ****************************************************************************/
#define CONF_SDRAM_SZ MEG(SDRAM_SZ)
#define CONF_FLASH_SZ MEG(FLASH_SZ)
/****************************************************************************
 * EMIF configuration
 ****************************************************************************/
#define EMIF_SDRAMCFG_NM	0x1
#define EMIF_SDRAMCFG_PA	0x0
#define EMIF_SDRAMCFG_IBANK	0x2
#define EMIF_SDRAMCFG_EBANK	0x0
#define EMIF_SDRAMCFG_PAGESIZE	0x1
#define EMIF_SDRAM_REFRESH_INTERVAL	0x1E78
#define EMIF_ASYNC_WAITCYCLE_MAX_EXT_WAIT	0x80
#define EMIF_ASYNC_WAITCYCLE_WAIT_POL	0x1
#define EMIF_ASYNC_BANK_1_SS	0x0
#define EMIF_ASYNC_BANK_1_EW	0x0   
#define EMIF_ASYNC_BANK_1_W_SETUP	0x0
#define EMIF_ASYNC_BANK_1_W_STROBE	0xE
#define EMIF_ASYNC_BANK_1_W_HOLD	0x1
#define EMIF_ASYNC_BANK_1_R_SETUP	0x0
#define EMIF_ASYNC_BANK_1_R_STROBE	0xE
#define EMIF_ASYNC_BANK_1_R_HOLD	0x1
#define EMIF_ASYNC_BANK_1_TA	0x0
#define EMIF_ASYNC_BANK_1_ASIZE	0x1 
#define EMIF_ASYNC_BANK_2_SS	0x0
#define EMIF_ASYNC_BANK_2_EW	0x0   
#define EMIF_ASYNC_BANK_2_W_SETUP	0x0
#define EMIF_ASYNC_BANK_2_W_STROBE	0xE
#define EMIF_ASYNC_BANK_2_W_HOLD	0x1
#define EMIF_ASYNC_BANK_2_R_SETUP	0x0
#define EMIF_ASYNC_BANK_2_R_STROBE	0xE
#define EMIF_ASYNC_BANK_2_R_HOLD	0x1
#define EMIF_ASYNC_BANK_2_TA	0x0
#define EMIF_ASYNC_BANK_2_ASIZE	0x2 
#define EMIF_ASYNC_BANK_3_SS	0x0
#define EMIF_ASYNC_BANK_3_EW	0x0   
#define EMIF_ASYNC_BANK_3_W_SETUP	0x0
#define EMIF_ASYNC_BANK_3_W_STROBE	0xE
#define EMIF_ASYNC_BANK_3_W_HOLD	0x1
#define EMIF_ASYNC_BANK_3_R_SETUP	0x0
#define EMIF_ASYNC_BANK_3_R_STROBE	0xE
#define EMIF_ASYNC_BANK_3_R_HOLD	0x1
#define EMIF_ASYNC_BANK_3_TA	0x0
#define EMIF_ASYNC_BANK_3_ASIZE	0x0 
#define EMIF_ASYNC_BANK_4_SS	0x0
#define EMIF_ASYNC_BANK_4_EW	0x0   
#define EMIF_ASYNC_BANK_4_W_SETUP	0x0
#define EMIF_ASYNC_BANK_4_W_STROBE	0xE
#define EMIF_ASYNC_BANK_4_W_HOLD	0x1
#define EMIF_ASYNC_BANK_4_R_SETUP	0x0
#define EMIF_ASYNC_BANK_4_R_STROBE	0xE
#define EMIF_ASYNC_BANK_4_R_HOLD	0x1
#define EMIF_ASYNC_BANK_4_TA	0x0
#define EMIF_ASYNC_BANK_4_ASIZE	0x2 


/****************************************************************************
 * MAC ports configuration
 ****************************************************************************/
#define CONF_NUM_MAC_PORT	1
#define EXTERNAL_PHY_PORT0	0
#define MAC0_PHY_MASK	(IS_OHIO_CHIP() ? 0x001E0000 : 0x80000000)
#define EXTERNAL_PHY_PORT1	1
#define MAC1_PHY_MASK	0x001E0000
#define EXTERNAL_PHY_RESET_GPIO	17


/****************************************************************************
 * Cache configuration
 ****************************************************************************/
#define CONF_CACHE	CACHE_WB


/****************************************************************************
 * Miscellaneous configuration (if applicable)
 ****************************************************************************/
#define ENV_SPACE_SIZE	( 10 * 1024 )


#endif /* __AUTO_CONFIG_H__ */
