/*****************Added by Srikiran************/
/* General functions needed by UPnP
 */

#ifndef _PMLIST_H_
#define _PMLIST_H_

#include "portmap.h"
#include <syslog.h>

#define IPTABLES "/sbin/iptables"

/* The following functions are used for doublely linked
 * lists. It will use any structure, as long as it has
 * a next and prev pointer.
 */

#define NODE_ADD(head, node)	\
	{	node->next=head;		\
		node->prev=NULL;		\
		if(head) (head)->prev=node;	\
		head=node;			\
	}

/* This enqueues a node to the end of a list. As we don't have a temp node,
   we fake it out by using the node's next variable, which will be NULL, but
   is of the correct type */
#define NODE_ENQUEUE(head, node)	\
	{	node->next=head;				\
		if(node->next)					\
			while(node->next->next)			\
				node->next=node->next->next;	\
		node->prev=node->next;				\
		node->next=NULL;				\
		if(!head) head=node;				\
		else node->prev->next=node;				\
	}

#define NODE_DEL(head, node)	\
	{	if(node->next) node->next->prev=node->prev;	\
		if(node->prev) node->prev->next=node->next;	\
		else head=node->next;				\
	}

struct PortMapList
{
	struct PortMap	*m_pmap;
};

void	PortMapList_Construct(struct PortMapList *pmlist);
void	PortMapList_Destruct(struct PortMapList *pmlist);

int	PortMapAdd(struct PortMapList *pmlist, char *RemoteHost, char *Proto, char *ExtIP, int ExtPort,
		char *IntIP, int IntPort, int Enabled, char *Desc, int LeaseDuration);
int	PortMapDelete(struct PortMapList *pmlist, char  *Proto, int ExtPort);

/* Added RemoteHost */
int	PortMap_addPortForward(char *Proto, char *RemoteHost, char *ExtIP, int ExtPort, char *IntIP,
		int IntPort, int Enabled, char *Desc);
int	PortMap_delPortForward(char *Proto, char *RemoteHost,char *ExtIP, int ExtPort, char* IntIP, int IntPort);

#endif
/*****************Added by Srikiran************/
