RADIO=DCR
WLAN_CHIP=1150
#RADIO = RADIA (bg), RADIA_DB (abg), RADIA_CRT, WBR, DCR
CCPREFIX=@
#CCPREFIX= to see compilation parameters
DEBUG=n
FW_DEBUG=n
BUILDDDC=y

ifndef KERNELDIR
KERNELDIR=$(TI_kernel_path)/linux-2.4.17_mvl21
endif
ifndef UCLIBCDIR
UCLIBCDIR=$(TI_uclibc_base)
endif
GCCINCLUDEDIR=$(TI_uclibc_include)


ifeq ($(DEBUG),y)
	CFLAGS += -O -g -ggdb  -DTIWLAN_DEBUG -DDISABLE_MB_RECOVERY # "-O" is needed to expand inlines
else
	CFLAGS += -O3 -fomit-frame-pointer
endif

ifeq ($(FW_DEBUG),y)
	CFLAGS += -DTIWLAN_FW_TRACE
endif

FW_SYMBOLS=_Acx100_bin_0_ArrayStart _Acx100_bin_0_ArrayEnd _Acx100_bin_0_Version

# select the appropriate FW file accroding to WLAN chip and radio type
ifeq ($(RADIO),RADIA)
	CFLAGS += -DTIWLAN_FW_RADIA -DTIWLAN_RADIO_NAME='"RADIA (bg)"'
	FW_FILENAME=fw_radia_1130_ap
else 
ifeq ($(RADIO),RADIA_DB)
	CFLAGS += -DTIWLAN_FW_RADIA_DB -DTIWLAN_RADIO_NAME='"RADIA_DB (abg)"'
	FW_FILENAME=fw_radiadb_1130_ap
else 
ifeq ($(RADIO),RADIA_CRT)
	CFLAGS += -DTIWLAN_FW_RADIA_CRT -DTIWLAN_RADIO_NAME='"RADIA_CRT"'
	FW_FILENAME=fw_crt_1130_ap
else
ifeq ($(RADIO),RADIA_CRTAB)
	CFLAGS += -DTIWLAN_FW_RADIA_CRT -DTIWLAN_RADIO_NAME='"RADIA_CRTAB"'
	FW_FILENAME=fw_crtab_1130_ap
else
ifeq ($(RADIO),WBR)
	CFLAGS += -DTIWLAN_FW_RADIA_WBR -DTIWLAN_RADIO_NAME='"WBR"'
	FW_FILENAME=victoria_wbr_tnetw1150
else
ifeq ($(RADIO),DCR)
	CFLAGS += -DTIWLAN_FW_RADIA_DCR -DTIWLAN_RADIO_NAME='"DCR"'
	FW_FILENAME=fw_dcrhp_1150_ap
else
	$(error "Unknown radio type")
endif
endif
endif
endif
endif
endif

# set the appropriate chip definition
ifeq ($(WLAN_CHIP),1130)
	CFLAGS += -DWLAN_ADAPTOR_VERSION=1130
else
ifeq ($(WLAN_CHIP),1150)
	CFLAGS += -DWLAN_ADAPTOR_VERSION=1150
else 
	$(error "Unknown wlan chip type")
endif
endif
