/*
* INTEL CONFIDENTIAL
* Copyright (c) 2002, 2003 Intel Corporation.  All rights reserved.
* 
* The source code contained or described herein and all documents
* related to the source code ("Material") are owned by Intel
* Corporation or its suppliers or licensors.  Title to the
* Material remains with Intel Corporation or its suppliers and
* licensors.  The Material contains trade secrets and proprietary
* and confidential information of Intel or its suppliers and
* licensors. The Material is protected by worldwide copyright and
* trade secret laws and treaty provisions.  No part of the Material
* may be used, copied, reproduced, modified, published, uploaded,
* posted, transmitted, distributed, or disclosed in any way without
* Intel's prior express written permission.

* No license under any patent, copyright, trade secret or other
* intellectual property right is granted to or conferred upon you
* by disclosure or delivery of the Materials, either expressly, by
* implication, inducement, estoppel or otherwise. Any license
* under such intellectual property rights must be express and
* approved by Intel in writing.
* 
* $Workfile: UPnPMicroStack.c
* $Revision: #1.0.1868.18043
* $Author:   Intel Corporation, Intel Device Builder
* $Date:     Wednesday, April 06, 2005
*
*
*
*/


#if defined(WIN32) || defined(_WIN32_WCE)
#	ifndef MICROSTACK_NO_STDAFX
#		include "stdafx.h"
#	endif
char* UPnPPLATFORM = "WINDOWS";
#else
char* UPnPPLATFORM = "POSIX";
#endif

#if defined(WIN32)
#define _CRTDBG_MAP_ALLOC
#endif

#if defined(WINSOCK2)
#	include <winsock2.h>
#	include <ws2tcpip.h>
#elif defined(WINSOCK1)
#	include <winsock.h>
#	include <wininet.h>
#endif

#include "ILibParsers.h"
#include "UPnPMicroStack.h"
#include "ILibWebServer.h"
#include "ILibWebClient.h"
#include "ILibAsyncSocket.h"

#if defined(WIN32)
#include <crtdbg.h>
#endif

#define UPNP_HTTP_MAXSOCKETS 5
#define UPNP_PORT 1900
#define UPNP_GROUP "239.255.255.250"
#define UPnPMIN(a,b) (((a)<(b))?(a):(b))

#define UPNP_RX_BUF 4096

#define LVL3DEBUG(x) x

/* Added by Srikiran - To multicast only on LAN! 
 */
#include "ipcon.h"
extern struct IPCon *int_ipcon;

UPnPMicroStackToken UPnPCreateMicroStack(void *Chain, const char* FriendlyName,const char* FriendlyName2,const char* FriendlyName3,const char* UDN, const char* SerialNumber, const int NotifyCycleSeconds, const unsigned short PortNum);
/* UPnP Set Function Pointers Methods */
void (*UPnPFP_PresentationPage) (void* upnptoken,struct packetheader *packet);
/*! \var UPnPFP_OSInfo1_MagicOn
\brief Dispatch Pointer for OSInfo1 >> urn:schemas-microsoft-com:service:OSInfo:1 >> MagicOn
*/
void (*UPnPFP_OSInfo1_MagicOn) (void* upnptoken);
/*! \var UPnPFP_WANCommonInterfaceConfig_GetCommonLinkProperties
\brief Dispatch Pointer for WANCommonInterfaceConfig >> urn:schemas-upnp-org:service:WANCommonInterfaceConfig:1 >> GetCommonLinkProperties
*/
void (*UPnPFP_WANCommonInterfaceConfig_GetCommonLinkProperties) (void* upnptoken);
/*! \var UPnPFP_WANCommonInterfaceConfig_GetTotalBytesReceived
\brief Dispatch Pointer for WANCommonInterfaceConfig >> urn:schemas-upnp-org:service:WANCommonInterfaceConfig:1 >> GetTotalBytesReceived
*/
void (*UPnPFP_WANCommonInterfaceConfig_GetTotalBytesReceived) (void* upnptoken);
/*! \var UPnPFP_WANCommonInterfaceConfig_GetTotalBytesSent
\brief Dispatch Pointer for WANCommonInterfaceConfig >> urn:schemas-upnp-org:service:WANCommonInterfaceConfig:1 >> GetTotalBytesSent
*/
void (*UPnPFP_WANCommonInterfaceConfig_GetTotalBytesSent) (void* upnptoken);
/*! \var UPnPFP_WANCommonInterfaceConfig_GetTotalPacketsReceived
\brief Dispatch Pointer for WANCommonInterfaceConfig >> urn:schemas-upnp-org:service:WANCommonInterfaceConfig:1 >> GetTotalPacketsReceived
*/
void (*UPnPFP_WANCommonInterfaceConfig_GetTotalPacketsReceived) (void* upnptoken);
/*! \var UPnPFP_WANCommonInterfaceConfig_GetTotalPacketsSent
\brief Dispatch Pointer for WANCommonInterfaceConfig >> urn:schemas-upnp-org:service:WANCommonInterfaceConfig:1 >> GetTotalPacketsSent
*/
void (*UPnPFP_WANCommonInterfaceConfig_GetTotalPacketsSent) (void* upnptoken);
/*! \var UPnPFP_WANIPConnection_AddPortMapping
\brief Dispatch Pointer for WANIPConnection >> urn:schemas-upnp-org:service:WANIPConnection:1 >> AddPortMapping
*/
void (*UPnPFP_WANIPConnection_AddPortMapping) (void* upnptoken,char* NewRemoteHost,unsigned short NewExternalPort,char* NewProtocol,unsigned short NewInternalPort,char* NewInternalClient,int NewEnabled,char* NewPortMappingDescription,unsigned int NewLeaseDuration);
/*! \var UPnPFP_WANIPConnection_DeletePortMapping
\brief Dispatch Pointer for WANIPConnection >> urn:schemas-upnp-org:service:WANIPConnection:1 >> DeletePortMapping
*/
void (*UPnPFP_WANIPConnection_DeletePortMapping) (void* upnptoken,char* NewRemoteHost,unsigned short NewExternalPort,char* NewProtocol);
/*! \var UPnPFP_WANIPConnection_ForceTermination
\brief Dispatch Pointer for WANIPConnection >> urn:schemas-upnp-org:service:WANIPConnection:1 >> ForceTermination
*/
void (*UPnPFP_WANIPConnection_ForceTermination) (void* upnptoken);
/*! \var UPnPFP_WANIPConnection_GetConnectionTypeInfo
\brief Dispatch Pointer for WANIPConnection >> urn:schemas-upnp-org:service:WANIPConnection:1 >> GetConnectionTypeInfo
*/
void (*UPnPFP_WANIPConnection_GetConnectionTypeInfo) (void* upnptoken);
/*! \var UPnPFP_WANIPConnection_GetExternalIPAddress
\brief Dispatch Pointer for WANIPConnection >> urn:schemas-upnp-org:service:WANIPConnection:1 >> GetExternalIPAddress
*/
void (*UPnPFP_WANIPConnection_GetExternalIPAddress) (void* upnptoken);
/*! \var UPnPFP_WANIPConnection_GetGenericPortMappingEntry
\brief Dispatch Pointer for WANIPConnection >> urn:schemas-upnp-org:service:WANIPConnection:1 >> GetGenericPortMappingEntry
*/
void (*UPnPFP_WANIPConnection_GetGenericPortMappingEntry) (void* upnptoken,unsigned short NewPortMappingIndex);
/*! \var UPnPFP_WANIPConnection_GetNATRSIPStatus
\brief Dispatch Pointer for WANIPConnection >> urn:schemas-upnp-org:service:WANIPConnection:1 >> GetNATRSIPStatus
*/
void (*UPnPFP_WANIPConnection_GetNATRSIPStatus) (void* upnptoken);
/*! \var UPnPFP_WANIPConnection_GetSpecificPortMappingEntry
\brief Dispatch Pointer for WANIPConnection >> urn:schemas-upnp-org:service:WANIPConnection:1 >> GetSpecificPortMappingEntry
*/
void (*UPnPFP_WANIPConnection_GetSpecificPortMappingEntry) (void* upnptoken,char* NewRemoteHost,unsigned short NewExternalPort,char* NewProtocol);
/*! \var UPnPFP_WANIPConnection_GetStatusInfo
\brief Dispatch Pointer for WANIPConnection >> urn:schemas-upnp-org:service:WANIPConnection:1 >> GetStatusInfo
*/
void (*UPnPFP_WANIPConnection_GetStatusInfo) (void* upnptoken);
/*! \var UPnPFP_WANIPConnection_RequestConnection
\brief Dispatch Pointer for WANIPConnection >> urn:schemas-upnp-org:service:WANIPConnection:1 >> RequestConnection
*/
void (*UPnPFP_WANIPConnection_RequestConnection) (void* upnptoken);
/*! \var UPnPFP_WANIPConnection_SetConnectionType
\brief Dispatch Pointer for WANIPConnection >> urn:schemas-upnp-org:service:WANIPConnection:1 >> SetConnectionType
*/
void (*UPnPFP_WANIPConnection_SetConnectionType) (void* upnptoken,char* NewConnectionType);



const int UPnPDeviceDescriptionTemplateLengthUX = 2355;
const int UPnPDeviceDescriptionTemplateLength = 736;
const char UPnPDeviceDescriptionTemplate[736]={
	0x5A,0x3C,0x3F,0x78,0x6D,0x6C,0x20,0x76,0x65,0x72,0x73,0x69,0x6F,0x6E,0x3D,0x22,0x31,0x2E,0x30,0x22
	,0x20,0x65,0x6E,0x63,0x6F,0x64,0x69,0x6E,0x67,0x3D,0x22,0x75,0x74,0x66,0x2D,0x38,0x22,0x3F,0x3E,0x3C
	,0x72,0x6F,0x6F,0x74,0x20,0x78,0x6D,0x6C,0x6E,0x73,0x3D,0x22,0x75,0x72,0x6E,0x3A,0x73,0x63,0x68,0x65
	,0x6D,0x61,0x73,0x2D,0x75,0x70,0x6E,0x70,0x2D,0x6F,0x72,0x67,0x3A,0x64,0x65,0x76,0x69,0x63,0x65,0x2D
	,0x31,0x2D,0x30,0x22,0x3E,0x3C,0x73,0x70,0x65,0x63,0x56,0xC6,0x14,0x0B,0x3E,0x3C,0x6D,0x61,0x6A,0x6F
	,0x72,0x3E,0x31,0x3C,0x2F,0x46,0x02,0x0A,0x3C,0x6D,0x69,0x6E,0x6F,0x72,0x3E,0x30,0x3C,0x2F,0x46,0x02
	,0x02,0x3C,0x2F,0x8D,0x0B,0x00,0x06,0x12,0x00,0x08,0x02,0x05,0x54,0x79,0x70,0x65,0x3E,0x1B,0x1C,0x11
	,0x3A,0x49,0x6E,0x74,0x65,0x72,0x6E,0x65,0x74,0x47,0x61,0x74,0x65,0x77,0x61,0x79,0x44,0x86,0x05,0x03
	,0x31,0x3C,0x2F,0x0B,0x10,0x17,0x3C,0x70,0x72,0x65,0x73,0x65,0x6E,0x74,0x61,0x74,0x69,0x6F,0x6E,0x55
	,0x52,0x4C,0x3E,0x2F,0x77,0x65,0x62,0x3C,0x2F,0x90,0x05,0x12,0x3C,0x66,0x72,0x69,0x65,0x6E,0x64,0x6C
	,0x79,0x4E,0x61,0x6D,0x65,0x3E,0x25,0x73,0x3C,0x2F,0x4D,0x04,0x21,0x3C,0x6D,0x61,0x6E,0x75,0x66,0x61
	,0x63,0x74,0x75,0x72,0x65,0x72,0x3E,0x54,0x65,0x78,0x61,0x73,0x20,0x49,0x6E,0x73,0x74,0x72,0x75,0x6D
	,0x65,0x6E,0x74,0x73,0x3C,0x2F,0x0D,0x08,0x00,0x8D,0x0B,0x00,0x04,0x1D,0x13,0x68,0x74,0x74,0x70,0x3A
	,0x2F,0x2F,0x77,0x77,0x77,0x2E,0x74,0x69,0x2E,0x63,0x6F,0x6D,0x3C,0x2F,0xD0,0x08,0x0D,0x3C,0x6D,0x6F
	,0x64,0x65,0x6C,0x44,0x65,0x73,0x63,0x72,0x69,0x70,0x04,0x2B,0x02,0x20,0x2F,0x07,0x05,0x00,0x85,0x24
	,0x08,0x54,0x49,0x20,0x4E,0x53,0x50,0x3C,0x2F,0x8A,0x04,0x00,0x47,0x07,0x05,0x75,0x6D,0x62,0x65,0x72
	,0x04,0x0B,0x05,0x73,0x65,0x72,0x69,0x61,0x07,0x04,0x00,0x45,0x30,0x00,0x4D,0x04,0x0A,0x3C,0x55,0x44
	,0x4E,0x3E,0x75,0x75,0x69,0x64,0x3A,0x04,0x37,0x03,0x55,0x44,0x4E,0x45,0x0C,0x00,0x84,0x6D,0x04,0x4C
	,0x69,0x73,0x74,0x49,0x03,0x00,0x89,0x05,0x00,0x11,0x5F,0x0E,0x6D,0x69,0x63,0x72,0x6F,0x73,0x6F,0x66
	,0x74,0x2D,0x63,0x6F,0x6D,0x3A,0x07,0x0F,0x09,0x3A,0x4F,0x53,0x49,0x6E,0x66,0x6F,0x3A,0x31,0x85,0x1B
	,0x00,0x0A,0x5D,0x00,0xC7,0x16,0x02,0x49,0x64,0xC5,0x6F,0x00,0xC9,0x89,0x00,0xC9,0x05,0x01,0x3A,0x84
	,0x91,0x00,0x95,0x14,0x02,0x49,0x64,0x07,0x15,0x00,0xCA,0x14,0x08,0x49,0x64,0x3E,0x3C,0x53,0x43,0x50
	,0x44,0x44,0x6F,0x00,0x07,0x07,0x0B,0x2F,0x73,0x63,0x70,0x64,0x2E,0x78,0x6D,0x6C,0x3C,0x2F,0x88,0x06
	,0x08,0x3C,0x63,0x6F,0x6E,0x74,0x72,0x6F,0x6C,0x8C,0x09,0x00,0xC7,0x04,0x02,0x3C,0x2F,0x0B,0x07,0x09
	,0x3C,0x65,0x76,0x65,0x6E,0x74,0x53,0x75,0x62,0xCC,0x13,0x00,0x05,0x05,0x02,0x3C,0x2F,0xCC,0x06,0x00
	,0x89,0x34,0x03,0x3E,0x3C,0x2F,0x8D,0x4A,0x02,0x64,0x65,0x0C,0x03,0x00,0x2D,0xAC,0x03,0x57,0x41,0x4E
	,0x25,0xA9,0x02,0x20,0x2F,0x3F,0xA4,0x00,0x3F,0xA4,0x00,0x15,0xA4,0x05,0x3E,0x57,0x41,0x4E,0x20,0xC6
	,0xD8,0x0F,0x20,0x6F,0x6E,0x20,0x4C,0x69,0x6E,0x75,0x78,0x20,0x49,0x47,0x44,0x3C,0x2F,0x91,0x0A,0x00
	,0x3F,0xAE,0x00,0x18,0xAE,0x02,0x5F,0x31,0xB5,0xAE,0x00,0xD0,0x9F,0x00,0xC4,0x61,0x15,0x43,0x6F,0x6D
	,0x6D,0x6F,0x6E,0x49,0x6E,0x74,0x65,0x72,0x66,0x61,0x63,0x65,0x43,0x6F,0x6E,0x66,0x69,0x67,0xF2,0xB1
	,0x00,0x8A,0x12,0x02,0x46,0x43,0x56,0xAC,0x00,0x18,0x1B,0x00,0x9F,0xB0,0x00,0xD9,0x0D,0x00,0xE1,0xB4
	,0x00,0x59,0x1C,0x00,0x3F,0xB9,0x00,0x2B,0xB9,0x06,0x43,0x6F,0x6E,0x6E,0x65,0x63,0x04,0xB3,0x00,0xBF
	,0xBB,0x00,0xBF,0xBB,0x00,0xBE,0xBB,0x02,0x61,0x6E,0x10,0x32,0x01,0x20,0x11,0xDA,0x0B,0x20,0x44,0x53
	,0x4C,0x20,0x52,0x6F,0x75,0x74,0x65,0x72,0xFF,0xC1,0x00,0xEC,0xC1,0x01,0x32,0xFF,0xC1,0x00,0xCA,0xC1
	,0x02,0x49,0x50,0x0A,0x6B,0x00,0xB5,0xBF,0x00,0x46,0x10,0x00,0xD9,0xBE,0x00,0x0C,0x18,0x00,0xA2,0xBC
	,0x00,0x8D,0x0B,0x00,0x64,0xBA,0x00,0xCD,0x17,0x00,0x2C,0xB8,0x01,0x2F,0x48,0xB5,0x03,0x2F,0x64,0x65
	,0x96,0x05,0x00,0x14,0x0B,0x02,0x72,0x6F,0x00,0x00,0x03,0x6F,0x74,0x3E,0x00,0x00};
/* OSInfo1 */
const int UPnPOSInfo1DescriptionLengthUX = 777;
const int UPnPOSInfo1DescriptionLength = 434;
const char UPnPOSInfo1Description[434] = {
	0x4E,0x48,0x54,0x54,0x50,0x2F,0x31,0x2E,0x31,0x20,0x32,0x30,0x30,0x20,0x20,0x4F,0x4B,0x0D,0x0A,0x43
	,0x4F,0x4E,0x54,0x45,0x4E,0x54,0x2D,0x54,0x59,0x50,0x45,0x3A,0x20,0x20,0x74,0x65,0x78,0x74,0x2F,0x78
	,0x6D,0x6C,0x3B,0x20,0x63,0x68,0x61,0x72,0x73,0x65,0x74,0x3D,0x22,0x75,0x74,0x66,0x2D,0x38,0x22,0x0D
	,0x0A,0x53,0x65,0x72,0x76,0x65,0x72,0x3A,0x20,0x50,0x4F,0x53,0x49,0x58,0x2C,0x20,0x55,0x50,0x6E,0xC4
	,0x12,0x13,0x30,0x2C,0x20,0x49,0x6E,0x74,0x65,0x6C,0x20,0x4D,0x69,0x63,0x72,0x6F,0x53,0x74,0x61,0x63
	,0x6B,0x84,0x05,0x3A,0x2E,0x31,0x38,0x36,0x38,0x0D,0x0A,0x43,0x6F,0x6E,0x74,0x65,0x6E,0x74,0x2D,0x4C
//	,0x6B,0x84,0x05,0x3A,0x2E,0x31,0x37,0x32,0x35,0x0D,0x0A,0x43,0x6F,0x6E,0x74,0x65,0x6E,0x74,0x2D,0x4C
	,0x65,0x6E,0x67,0x74,0x68,0x3A,0x20,0x36,0x34,0x32,0x0D,0x0A,0x0D,0x0A,0x3C,0x3F,0x78,0x6D,0x6C,0x20
	,0x76,0x65,0x72,0x73,0x69,0x6F,0x6E,0x3D,0x22,0x31,0x2E,0x30,0x22,0x20,0x65,0x6E,0x63,0x6F,0x64,0x69
	,0x6E,0x67,0x48,0x1C,0x37,0x3F,0x3E,0x3C,0x73,0x63,0x70,0x64,0x20,0x78,0x6D,0x6C,0x6E,0x73,0x3D,0x22
	,0x75,0x72,0x6E,0x3A,0x73,0x63,0x68,0x65,0x6D,0x61,0x73,0x2D,0x75,0x70,0x6E,0x70,0x2D,0x6F,0x72,0x67
	,0x3A,0x73,0x65,0x72,0x76,0x69,0x63,0x65,0x2D,0x31,0x2D,0x30,0x22,0x3E,0x3C,0x73,0x70,0x65,0x63,0x56
	,0x06,0x15,0x0B,0x3E,0x3C,0x6D,0x61,0x6A,0x6F,0x72,0x3E,0x31,0x3C,0x2F,0x46,0x02,0x0A,0x3C,0x6D,0x69
	,0x6E,0x6F,0x72,0x3E,0x30,0x3C,0x2F,0x46,0x02,0x02,0x3C,0x2F,0x8D,0x0B,0x0A,0x61,0x63,0x74,0x69,0x6F
	,0x6E,0x4C,0x69,0x73,0x74,0x08,0x03,0x10,0x3E,0x3C,0x6E,0x61,0x6D,0x65,0x3E,0x4D,0x61,0x67,0x69,0x63
	,0x4F,0x6E,0x3C,0x2F,0x85,0x03,0x02,0x3C,0x2F,0x48,0x07,0x01,0x2F,0x8C,0x0C,0x00,0xC7,0x21,0x0D,0x53
	,0x74,0x61,0x74,0x65,0x54,0x61,0x62,0x6C,0x65,0x3E,0x3C,0x73,0x04,0x03,0x04,0x56,0x61,0x72,0x69,0xC4
	,0x03,0x10,0x20,0x73,0x65,0x6E,0x64,0x45,0x76,0x65,0x6E,0x74,0x73,0x3D,0x22,0x6E,0x6F,0x22,0x07,0x17
	,0x03,0x4F,0x53,0x4D,0x44,0x29,0x00,0xC7,0x2C,0x00,0xC8,0x18,0x0D,0x64,0x61,0x74,0x61,0x54,0x79,0x70
	,0x65,0x3E,0x69,0x34,0x3C,0x2F,0x49,0x03,0x02,0x3C,0x2F,0x8D,0x14,0x00,0x68,0x18,0x0B,0x42,0x75,0x69
	,0x6C,0x64,0x4E,0x75,0x6D,0x62,0x65,0x72,0x3F,0x18,0x00,0x58,0x30,0x09,0x63,0x68,0x69,0x6E,0x65,0x4E
	,0x61,0x6D,0x65,0x11,0x30,0x06,0x73,0x74,0x72,0x69,0x6E,0x67,0x3F,0x19,0x00,0x44,0x49,0x02,0x69,0x6E
	,0x78,0x49,0x01,0x2F,0x93,0x66,0x01,0x2F,0x84,0x95,0x01,0x3E,0x00,0x00};
/* WANCommonInterfaceConfig */
const int UPnPWANCommonInterfaceConfigDescriptionLengthUX = 3403;
const int UPnPWANCommonInterfaceConfigDescriptionLength = 946;
const char UPnPWANCommonInterfaceConfigDescription[946] = {
	0x4E,0x48,0x54,0x54,0x50,0x2F,0x31,0x2E,0x31,0x20,0x32,0x30,0x30,0x20,0x20,0x4F,0x4B,0x0D,0x0A,0x43
	,0x4F,0x4E,0x54,0x45,0x4E,0x54,0x2D,0x54,0x59,0x50,0x45,0x3A,0x20,0x20,0x74,0x65,0x78,0x74,0x2F,0x78
	,0x6D,0x6C,0x3B,0x20,0x63,0x68,0x61,0x72,0x73,0x65,0x74,0x3D,0x22,0x75,0x74,0x66,0x2D,0x38,0x22,0x0D
	,0x0A,0x53,0x65,0x72,0x76,0x65,0x72,0x3A,0x20,0x50,0x4F,0x53,0x49,0x58,0x2C,0x20,0x55,0x50,0x6E,0xC4
	,0x12,0x13,0x30,0x2C,0x20,0x49,0x6E,0x74,0x65,0x6C,0x20,0x4D,0x69,0x63,0x72,0x6F,0x53,0x74,0x61,0x63
	,0x6B,0x84,0x05,0x3B,0x2E,0x31,0x38,0x36,0x38,0x0D,0x0A,0x43,0x6F,0x6E,0x74,0x65,0x6E,0x74,0x2D,0x4C
//	,0x6B,0x84,0x05,0x3B,0x2E,0x31,0x37,0x32,0x35,0x0D,0x0A,0x43,0x6F,0x6E,0x74,0x65,0x6E,0x74,0x2D,0x4C
	,0x65,0x6E,0x67,0x74,0x68,0x3A,0x20,0x33,0x32,0x36,0x37,0x0D,0x0A,0x0D,0x0A,0x3C,0x3F,0x78,0x6D,0x6C
	,0x20,0x76,0x65,0x72,0x73,0x69,0x6F,0x6E,0x3D,0x22,0x31,0x2E,0x30,0x22,0x20,0x65,0x6E,0x63,0x6F,0x64
	,0x69,0x6E,0x67,0x88,0x1C,0x37,0x3F,0x3E,0x3C,0x73,0x63,0x70,0x64,0x20,0x78,0x6D,0x6C,0x6E,0x73,0x3D
	,0x22,0x75,0x72,0x6E,0x3A,0x73,0x63,0x68,0x65,0x6D,0x61,0x73,0x2D,0x75,0x70,0x6E,0x70,0x2D,0x6F,0x72
	,0x67,0x3A,0x73,0x65,0x72,0x76,0x69,0x63,0x65,0x2D,0x31,0x2D,0x30,0x22,0x3E,0x3C,0x73,0x70,0x65,0x63
	,0x56,0x06,0x15,0x0B,0x3E,0x3C,0x6D,0x61,0x6A,0x6F,0x72,0x3E,0x31,0x3C,0x2F,0x46,0x02,0x0A,0x3C,0x6D
	,0x69,0x6E,0x6F,0x72,0x3E,0x30,0x3C,0x2F,0x46,0x02,0x02,0x3C,0x2F,0x8D,0x0B,0x0A,0x61,0x63,0x74,0x69
	,0x6F,0x6E,0x4C,0x69,0x73,0x74,0x08,0x03,0x0E,0x3E,0x3C,0x6E,0x61,0x6D,0x65,0x3E,0x47,0x65,0x74,0x43
	,0x6F,0x6D,0x6D,0x04,0x07,0x0E,0x6E,0x6B,0x50,0x72,0x6F,0x70,0x65,0x72,0x74,0x69,0x65,0x73,0x3C,0x2F
	,0x85,0x07,0x09,0x3C,0x61,0x72,0x67,0x75,0x6D,0x65,0x6E,0x74,0x87,0x0E,0x00,0x87,0x03,0x00,0x07,0x0F
	,0x10,0x4E,0x65,0x77,0x57,0x41,0x4E,0x41,0x63,0x63,0x65,0x73,0x73,0x54,0x79,0x70,0x65,0x48,0x0D,0x04
	,0x64,0x69,0x72,0x65,0x06,0x19,0x05,0x6F,0x75,0x74,0x3C,0x2F,0xCA,0x03,0x16,0x3C,0x72,0x65,0x6C,0x61
	,0x74,0x65,0x64,0x53,0x74,0x61,0x74,0x65,0x56,0x61,0x72,0x69,0x61,0x62,0x6C,0x65,0x3E,0x0F,0x11,0x00
	,0x15,0x09,0x02,0x3C,0x2F,0x0A,0x1F,0x00,0x92,0x21,0x17,0x4C,0x61,0x79,0x65,0x72,0x31,0x55,0x70,0x73
	,0x74,0x72,0x65,0x61,0x6D,0x4D,0x61,0x78,0x42,0x69,0x74,0x52,0x61,0x74,0x78,0x24,0x00,0xDA,0x13,0x00
	,0x39,0x27,0x04,0x44,0x6F,0x77,0x6E,0xBF,0x27,0x00,0x8E,0x27,0x00,0x56,0x14,0x00,0x33,0x4F,0x08,0x50
	,0x68,0x79,0x73,0x69,0x63,0x61,0x6C,0x04,0x80,0x00,0x04,0x66,0x02,0x75,0x73,0xF7,0x71,0x00,0x54,0x12
	,0x00,0x21,0x73,0x01,0x2F,0x4E,0x98,0x04,0x2F,0x61,0x63,0x74,0x0B,0xAC,0x00,0x0A,0xA9,0x12,0x54,0x6F
	,0x74,0x61,0x6C,0x42,0x79,0x74,0x65,0x73,0x52,0x65,0x63,0x65,0x69,0x76,0x65,0x64,0xA8,0xA8,0x00,0x9A
	,0x0E,0x00,0xEF,0xA9,0x00,0xD4,0x20,0x00,0x3F,0x38,0x00,0x14,0x38,0x04,0x53,0x65,0x6E,0x74,0x32,0x37
	,0x00,0x8C,0x0D,0x00,0x39,0x36,0x00,0xC6,0x1E,0x00,0x3F,0x6D,0x00,0x0F,0x6D,0x06,0x50,0x61,0x63,0x6B
	,0x65,0x74,0xB6,0x6D,0x00,0x17,0x0F,0x00,0x34,0x6E,0x00,0xD1,0x21,0x00,0xBF,0x39,0x00,0x96,0x39,0x00
	,0x31,0x6F,0x00,0x13,0x0E,0x00,0xBB,0x37,0x00,0x3F,0x70,0x00,0x47,0xDF,0x00,0x86,0xE2,0x07,0x73,0x65
	,0x72,0x76,0x69,0x63,0x65,0xC5,0xF8,0x01,0x54,0xC6,0xED,0x01,0x73,0xCC,0xFB,0x10,0x20,0x73,0x65,0x6E
	,0x64,0x45,0x76,0x65,0x6E,0x74,0x73,0x3D,0x22,0x6E,0x6F,0x22,0xC7,0xEA,0x00,0x99,0x35,0x0D,0x61,0x74
	,0x61,0x54,0x79,0x70,0x65,0x3E,0x75,0x69,0x34,0x3C,0x2F,0x89,0x03,0x03,0x3C,0x2F,0x73,0xCE,0xCE,0x00
	,0x29,0x19,0x00,0x96,0xF4,0x00,0xBF,0x19,0x00,0x8C,0x32,0x11,0x57,0x41,0x4E,0x41,0x63,0x63,0x65,0x73
	,0x73,0x50,0x72,0x6F,0x76,0x69,0x64,0x65,0x72,0xD1,0x32,0x06,0x73,0x74,0x72,0x69,0x6E,0x67,0xBF,0x33
	,0x19,0x3E,0x4C,0x61,0x79,0x65,0x72,0x31,0x55,0x70,0x73,0x74,0x72,0x65,0x61,0x6D,0x4D,0x61,0x78,0x42
	,0x69,0x74,0x52,0x61,0x74,0x65,0xBF,0x4E,0x00,0x95,0x67,0x07,0x58,0x5F,0x55,0x70,0x74,0x69,0x6D,0x3F
	,0x17,0x00,0x1C,0x32,0x04,0x44,0x6F,0x77,0x6E,0xBF,0x32,0x00,0x31,0x9A,0x00,0xBF,0x81,0x00,0x27,0x9B
	,0x00,0xBF,0xB3,0x00,0x22,0x9A,0x03,0x54,0x79,0x70,0x52,0x7D,0x00,0x12,0x99,0x0C,0x61,0x6C,0x6C,0x6F
	,0x77,0x65,0x64,0x56,0x61,0x6C,0x75,0x65,0x46,0xF0,0x00,0x8C,0x04,0x06,0x3E,0x44,0x53,0x4C,0x3C,0x2F
	,0x8D,0x04,0x00,0x0E,0x08,0x04,0x50,0x4F,0x54,0x53,0x5D,0x08,0x01,0x43,0x44,0xFB,0x00,0xDD,0x10,0x08
	,0x45,0x74,0x68,0x65,0x72,0x6E,0x65,0x74,0x10,0x1A,0x01,0x2F,0xD2,0x26,0x00,0x76,0xA9,0x15,0x50,0x65
	,0x72,0x73,0x6F,0x6E,0x61,0x6C,0x46,0x69,0x72,0x65,0x77,0x61,0x6C,0x6C,0x45,0x6E,0x61,0x62,0x6C,0x93
	,0xF9,0x07,0x62,0x6F,0x6F,0x6C,0x65,0x61,0x6E,0xB6,0xFA,0x03,0x79,0x65,0x73,0xC8,0xFA,0x12,0x50,0x68
	,0x79,0x73,0x69,0x63,0x61,0x6C,0x4C,0x69,0x6E,0x6B,0x53,0x74,0x61,0x74,0x75,0x73,0x3F,0x62,0x05,0x75
	,0x65,0x3E,0x55,0x70,0xDD,0x61,0x00,0x04,0xCA,0x00,0x1D,0x6A,0x0C,0x49,0x6E,0x69,0x74,0x69,0x61,0x6C
	,0x69,0x7A,0x69,0x6E,0x67,0x5D,0x74,0x07,0x55,0x6E,0x61,0x76,0x61,0x69,0x6C,0x94,0x6D,0x00,0x63,0x64
	,0x08,0x2F,0x73,0x65,0x72,0x76,0x69,0x63,0x65,0xC4,0x3D,0x02,0x65,0x54,0x08,0x05,0x01,0x63,0x00,0x00
	,0x03,0x70,0x64,0x3E,0x00,0x00};
/* WANIPConnection */
const int UPnPWANIPConnectionDescriptionLengthUX = 9094;
const int UPnPWANIPConnectionDescriptionLength = 1968;
const char UPnPWANIPConnectionDescription[1968] = {
	0x4E,0x48,0x54,0x54,0x50,0x2F,0x31,0x2E,0x31,0x20,0x32,0x30,0x30,0x20,0x20,0x4F,0x4B,0x0D,0x0A,0x43
	,0x4F,0x4E,0x54,0x45,0x4E,0x54,0x2D,0x54,0x59,0x50,0x45,0x3A,0x20,0x20,0x74,0x65,0x78,0x74,0x2F,0x78
	,0x6D,0x6C,0x3B,0x20,0x63,0x68,0x61,0x72,0x73,0x65,0x74,0x3D,0x22,0x75,0x74,0x66,0x2D,0x38,0x22,0x0D
	,0x0A,0x53,0x65,0x72,0x76,0x65,0x72,0x3A,0x20,0x50,0x4F,0x53,0x49,0x58,0x2C,0x20,0x55,0x50,0x6E,0xC4
	,0x12,0x13,0x30,0x2C,0x20,0x49,0x6E,0x74,0x65,0x6C,0x20,0x4D,0x69,0x63,0x72,0x6F,0x53,0x74,0x61,0x63
	,0x6B,0x84,0x05,0x3B,0x2E,0x31,0x38,0x36,0x38,0x0D,0x0A,0x43,0x6F,0x6E,0x74,0x65,0x6E,0x74,0x2D,0x4C
//	,0x6B,0x84,0x05,0x3B,0x2E,0x31,0x37,0x32,0x35,0x0D,0x0A,0x43,0x6F,0x6E,0x74,0x65,0x6E,0x74,0x2D,0x4C
	,0x65,0x6E,0x67,0x74,0x68,0x3A,0x20,0x38,0x39,0x35,0x38,0x0D,0x0A,0x0D,0x0A,0x3C,0x3F,0x78,0x6D,0x6C
	,0x20,0x76,0x65,0x72,0x73,0x69,0x6F,0x6E,0x3D,0x22,0x31,0x2E,0x30,0x22,0x20,0x65,0x6E,0x63,0x6F,0x64
	,0x69,0x6E,0x67,0x88,0x1C,0x37,0x3F,0x3E,0x3C,0x73,0x63,0x70,0x64,0x20,0x78,0x6D,0x6C,0x6E,0x73,0x3D
	,0x22,0x75,0x72,0x6E,0x3A,0x73,0x63,0x68,0x65,0x6D,0x61,0x73,0x2D,0x75,0x70,0x6E,0x70,0x2D,0x6F,0x72
	,0x67,0x3A,0x73,0x65,0x72,0x76,0x69,0x63,0x65,0x2D,0x31,0x2D,0x30,0x22,0x3E,0x3C,0x73,0x70,0x65,0x63
	,0x56,0x06,0x15,0x0B,0x3E,0x3C,0x6D,0x61,0x6A,0x6F,0x72,0x3E,0x31,0x3C,0x2F,0x46,0x02,0x0A,0x3C,0x6D
	,0x69,0x6E,0x6F,0x72,0x3E,0x30,0x3C,0x2F,0x46,0x02,0x02,0x3C,0x2F,0x8D,0x0B,0x0A,0x61,0x63,0x74,0x69
	,0x6F,0x6E,0x4C,0x69,0x73,0x74,0x08,0x03,0x17,0x3E,0x3C,0x6E,0x61,0x6D,0x65,0x3E,0x41,0x64,0x64,0x50
	,0x6F,0x72,0x74,0x4D,0x61,0x70,0x70,0x69,0x6E,0x67,0x3C,0x2F,0x45,0x05,0x09,0x3C,0x61,0x72,0x67,0x75
	,0x6D,0x65,0x6E,0x74,0x47,0x0C,0x00,0x87,0x03,0x00,0xC7,0x0C,0x0D,0x4E,0x65,0x77,0x52,0x65,0x6D,0x6F
	,0x74,0x65,0x48,0x6F,0x73,0x74,0x88,0x0C,0x04,0x64,0x69,0x72,0x65,0x06,0x16,0x04,0x69,0x6E,0x3C,0x2F
	,0x8A,0x03,0x16,0x3C,0x72,0x65,0x6C,0x61,0x74,0x65,0x64,0x53,0x74,0x61,0x74,0x65,0x56,0x61,0x72,0x69
	,0x61,0x62,0x6C,0x65,0x3E,0x0C,0x10,0x00,0x55,0x08,0x02,0x3C,0x2F,0x4A,0x1D,0x00,0xD2,0x1F,0x0B,0x45
	,0x78,0x74,0x65,0x72,0x6E,0x61,0x6C,0x50,0x6F,0x72,0x77,0x20,0x00,0x8E,0x10,0x00,0xF3,0x20,0x08,0x50
	,0x72,0x6F,0x74,0x6F,0x63,0x6F,0x6C,0x36,0x40,0x00,0xCB,0x5C,0x00,0x4A,0x12,0x00,0x73,0x42,0x02,0x49
	,0x6E,0x7F,0x42,0x03,0x3E,0x49,0x6E,0x7F,0x42,0x00,0xC8,0x20,0x05,0x43,0x6C,0x69,0x65,0x6E,0x7F,0x21
	,0x00,0x08,0x11,0x00,0xF4,0x84,0x01,0x6E,0x44,0x96,0x01,0x64,0xFF,0x63,0x02,0x6E,0x67,0x09,0x12,0x00
	,0x34,0x85,0x00,0x4A,0xD2,0x07,0x44,0x65,0x73,0x63,0x72,0x69,0x70,0x44,0xDD,0x00,0xBF,0x88,0x00,0x0F
	,0x13,0x00,0xB3,0xCB,0x09,0x4C,0x65,0x61,0x73,0x65,0x44,0x75,0x72,0x61,0xBF,0x23,0x00,0x06,0xAC,0x00
	,0x8F,0x13,0x00,0xA1,0xEF,0x00,0x49,0xF2,0x03,0x4C,0x69,0x73,0xC5,0x03,0x00,0xC7,0xE5,0x00,0x08,0x02
	,0x00,0x05,0xF5,0x06,0x44,0x65,0x6C,0x65,0x74,0x65,0x8B,0xC5,0x00,0x88,0xF5,0x00,0x4E,0x0F,0x00,0xD2
	,0xE1,0x09,0x52,0x65,0x6D,0x6F,0x74,0x65,0x48,0x6F,0x73,0xF7,0xBF,0x00,0x0C,0x10,0x00,0xB4,0x9D,0x01
	,0x78,0x3F,0xE0,0x03,0x3E,0x45,0x78,0x3F,0xE0,0x08,0x50,0x72,0x6F,0x74,0x6F,0x63,0x6F,0x6C,0xBF,0xBE
	,0x02,0x6E,0x67,0x4A,0x12,0x00,0x3F,0x75,0x00,0x47,0xE5,0x0B,0x46,0x6F,0x72,0x63,0x65,0x54,0x65,0x72
	,0x6D,0x69,0x6E,0x8D,0x9E,0x00,0x96,0x80,0x07,0x47,0x65,0x74,0x43,0x6F,0x6E,0x6E,0x46,0xED,0x08,0x54
	,0x79,0x70,0x65,0x49,0x6E,0x66,0x6F,0xA8,0x81,0x00,0x8E,0x0E,0x00,0x52,0xDC,0x03,0x6F,0x75,0x74,0xA2
	,0xDC,0x00,0x50,0x11,0x00,0x34,0x63,0x07,0x6F,0x73,0x73,0x69,0x62,0x6C,0x65,0x8E,0x32,0x01,0x73,0x77
	,0x24,0x00,0x99,0x13,0x00,0x3F,0xDD,0x00,0x8A,0x5C,0x00,0xC8,0xAF,0x09,0x49,0x50,0x41,0x64,0x64,0x72
	,0x65,0x73,0x73,0xE8,0xDD,0x00,0x59,0x0E,0x00,0x2F,0x5D,0x00,0x53,0x20,0x00,0x7F,0x37,0x00,0xCA,0x93
	,0x07,0x47,0x65,0x6E,0x65,0x72,0x69,0x63,0x8B,0xB8,0x05,0x45,0x6E,0x74,0x72,0x79,0x28,0x95,0x00,0x8B
	,0xC6,0x05,0x49,0x6E,0x64,0x65,0x78,0x3F,0xD8,0x0A,0x6E,0x67,0x4E,0x75,0x6D,0x62,0x65,0x72,0x4F,0x66
	,0x84,0x21,0x03,0x69,0x65,0x73,0x75,0xFB,0x0A,0x52,0x65,0x6D,0x6F,0x74,0x65,0x48,0x6F,0x73,0x74,0x77
	,0xB9,0x00,0x4C,0x10,0x00,0x73,0xB8,0x00,0x48,0x8C,0x03,0x50,0x6F,0x72,0xB8,0x20,0x00,0xCE,0x10,0x00
	,0x74,0xD9,0x07,0x72,0x6F,0x74,0x6F,0x63,0x6F,0x6C,0xB9,0xD5,0x00,0x09,0x84,0x00,0x8A,0x12,0x00,0x33
	,0xFB,0x02,0x49,0x6E,0xFF,0x42,0x04,0x65,0x3E,0x49,0x6E,0xFF,0x42,0x00,0x08,0x21,0x05,0x43,0x6C,0x69
	,0x65,0x6E,0xBF,0x21,0x00,0x49,0x11,0x00,0xF4,0x85,0x01,0x6E,0x84,0xF3,0x01,0x64,0xBF,0x64,0x03,0x69
	,0x6E,0x67,0x49,0x12,0x00,0x34,0x86,0x00,0x4A,0xFA,0x07,0x44,0x65,0x73,0x63,0x72,0x69,0x70,0x84,0xE9
	,0x00,0xBF,0x89,0x00,0x50,0x13,0x00,0x33,0xED,0x09,0x4C,0x65,0x61,0x73,0x65,0x44,0x75,0x72,0x61,0xFF
	,0x23,0x00,0x47,0xAD,0x00,0xCF,0x13,0x00,0x61,0xF1,0x00,0x09,0xF4,0x03,0x4C,0x69,0x73,0xC5,0x03,0x00
	,0x47,0xE7,0x00,0x08,0x02,0x00,0xC5,0xF6,0x0A,0x47,0x65,0x74,0x4E,0x41,0x54,0x52,0x53,0x49,0x50,0x44
	,0xEB,0x02,0x75,0x73,0x08,0xF7,0x00,0x0E,0x0F,0x00,0x12,0xE3,0x00,0x84,0x0C,0x05,0x41,0x76,0x61,0x69
	,0x6C,0xC4,0xF6,0x00,0x77,0xE4,0x00,0x0F,0x11,0x00,0xF3,0xE2,0x03,0x4E,0x41,0x54,0xBE,0xA0,0x03,0x4E
	,0x41,0x54,0xAA,0x9E,0x00,0x68,0x54,0x08,0x53,0x70,0x65,0x63,0x69,0x66,0x69,0x63,0xCD,0xB7,0x03,0x74
	,0x72,0x79,0x29,0x57,0x08,0x65,0x6D,0x6F,0x74,0x65,0x48,0x6F,0x73,0x53,0xF6,0x02,0x69,0x6E,0x23,0x56
	,0x00,0x0B,0x10,0x00,0x34,0xF5,0x0A,0x78,0x74,0x65,0x72,0x6E,0x61,0x6C,0x50,0x6F,0x72,0x77,0x20,0x00
	,0x8E,0x10,0x00,0xB4,0xF4,0x07,0x72,0x6F,0x74,0x6F,0x63,0x6F,0x6C,0x36,0x40,0x00,0xCB,0xF0,0x00,0x4A
	,0x12,0x00,0x33,0xF0,0x02,0x49,0x6E,0x5C,0x42,0x00,0xE5,0xEF,0x02,0x49,0x6E,0xBF,0x42,0x00,0x08,0x21
	,0x05,0x43,0x6C,0x69,0x65,0x6E,0xBF,0x21,0x00,0x49,0x11,0x00,0x74,0x85,0x00,0xFD,0xD9,0x00,0x8D,0xC2
	,0x00,0xE8,0xDB,0x00,0xD3,0x85,0x00,0x4A,0xD4,0x07,0x44,0x65,0x73,0x63,0x72,0x69,0x70,0x84,0xFA,0x00
	,0x3F,0x25,0x00,0x50,0x13,0x00,0xB3,0xCC,0x09,0x4C,0x65,0x61,0x73,0x65,0x44,0x75,0x72,0x61,0xFF,0x23
	,0x00,0x47,0xAD,0x00,0xCF,0x13,0x00,0xE1,0xF0,0x00,0x89,0xF3,0x03,0x4C,0x69,0x73,0xC5,0x03,0x00,0x07
	,0xE7,0x00,0x08,0x02,0x00,0x45,0xF6,0x03,0x47,0x65,0x74,0x44,0xE9,0x06,0x75,0x73,0x49,0x6E,0x66,0x6F
	,0xC8,0xF5,0x00,0x4E,0x0E,0x00,0x12,0xE2,0x04,0x43,0x6F,0x6E,0x6E,0x06,0xFE,0x00,0x06,0x0F,0x00,0xB7
	,0xC1,0x00,0xD2,0x11,0x00,0x74,0x59,0x03,0x61,0x73,0x74,0x0A,0x24,0x05,0x45,0x72,0x72,0x6F,0x72,0x77
	,0xE5,0x00,0x95,0x12,0x00,0x33,0xE7,0x06,0x55,0x70,0x74,0x69,0x6D,0x65,0x37,0xE5,0x00,0x48,0x0F,0x00
	,0xBF,0x77,0x00,0x87,0xE8,0x05,0x52,0x65,0x71,0x75,0x65,0x0C,0x48,0x00,0x48,0xEA,0x00,0x56,0x83,0x02
	,0x53,0x65,0xCB,0x52,0x04,0x54,0x79,0x70,0x65,0x72,0x84,0x03,0x54,0x79,0x70,0xD3,0x3E,0x02,0x69,0x6E
	,0xAC,0x83,0x03,0x54,0x79,0x70,0xBC,0x40,0x00,0x47,0xBA,0x00,0x86,0xBD,0x07,0x73,0x65,0x72,0x76,0x69
	,0x63,0x65,0x05,0xF9,0x01,0x54,0x06,0xED,0x01,0x73,0x0C,0xFC,0x11,0x20,0x73,0x65,0x6E,0x64,0x45,0x76
	,0x65,0x6E,0x74,0x73,0x3D,0x22,0x79,0x65,0x73,0x22,0xC7,0xEF,0x08,0x50,0x6F,0x73,0x73,0x69,0x62,0x6C
	,0x65,0x0E,0x44,0x00,0x8A,0xBA,0x03,0x61,0x74,0x61,0x44,0x48,0x09,0x3E,0x73,0x74,0x72,0x69,0x6E,0x67
	,0x3C,0x2F,0x49,0x04,0x0D,0x3C,0x61,0x6C,0x6C,0x6F,0x77,0x65,0x64,0x56,0x61,0x6C,0x75,0x65,0x47,0xD0
	,0x00,0x8B,0x04,0x0F,0x3E,0x55,0x6E,0x63,0x6F,0x6E,0x66,0x69,0x67,0x75,0x72,0x65,0x64,0x3C,0x2F,0xCD
	,0x06,0x00,0x4E,0x0A,0x07,0x49,0x50,0x5F,0x52,0x6F,0x75,0x74,0xA2,0x09,0x05,0x42,0x72,0x69,0x64,0x67
	,0x52,0x13,0x01,0x2F,0x52,0x22,0x02,0x2F,0x73,0x4E,0xD6,0x00,0x9A,0x42,0x02,0x6E,0x6F,0x4A,0x42,0x0B
	,0x72,0x74,0x4D,0x61,0x70,0x70,0x69,0x6E,0x67,0x45,0x6E,0xC4,0xED,0x01,0x64,0x11,0x41,0x07,0x62,0x6F
	,0x6F,0x6C,0x65,0x61,0x6E,0x4C,0x41,0x00,0xBF,0x1A,0x07,0x44,0x65,0x73,0x63,0x72,0x69,0x70,0x8C,0xAC
	,0x00,0x9B,0x5C,0x00,0xF4,0x35,0x00,0x55,0xFB,0x00,0x3F,0x77,0x0B,0x3E,0x45,0x52,0x52,0x4F,0x52,0x5F
	,0x4E,0x4F,0x4E,0x45,0x9D,0x76,0x00,0xC6,0x09,0x0F,0x43,0x4F,0x4D,0x4D,0x41,0x4E,0x44,0x5F,0x41,0x42
	,0x4F,0x52,0x54,0x45,0x44,0xA3,0x0C,0x18,0x4E,0x4F,0x54,0x5F,0x45,0x4E,0x41,0x42,0x4C,0x45,0x44,0x5F
	,0x46,0x4F,0x52,0x5F,0x49,0x4E,0x54,0x45,0x52,0x4E,0x45,0x54,0x63,0x1B,0x0E,0x55,0x53,0x45,0x52,0x5F
	,0x44,0x49,0x53,0x43,0x4F,0x4E,0x4E,0x45,0x43,0xA4,0x0C,0x03,0x49,0x53,0x50,0x6F,0x0C,0x03,0x44,0x4C
	,0x45,0xEE,0x18,0x06,0x46,0x4F,0x52,0x43,0x45,0x44,0xEE,0x25,0x0A,0x4E,0x4F,0x5F,0x43,0x41,0x52,0x52
	,0x49,0x45,0x52,0x24,0x31,0x0F,0x50,0x5F,0x43,0x4F,0x4E,0x46,0x49,0x47,0x55,0x52,0x41,0x54,0x49,0x4F
	,0x4E,0x64,0x4A,0x06,0x4E,0x4B,0x4E,0x4F,0x57,0x4E,0x7F,0xD3,0x00,0x58,0xD3,0x0E,0x49,0x6E,0x74,0x65
	,0x72,0x6E,0x61,0x6C,0x43,0x6C,0x69,0x65,0x6E,0x74,0xFF,0xB6,0x00,0x98,0xEC,0x00,0xCA,0xB5,0x00,0x84
	,0xE7,0x00,0x3F,0xD0,0x00,0x4E,0xEB,0x03,0x79,0x65,0x73,0x88,0xEB,0x05,0x58,0x5F,0x4E,0x61,0x6D,0xBF
	,0x17,0x00,0x21,0x4A,0x03,0x50,0x6F,0x72,0x92,0x49,0x03,0x75,0x69,0x32,0xBF,0xFF,0x06,0x3E,0x4E,0x41
	,0x54,0x45,0x6E,0xC4,0x6D,0x01,0x64,0x51,0xFD,0x07,0x62,0x6F,0x6F,0x6C,0x65,0x61,0x6E,0x3F,0x48,0x02
	,0x65,0x3E,0xC4,0x2E,0x16,0x4D,0x61,0x70,0x70,0x69,0x6E,0x67,0x4E,0x75,0x6D,0x62,0x65,0x72,0x4F,0x66
	,0x45,0x6E,0x74,0x72,0x69,0x65,0x73,0x7F,0x34,0x00,0x55,0x96,0x00,0x8B,0x1B,0x08,0x50,0x72,0x6F,0x74
	,0x6F,0x63,0x6F,0x6C,0xA3,0x97,0x00,0x52,0xB5,0x00,0x8D,0xF9,0x03,0x54,0x43,0x50,0x1D,0xFE,0x03,0x55
	,0x44,0x50,0x3F,0xCA,0x00,0x18,0xCA,0x0C,0x52,0x53,0x49,0x50,0x41,0x76,0x61,0x69,0x6C,0x61,0x62,0x6C
	,0x92,0xB0,0x00,0xFF,0x68,0x00,0xC9,0xB0,0x02,0x45,0x78,0x86,0xE3,0x09,0x49,0x50,0x41,0x64,0x64,0x72
	,0x65,0x73,0x73,0x7F,0xE4,0x00,0x98,0xFD,0x02,0x45,0x78,0xBF,0xB3,0x00,0xA0,0x4B,0x09,0x65,0x6D,0x6F
	,0x74,0x65,0x48,0x6F,0x73,0x74,0xFF,0xE3,0x00,0xA3,0x97,0x0D,0x4C,0x65,0x61,0x73,0x65,0x44,0x75,0x72
	,0x61,0x74,0x69,0x6F,0x6E,0xD3,0xE6,0x01,0x34,0x7F,0xCE,0x08,0x65,0x3E,0x43,0x6F,0x6E,0x6E,0x65,0x63
	,0xC4,0x17,0x06,0x53,0x74,0x61,0x74,0x75,0x73,0x3F,0xB2,0x00,0x04,0xAA,0x0B,0x6E,0x63,0x6F,0x6E,0x66
	,0x69,0x67,0x75,0x72,0x65,0x64,0x5D,0xB4,0x00,0xC8,0x1E,0x02,0x6E,0x67,0xE4,0x09,0x00,0x5F,0x13,0x0B
	,0x50,0x65,0x6E,0x64,0x69,0x6E,0x67,0x44,0x69,0x73,0x63,0x86,0x34,0x00,0x1D,0xD3,0x00,0xCA,0x09,0x03
	,0x69,0x6E,0x67,0xA7,0x0A,0x02,0x65,0x64,0xFF,0xDF,0x00,0xD8,0xDF,0x06,0x55,0x70,0x74,0x69,0x6D,0x65
	,0xB0,0x77,0x08,0x2F,0x73,0x65,0x72,0x76,0x69,0x63,0x65,0xC4,0x6D,0x02,0x65,0x54,0x08,0x05,0x01,0x63
	,0x00,0x00,0x03,0x70,0x64,0x3E,0x00,0x00};



struct UPnPDataObject;

//
// It should not be necessary to expose/modify any of these structures. They
// are used by the internal stack
//

struct SubscriberInfo
{
	char* SID;		// Subscription ID
	int SIDLength;
	int SEQ;
	
	
	int Address;
	unsigned short Port;
	char* Path;
	int PathLength;
	int RefCount;
	int Disposing;
	
	#if defined(WIN32) || defined(_WIN32_WCE)
	unsigned int RenewByTime;
	#else
	struct timeval RenewByTime;
	#endif
	
	struct SubscriberInfo *Next;
	struct SubscriberInfo *Previous;
};
struct UPnPDataObject
{
	//
	// Absolutely DO NOT put anything above these 3 function pointers
	//
	ILibChain_PreSelect PreSelect;
	ILibChain_PostSelect PostSelect;
	ILibChain_Destroy Destroy;
	
	void *EventClient;
	void *Chain;
	int UpdateFlag;
	
	/* Network Poll */
	unsigned int NetworkPollTime;
	
	int ForceExit;
	char *UUID;
	char *UDN;
	char *Serial;
	
	void *WebServerTimer;
	void *HTTPServer;
	
	char *DeviceDescription;
	int DeviceDescriptionLength;
	int InitialNotify;
	
	char* WANCommonInterfaceConfig_PhysicalLinkStatus;
	char* WANIPConnection_PossibleConnectionTypes;
	char* WANIPConnection_X_Name;
	char* WANIPConnection_PortMappingNumberOfEntries;
	char* WANIPConnection_ExternalIPAddress;
	char* WANIPConnection_ConnectionStatus;
	
	
	struct sockaddr_in addr;
	int addrlen;
	
	struct ip_mreq mreq;
	/* changed message from an array of char to pointer */
	char *message;

	int *AddressList;
	int AddressListLength;
	
	int _NumEmbeddedDevices;
	int WebSocketPortNumber;
	
	
	
	#if defined(WIN32) || defined(_WIN32_WCE)
	SOCKET *NOTIFY_SEND_socks;
	SOCKET NOTIFY_RECEIVE_sock;
	SOCKET MSEARCH_sock;	
	unsigned int CurrentTime;
	unsigned int NotifyTime;
	#else
	int *NOTIFY_SEND_socks;
	int NOTIFY_RECEIVE_sock;
	int MSEARCH_sock;
	struct timeval CurrentTime;
	struct timeval NotifyTime;
	#endif
	
	int SID;
	int NotifyCycleTime;
	
	
	sem_t EventLock;
	struct SubscriberInfo *HeadSubscriberPtr_OSInfo1;
	int NumberOfSubscribers_OSInfo1;
	struct SubscriberInfo *HeadSubscriberPtr_WANCommonInterfaceConfig;
	int NumberOfSubscribers_WANCommonInterfaceConfig;
	struct SubscriberInfo *HeadSubscriberPtr_WANIPConnection;
	int NumberOfSubscribers_WANIPConnection;
	
};

struct MSEARCH_state
{
	char *ST;
	int STLength;
	void *upnp;
	struct sockaddr_in dest_addr;
};
struct UPnPFragmentNotifyStruct
{
	struct UPnPDataObject *upnp;
	int packetNumber;
};

/* Pre-declarations */
void UPnPFragmentedSendNotify(void *data);
void UPnPSendNotify(const struct UPnPDataObject *upnp);
void UPnPSendByeBye(const struct UPnPDataObject *upnp);
void UPnPMainInvokeSwitch();
void UPnPSendDataXmlEscaped(const void* UPnPToken, const char* Data, const int DataLength, const int Terminate);
void UPnPSendData(const void* UPnPToken, const char* Data, const int DataLength, const int Terminate);
int UPnPPeriodicNotify(struct UPnPDataObject *upnp);
void UPnPSendEvent_Body(void *upnptoken, char *body, int bodylength, struct SubscriberInfo *info);

/*! \fn UPnPGetWebServerToken(const UPnPMicroStackToken MicroStackToken)
\brief Converts a MicroStackToken to a WebServerToken
\para
\a MicroStackToken is the void* returned from a call to UPnPCreateMicroStack. The returned token, is the server token
not the session token.
\param MicroStackToken MicroStack Token
\returns WebServer Token
*/
void* UPnPGetWebServerToken(const UPnPMicroStackToken MicroStackToken)
{
	return(((struct UPnPDataObject*)MicroStackToken)->HTTPServer);
}



void UPnPBuildSsdpResponsePacket(char* outpacket, int* outlength, const unsigned int ipaddr, const unsigned short port, const int EmbeddedDeviceNumber, const char* USN, const char* USNex, const char* ST, const char* NTex, const int NotifyTime)
{
	if(EmbeddedDeviceNumber==0)
	{
		*outlength = sprintf(outpacket,"HTTP/1.1 200 OK\r\nLOCATION: http://%d.%d.%d.%d:%d/\r\nEXT:\r\nSERVER: %s, UPnP/1.0, Intel MicroStack/1.0.1868\r\nUSN: uuid:%s%s\r\nCACHE-CONTROL: max-age=%d\r\nST: %s%s\r\n\r\n",(ipaddr&0xFF),((ipaddr>>8)&0xFF),((ipaddr>>16)&0xFF),((ipaddr>>24)&0xFF),port,UPnPPLATFORM,USN,USNex,NotifyTime,ST,NTex);
	}
	else
	{
		if(strcmp(ST,"ssdp:all")==0)
		{
			*outlength = sprintf(outpacket,"HTTP/1.1 200 OK\r\nLOCATION: http://%d.%d.%d.%d:%d/\r\nEXT:\r\nSERVER: %s, UPnP/1.0, Intel MicroStack/1.0.1868\r\nUSN: uuid:%s_%d%s\r\nCACHE-CONTROL: max-age=%d\r\nST: uuid:%s_%d%s\r\n\r\n" ,(ipaddr&0xFF),((ipaddr>>8)&0xFF),((ipaddr>>16)&0xFF),((ipaddr>>24)&0xFF),port,UPnPPLATFORM,USN,EmbeddedDeviceNumber,USNex,NotifyTime,USN,EmbeddedDeviceNumber,NTex);
		}
		else
		{
			*outlength = sprintf(outpacket,"HTTP/1.1 200 OK\r\nLOCATION: http://%d.%d.%d.%d:%d/\r\nEXT:\r\nSERVER: %s, UPnP/1.0, Intel MicroStack/1.0.1868\r\nUSN: uuid:%s_%d%s\r\nCACHE-CONTROL: max-age=%d\r\nST: %s%s\r\n\r\n" ,(ipaddr&0xFF),((ipaddr>>8)&0xFF),((ipaddr>>16)&0xFF),((ipaddr>>24)&0xFF),port,UPnPPLATFORM,USN,EmbeddedDeviceNumber,USNex,NotifyTime,ST,NTex);
		}
	}
}
void UPnPBuildSsdpNotifyPacket(char* outpacket, int* outlength, const unsigned int ipaddr, const unsigned short port, const int EmbeddedDeviceNumber, const char* USN, const char* USNex, const char* NT, const char* NTex, const int NotifyTime)
{
	if(EmbeddedDeviceNumber==0)
	{
		*outlength = sprintf(outpacket,"NOTIFY * HTTP/1.1\r\nLOCATION: http://%d.%d.%d.%d:%d/\r\nHOST: 239.255.255.250:1900\r\nSERVER: %s, UPnP/1.0, Intel MicroStack/1.0.1868\r\nNTS: ssdp:alive\r\nUSN: uuid:%s%s\r\nCACHE-CONTROL: max-age=%d\r\nNT: %s%s\r\n\r\n",(ipaddr&0xFF),((ipaddr>>8)&0xFF),((ipaddr>>16)&0xFF),((ipaddr>>24)&0xFF),port,UPnPPLATFORM,USN,USNex,NotifyTime,NT,NTex);
	}
	else
	{
		if(memcmp(NT,"uuid:",5)==0)
		{
			*outlength = sprintf(outpacket,"NOTIFY * HTTP/1.1\r\nLOCATION: http://%d.%d.%d.%d:%d/\r\nHOST: 239.255.255.250:1900\r\nSERVER: %s, UPnP/1.0, Intel MicroStack/1.0.1868\r\nNTS: ssdp:alive\r\nUSN: uuid:%s_%d%s\r\nCACHE-CONTROL: max-age=%d\r\nNT: %s%s_%d\r\n\r\n",(ipaddr&0xFF),((ipaddr>>8)&0xFF),((ipaddr>>16)&0xFF),((ipaddr>>24)&0xFF),port,UPnPPLATFORM,USN,EmbeddedDeviceNumber,USNex,NotifyTime,NT,NTex,EmbeddedDeviceNumber);
		}
		else
		{
			*outlength = sprintf(outpacket,"NOTIFY * HTTP/1.1\r\nLOCATION: http://%d.%d.%d.%d:%d/\r\nHOST: 239.255.255.250:1900\r\nSERVER: %s, UPnP/1.0, Intel MicroStack/1.0.1868\r\nNTS: ssdp:alive\r\nUSN: uuid:%s_%d%s\r\nCACHE-CONTROL: max-age=%d\r\nNT: %s%s\r\n\r\n",(ipaddr&0xFF),((ipaddr>>8)&0xFF),((ipaddr>>16)&0xFF),((ipaddr>>24)&0xFF),port,UPnPPLATFORM,USN,EmbeddedDeviceNumber,USNex,NotifyTime,NT,NTex);
		}
	}

}



void UPnPSetDisconnectFlag(UPnPSessionToken token,void *flag)
{
	((struct ILibWebServer_Session*)token)->Reserved10=flag;
}


/*! \fn UPnPIPAddressListChanged(UPnPMicroStackToken MicroStackToken)
\brief Tell the underlying MicroStack that an IPAddress may have changed
\param MicroStackToken Microstack
*/
void UPnPIPAddressListChanged(UPnPMicroStackToken MicroStackToken)
{
	((struct UPnPDataObject*)MicroStackToken)->UpdateFlag = 1;
	ILibForceUnBlockChain(((struct UPnPDataObject*)MicroStackToken)->Chain);
}

//
//	Internal underlying Initialization, that shouldn't be called explicitely
// 
// <param name="state">State object</param>
// <param name="NotifyCycleSeconds">Cycle duration</param>
// <param name="PortNumber">Port Number</param>
void UPnPInit(struct UPnPDataObject *state,const int NotifyCycleSeconds,const unsigned short PortNumber)
{
	int ra = 1;
	int i;
	struct sockaddr_in addr;
	struct ip_mreq mreq;
	unsigned char TTL = 4;
	
	/* Added by Srikiran - To multicast only on LAN! 
	 */
	char lan_ip_address[16];
	char *address;
	struct in_addr in;
	int tempresults;

	/* Complete State Reset */
	memset(state,0,sizeof(struct UPnPDataObject));
	
	/* Setup Notification Timer */
	state->NotifyCycleTime = NotifyCycleSeconds;
	
	#if defined(WIN32) || defined(_WIN32_WCE)
	state->CurrentTime = GetTickCount() / 1000;
	state->NotifyTime = state->CurrentTime  + (state->NotifyCycleTime/2);
	#else
	gettimeofday(&(state->CurrentTime),NULL);
	(state->NotifyTime).tv_sec = (state->CurrentTime).tv_sec  + (state->NotifyCycleTime/2);
	#endif
	
	memset((char *)&(state->addr), 0, sizeof(state->addr));
	state->addr.sin_family = AF_INET;
	state->addr.sin_addr.s_addr = htonl(INADDR_ANY);
	state->addr.sin_port = (unsigned short)htons(UPNP_PORT);
	state->addrlen = sizeof(state->addr);
	
	
	/* Set up socket */
	/* Modified by Srikiran - To multicast only on LAN! 
	 * state->AddressListLength = ILibGetLocalIPAddressList(&(state->AddressList));
	 */
	state->AddressListLength = 1;
	address = IPCon_GetIpAddrStr(int_ipcon);
	strcpy(lan_ip_address, address);
	if (address) free(address);
	inet_aton(lan_ip_address, &in);
	state->AddressList = (int*)malloc(sizeof(int));
	tempresults = in.s_addr;
	memcpy(state->AddressList, &tempresults, sizeof(int));
	
	#if defined(WIN32) || defined(_WIN32_WCE)
	state->NOTIFY_SEND_socks = (SOCKET*)malloc(sizeof(int)*(state->AddressListLength));
	#else
	state->NOTIFY_SEND_socks = (int*)malloc(sizeof(int)*(state->AddressListLength));
	#endif
	
	state->NOTIFY_RECEIVE_sock = socket(AF_INET, SOCK_DGRAM, 0);
	memset((char *)&(addr), 0, sizeof(addr));
	addr.sin_family = AF_INET;
	addr.sin_addr.s_addr = htonl(INADDR_ANY);
	addr.sin_port = (unsigned short)htons(UPNP_PORT);
	if (setsockopt(state->NOTIFY_RECEIVE_sock, SOL_SOCKET, SO_REUSEADDR,(char*)&ra, sizeof(ra)) < 0)
	{
		printf("Setting SockOpt SO_REUSEADDR failed\r\n");
		exit(1);
	}
	if (bind(state->NOTIFY_RECEIVE_sock, (struct sockaddr *) &(addr), sizeof(addr)) < 0)
	{
		printf("Could not bind to UPnP Listen Port\r\n");
		exit(1);
	}

	//
	// Iterate through all the current IP Addresses
	//
	for(i=0;i<state->AddressListLength;++i)
	{
		state->NOTIFY_SEND_socks[i] = socket(AF_INET, SOCK_DGRAM, 0);
		memset((char *)&(addr), 0, sizeof(addr));
		addr.sin_family = AF_INET;
		addr.sin_addr.s_addr = state->AddressList[i];
		addr.sin_port = (unsigned short)htons(UPNP_PORT);

		//
		// Set re-use address
		//
		if (setsockopt(state->NOTIFY_SEND_socks[i], SOL_SOCKET, SO_REUSEADDR,(char*)&ra, sizeof(ra)) == 0)
		{
			//
			// Set the Multicast TTL
			//
			if (setsockopt(state->NOTIFY_SEND_socks[i], IPPROTO_IP, IP_MULTICAST_TTL,(char*)&TTL, sizeof(TTL)) < 0) 
			{
				/* Ignore this case */
			}
		
			/* Join the multicast group */
			mreq.imr_multiaddr.s_addr = inet_addr(UPNP_GROUP);
			mreq.imr_interface.s_addr = state->AddressList[i];
			if (setsockopt(state->NOTIFY_RECEIVE_sock, IPPROTO_IP, IP_ADD_MEMBERSHIP,(char*)&mreq, sizeof(mreq)) < 0)
			{
				/* Does not matter */
			}
			
			/* Do not Bind the socket. Bind on send socket is not required. */
#ifdef Bri
			if (bind(state->NOTIFY_SEND_socks[i], (struct sockaddr *) &(addr), sizeof(addr)) == 0)
			{
				mreq.imr_multiaddr.s_addr = inet_addr(UPNP_GROUP);
				mreq.imr_interface.s_addr = state->AddressList[i];
				//
				// Join the multicast group
				//
				if (setsockopt(state->NOTIFY_RECEIVE_sock, IPPROTO_IP, IP_ADD_MEMBERSHIP,(char*)&mreq, sizeof(mreq)) < 0)
				{
					/* Does not matter */
				}
			}
#endif
		}
	}
}
void UPnPPostMX_Destroy(void *object)
{
	struct MSEARCH_state *mss = (struct MSEARCH_state*)object;
	free(mss->ST);
	free(mss);
}
void UPnPPostMX_MSEARCH(void *object)
{
	struct MSEARCH_state *mss = (struct MSEARCH_state*)object;
	
	char *b = (char*)malloc(sizeof(char)*5000);
	int packetlength;
	struct sockaddr_in response_addr;
	int response_addrlen;
	#if defined(WIN32) || defined(_WIN32_WCE)
	SOCKET *response_socket;
	#else
	int *response_socket;
	#endif
	
	int cnt;
	int i;
	struct sockaddr_in dest_addr = mss->dest_addr;
	char *ST = mss->ST;
	int STLength = mss->STLength;
	struct UPnPDataObject *upnp = (struct UPnPDataObject*)mss->upnp;
	
	#if defined(WIN32) || defined(_WIN32_WCE)
	response_socket = (SOCKET*)malloc(upnp->AddressListLength*sizeof(int));
	#else
	response_socket = (int*)malloc(upnp->AddressListLength*sizeof(int));
	#endif
	
	//
	// Iterate through all the current IP Addresses
	//
	for(i=0;i<upnp->AddressListLength;++i)
	{
		//
		// Create a socket to respond with
		//
		response_socket[i] = socket(AF_INET, SOCK_DGRAM, 0);
		if (response_socket[i]< 0)
		{
			printf("response socket");
			exit(1);
		}
		memset((char *)&(response_addr), 0, sizeof(response_addr));
		response_addr.sin_family = AF_INET;
		response_addr.sin_addr.s_addr = upnp->AddressList[i];
		response_addr.sin_port = (unsigned short)htons(0);
		response_addrlen = sizeof(response_addr);	
		if (bind(response_socket[i], (struct sockaddr *) &(response_addr), sizeof(response_addr)) < 0)
		{
			/* Ignore if this happens */
		}
	}
	
	//
	// Search for root device
	//
	if(STLength==15 && memcmp(ST,"upnp:rootdevice",15)==0)
	{
		for(i=0;i<upnp->AddressListLength;++i)
		{
			
			UPnPBuildSsdpResponsePacket(b,&packetlength,upnp->AddressList[i],(unsigned short)upnp->WebSocketPortNumber,0,upnp->UDN,"::upnp:rootdevice","upnp:rootdevice","",upnp->NotifyCycleTime);
			
			
			cnt = sendto(response_socket[i], b, packetlength, 0,(struct sockaddr *) &dest_addr, sizeof(dest_addr));
		}
	}
	//
	// Search for everything
	//
	else if(STLength==8 && memcmp(ST,"ssdp:all",8)==0)
	{
		for(i=0;i<upnp->AddressListLength;++i)
		{
			UPnPBuildSsdpResponsePacket(b,&packetlength,upnp->AddressList[i],(unsigned short)upnp->WebSocketPortNumber,0,upnp->UDN,"::upnp:rootdevice","upnp:rootdevice","",upnp->NotifyCycleTime);
			cnt = sendto(response_socket[i], b, packetlength, 0,
			(struct sockaddr *) &dest_addr, sizeof(dest_addr));
			UPnPBuildSsdpResponsePacket(b,&packetlength,upnp->AddressList[i],(unsigned short)upnp->WebSocketPortNumber,0,upnp->UDN,"",upnp->UUID,"",upnp->NotifyCycleTime);
			cnt = sendto(response_socket[i], b, packetlength, 0,
			(struct sockaddr *) &dest_addr, sizeof(dest_addr));
			UPnPBuildSsdpResponsePacket(b,&packetlength,upnp->AddressList[i],(unsigned short)upnp->WebSocketPortNumber,0,upnp->UDN,"::urn:schemas-upnp-org:device:InternetGatewayDevice:1","urn:schemas-upnp-org:device:InternetGatewayDevice:1","",upnp->NotifyCycleTime);
			cnt = sendto(response_socket[i], b, packetlength, 0,
			(struct sockaddr *) &dest_addr, sizeof(dest_addr));
			UPnPBuildSsdpResponsePacket(b,&packetlength,upnp->AddressList[i],(unsigned short)upnp->WebSocketPortNumber,0,upnp->UDN,"::urn:schemas-microsoft-com:service:OSInfo:1","urn:schemas-microsoft-com:service:OSInfo:1","",upnp->NotifyCycleTime);
			cnt = sendto(response_socket[i], b, packetlength, 0,
			(struct sockaddr *) &dest_addr, sizeof(dest_addr));
		}
		for(i=0;i<upnp->AddressListLength;++i)
		{
			UPnPBuildSsdpResponsePacket(b,&packetlength,upnp->AddressList[i],(unsigned short)upnp->WebSocketPortNumber,1,upnp->UDN,"",ST,"",upnp->NotifyCycleTime);
			cnt = sendto(response_socket[i], b, packetlength, 0,
			(struct sockaddr *) &dest_addr, sizeof(dest_addr));
			UPnPBuildSsdpResponsePacket(b,&packetlength,upnp->AddressList[i],(unsigned short)upnp->WebSocketPortNumber,1,upnp->UDN,"::urn:schemas-upnp-org:device:WANDevice:1","urn:schemas-upnp-org:device:WANDevice:1","",upnp->NotifyCycleTime);
			cnt = sendto(response_socket[i], b, packetlength, 0,
			(struct sockaddr *) &dest_addr, sizeof(dest_addr));
			UPnPBuildSsdpResponsePacket(b,&packetlength,upnp->AddressList[i],(unsigned short)upnp->WebSocketPortNumber,1,upnp->UDN,"::urn:schemas-upnp-org:service:WANCommonInterfaceConfig:1","urn:schemas-upnp-org:service:WANCommonInterfaceConfig:1","",upnp->NotifyCycleTime);
			cnt = sendto(response_socket[i], b, packetlength, 0,
			(struct sockaddr *) &dest_addr, sizeof(dest_addr));
		}
		for(i=0;i<upnp->AddressListLength;++i)
		{
			UPnPBuildSsdpResponsePacket(b,&packetlength,upnp->AddressList[i],(unsigned short)upnp->WebSocketPortNumber,2,upnp->UDN,"",ST,"",upnp->NotifyCycleTime);
			cnt = sendto(response_socket[i], b, packetlength, 0,
			(struct sockaddr *) &dest_addr, sizeof(dest_addr));
			UPnPBuildSsdpResponsePacket(b,&packetlength,upnp->AddressList[i],(unsigned short)upnp->WebSocketPortNumber,2,upnp->UDN,"::urn:schemas-upnp-org:device:WANConnectionDevice:1","urn:schemas-upnp-org:device:WANConnectionDevice:1","",upnp->NotifyCycleTime);
			cnt = sendto(response_socket[i], b, packetlength, 0,
			(struct sockaddr *) &dest_addr, sizeof(dest_addr));
			UPnPBuildSsdpResponsePacket(b,&packetlength,upnp->AddressList[i],(unsigned short)upnp->WebSocketPortNumber,2,upnp->UDN,"::urn:schemas-upnp-org:service:WANIPConnection:1","urn:schemas-upnp-org:service:WANIPConnection:1","",upnp->NotifyCycleTime);
			cnt = sendto(response_socket[i], b, packetlength, 0,
			(struct sockaddr *) &dest_addr, sizeof(dest_addr));
		}
		
	}
	if(STLength==(int)strlen(upnp->UUID) && memcmp(ST,upnp->UUID,(int)strlen(upnp->UUID))==0)
	{
		for(i=0;i<upnp->AddressListLength;++i)
		{
			UPnPBuildSsdpResponsePacket(b,&packetlength,upnp->AddressList[i],(unsigned short)upnp->WebSocketPortNumber,0,upnp->UDN,"",upnp->UUID,"",upnp->NotifyCycleTime);
			cnt = sendto(response_socket[i], b, packetlength, 0,
			(struct sockaddr *) &dest_addr, sizeof(dest_addr));
		}
	}
	if(STLength>=50 && memcmp(ST,"urn:schemas-upnp-org:device:InternetGatewayDevice:",50)==0 && atoi(ST+50)<=1)
	{
		for(i=0;i<upnp->AddressListLength;++i)
		{
			UPnPBuildSsdpResponsePacket(b,&packetlength,upnp->AddressList[i],(unsigned short)upnp->WebSocketPortNumber,0,upnp->UDN,"::urn:schemas-upnp-org:device:InternetGatewayDevice:1",ST,"",upnp->NotifyCycleTime);
			cnt = sendto(response_socket[i], b, packetlength, 0,
			(struct sockaddr *) &dest_addr, sizeof(dest_addr));
		}
	}
	if(STLength>=41 && memcmp(ST,"urn:schemas-microsoft-com:service:OSInfo:",41)==0 && atoi(ST+41)<=1)
	{
		for(i=0;i<upnp->AddressListLength;++i)
		{
			UPnPBuildSsdpResponsePacket(b,&packetlength,upnp->AddressList[i],(unsigned short)upnp->WebSocketPortNumber,0,upnp->UDN,"::urn:schemas-microsoft-com:service:OSInfo:1",ST,"",upnp->NotifyCycleTime);
			cnt = sendto(response_socket[i], b, packetlength, 0,
			(struct sockaddr *) &dest_addr, sizeof(dest_addr));
		}
	}
	if(STLength==(int)strlen(upnp->UUID) + 2)
	{
		if(memcmp(ST,upnp->UUID,(int)strlen(upnp->UUID))==0)
		{
			if(memcmp(ST+(int)strlen(upnp->UUID),"_1",2)==0)
			{
				for(i=0;i<upnp->AddressListLength;++i)
				{
					UPnPBuildSsdpResponsePacket(b,&packetlength,upnp->AddressList[i],(unsigned short)upnp->WebSocketPortNumber,1,upnp->UDN,"",ST,"",upnp->NotifyCycleTime);
					cnt = sendto(response_socket[i], b, packetlength, 0,
					(struct sockaddr *) &dest_addr, sizeof(dest_addr));
				}
			}
		}
	}
	if(STLength>=38 && memcmp(ST,"urn:schemas-upnp-org:device:WANDevice:",38)==0 && atoi(ST+38)<=1)
	{
		for(i=0;i<upnp->AddressListLength;++i)
		{
			UPnPBuildSsdpResponsePacket(b,&packetlength,upnp->AddressList[i],(unsigned short)upnp->WebSocketPortNumber,1,upnp->UDN,"::urn:schemas-upnp-org:device:WANDevice:1",ST,"",upnp->NotifyCycleTime);
			cnt = sendto(response_socket[i], b, packetlength, 0,
			(struct sockaddr *) &dest_addr, sizeof(dest_addr));
		}
	}
	if(STLength>=54 && memcmp(ST,"urn:schemas-upnp-org:service:WANCommonInterfaceConfig:",54)==0 && atoi(ST+54)<=1)
	{
		for(i=0;i<upnp->AddressListLength;++i)
		{
			UPnPBuildSsdpResponsePacket(b,&packetlength,upnp->AddressList[i],(unsigned short)upnp->WebSocketPortNumber,1,upnp->UDN,"::urn:schemas-upnp-org:service:WANCommonInterfaceConfig:1",ST,"",upnp->NotifyCycleTime);
			cnt = sendto(response_socket[i], b, packetlength, 0,
			(struct sockaddr *) &dest_addr, sizeof(dest_addr));
		}
	}
	if(STLength==(int)strlen(upnp->UUID) + 2)
	{
		if(memcmp(ST,upnp->UUID,(int)strlen(upnp->UUID))==0)
		{
			if(memcmp(ST+(int)strlen(upnp->UUID),"_2",2)==0)
			{
				for(i=0;i<upnp->AddressListLength;++i)
				{
					UPnPBuildSsdpResponsePacket(b,&packetlength,upnp->AddressList[i],(unsigned short)upnp->WebSocketPortNumber,2,upnp->UDN,"",ST,"",upnp->NotifyCycleTime);
					cnt = sendto(response_socket[i], b, packetlength, 0,
					(struct sockaddr *) &dest_addr, sizeof(dest_addr));
				}
			}
		}
	}
	if(STLength>=48 && memcmp(ST,"urn:schemas-upnp-org:device:WANConnectionDevice:",48)==0 && atoi(ST+48)<=1)
	{
		for(i=0;i<upnp->AddressListLength;++i)
		{
			UPnPBuildSsdpResponsePacket(b,&packetlength,upnp->AddressList[i],(unsigned short)upnp->WebSocketPortNumber,2,upnp->UDN,"::urn:schemas-upnp-org:device:WANConnectionDevice:1",ST,"",upnp->NotifyCycleTime);
			cnt = sendto(response_socket[i], b, packetlength, 0,
			(struct sockaddr *) &dest_addr, sizeof(dest_addr));
		}
	}
	if(STLength>=45 && memcmp(ST,"urn:schemas-upnp-org:service:WANIPConnection:",45)==0 && atoi(ST+45)<=1)
	{
		for(i=0;i<upnp->AddressListLength;++i)
		{
			UPnPBuildSsdpResponsePacket(b,&packetlength,upnp->AddressList[i],(unsigned short)upnp->WebSocketPortNumber,2,upnp->UDN,"::urn:schemas-upnp-org:service:WANIPConnection:1",ST,"",upnp->NotifyCycleTime);
			cnt = sendto(response_socket[i], b, packetlength, 0,
			(struct sockaddr *) &dest_addr, sizeof(dest_addr));
		}
	}
	
	
	for(i=0;i<upnp->AddressListLength;++i)
	{
		#if defined(WIN32) || defined(_WIN32_WCE)
		closesocket(response_socket[i]);
		#else
		close(response_socket[i]);
		#endif
	}
	free(response_socket);
	free(mss->ST);
	free(mss);
	free(b);
}
void UPnPProcessMSEARCH(struct UPnPDataObject *upnp, struct packetheader *packet)
{
	char* ST = NULL;
	int STLength = 0;
	struct packetheader_field_node *node;
	int MANOK = 0;
	unsigned long MXVal;
	int MXOK = 0;
	int MX;
	struct MSEARCH_state *mss = NULL;
	
	if(memcmp(packet->DirectiveObj,"*",1)==0)
	{
		if(memcmp(packet->Version,"1.1",3)==0)
		{
			node = packet->FirstField;
			while(node!=NULL)
			{
				if(node->FieldLength==2 && strncasecmp(node->Field,"ST",2)==0)
				{
					//
					// This is what is being searched for
					//
					ST = (char*)malloc(1+node->FieldDataLength);
					memcpy(ST,node->FieldData,node->FieldDataLength);
					ST[node->FieldDataLength] = 0;
					STLength = node->FieldDataLength;
				}
				else if(node->FieldLength==3 && strncasecmp(node->Field,"MAN",3)==0 && memcmp(node->FieldData,"\"ssdp:discover\"",15)==0)
				{
					//
					// This is a required header field
					// 
					MANOK = 1;
				}
				else if(node->FieldLength==2 && strncasecmp(node->Field,"MX",2)==0 && ILibGetULong(node->FieldData,node->FieldDataLength,&MXVal)==0)
				{
					//
					// If the timeout value specified is greater than 10 seconds, just force it
					// down to 10 seconds
					//
					MXOK = 1;
					MXVal = MXVal>10?10:MXVal;
				}
				node = node->NextField;
			}
			if(MANOK!=0 && MXOK!=0)
			{
				if(MXVal==0)
				{
					MX = 0;
				}
				else
				{
					//
					// The timeout value should be a random number between 0 and the 
					// specified value
					//
					MX = (int)(0 + ((unsigned short)rand() % MXVal));
				}
				mss = (struct MSEARCH_state*)malloc(sizeof(struct MSEARCH_state));
				mss->ST = ST;
				mss->STLength = STLength;
				mss->upnp = upnp;
				memset((char *)&(mss->dest_addr), 0, sizeof(mss->dest_addr));
				mss->dest_addr.sin_family = AF_INET;
				mss->dest_addr.sin_addr = packet->Source->sin_addr;
				mss->dest_addr.sin_port = packet->Source->sin_port;
				
				//
				// Register for a timed callback, so we can respond later
				//
	
				ILibLifeTime_Add(upnp->WebServerTimer,mss,MX,&UPnPPostMX_MSEARCH,&UPnPPostMX_Destroy);
			}
			else
			{
				free(ST);
			}
		}
	}
}
#define UPnPDispatch_OSInfo1_MagicOn(buffer,offset,bufferLength, session)\
{\
	UPnPFP_OSInfo1_MagicOn((void*)session);\
}

#define UPnPDispatch_WANCommonInterfaceConfig_GetCommonLinkProperties(buffer,offset,bufferLength, session)\
{\
	UPnPFP_WANCommonInterfaceConfig_GetCommonLinkProperties((void*)session);\
}

#define UPnPDispatch_WANCommonInterfaceConfig_GetTotalBytesReceived(buffer,offset,bufferLength, session)\
{\
	UPnPFP_WANCommonInterfaceConfig_GetTotalBytesReceived((void*)session);\
}

#define UPnPDispatch_WANCommonInterfaceConfig_GetTotalBytesSent(buffer,offset,bufferLength, session)\
{\
	UPnPFP_WANCommonInterfaceConfig_GetTotalBytesSent((void*)session);\
}

#define UPnPDispatch_WANCommonInterfaceConfig_GetTotalPacketsReceived(buffer,offset,bufferLength, session)\
{\
	UPnPFP_WANCommonInterfaceConfig_GetTotalPacketsReceived((void*)session);\
}

#define UPnPDispatch_WANCommonInterfaceConfig_GetTotalPacketsSent(buffer,offset,bufferLength, session)\
{\
	UPnPFP_WANCommonInterfaceConfig_GetTotalPacketsSent((void*)session);\
}

void UPnPDispatch_WANIPConnection_AddPortMapping(char *buffer, int offset, int bufferLength, struct ILibWebServer_Session *ReaderObject)
{
	unsigned long TempULong;
	int OK = 0;
	char *p_NewRemoteHost = NULL;
	int p_NewRemoteHostLength = 0;
	char* _NewRemoteHost = "";
	int _NewRemoteHostLength;
	char *p_NewExternalPort = NULL;
	int p_NewExternalPortLength = 0;
	unsigned short _NewExternalPort = 0;
	char *p_NewProtocol = NULL;
	int p_NewProtocolLength = 0;
	char* _NewProtocol = "";
	int _NewProtocolLength;
	char *p_NewInternalPort = NULL;
	int p_NewInternalPortLength = 0;
	unsigned short _NewInternalPort = 0;
	char *p_NewInternalClient = NULL;
	int p_NewInternalClientLength = 0;
	char* _NewInternalClient = "";
	int _NewInternalClientLength;
	char *p_NewEnabled = NULL;
	int p_NewEnabledLength = 0;
	int _NewEnabled = 0;
	char *p_NewPortMappingDescription = NULL;
	int p_NewPortMappingDescriptionLength = 0;
	char* _NewPortMappingDescription = "";
	int _NewPortMappingDescriptionLength;
	char *p_NewLeaseDuration = NULL;
	int p_NewLeaseDurationLength = 0;
	unsigned int _NewLeaseDuration = 0;
	struct ILibXMLNode *xnode = ILibParseXML(buffer,offset,bufferLength);
	struct ILibXMLNode *root = xnode;
	if(ILibProcessXMLNodeList(root)!=0)
	{
		/* The XML is not well formed! */
		ILibDestructXMLNodeList(root);
		UPnPResponse_Error(ReaderObject,501,"Invalid XML");
		return;
	}
	while(xnode!=NULL)
	{
		if(xnode->StartTag!=0 && xnode->NameLength==8 && memcmp(xnode->Name,"Envelope",8)==0)
		{
			// Envelope
			xnode = xnode->Next;
			while(xnode!=NULL)
			{
				if(xnode->StartTag!=0 && xnode->NameLength==4 && memcmp(xnode->Name,"Body",4)==0)
				{
					// Body
					xnode = xnode->Next;
					while(xnode!=NULL)
					{
						if(xnode->StartTag!=0 && xnode->NameLength==14 && memcmp(xnode->Name,"AddPortMapping",14)==0)
						{
							// Inside the interesting part of the SOAP
							xnode = xnode->Next;
							while(xnode!=NULL)
							{
								if(xnode->NameLength==13 && memcmp(xnode->Name,"NewRemoteHost",13)==0)
								{
									p_NewRemoteHostLength = ILibReadInnerXML(xnode,&p_NewRemoteHost);
									p_NewRemoteHost[p_NewRemoteHostLength]=0;
									OK |= 1;
								}
								else if(xnode->NameLength==15 && memcmp(xnode->Name,"NewExternalPort",15)==0)
								{
									p_NewExternalPortLength = ILibReadInnerXML(xnode,&p_NewExternalPort);
									OK |= 2;
								}
								else if(xnode->NameLength==11 && memcmp(xnode->Name,"NewProtocol",11)==0)
								{
									p_NewProtocolLength = ILibReadInnerXML(xnode,&p_NewProtocol);
									p_NewProtocol[p_NewProtocolLength]=0;
									OK |= 4;
								}
								else if(xnode->NameLength==15 && memcmp(xnode->Name,"NewInternalPort",15)==0)
								{
									p_NewInternalPortLength = ILibReadInnerXML(xnode,&p_NewInternalPort);
									OK |= 8;
								}
								else if(xnode->NameLength==17 && memcmp(xnode->Name,"NewInternalClient",17)==0)
								{
									p_NewInternalClientLength = ILibReadInnerXML(xnode,&p_NewInternalClient);
									p_NewInternalClient[p_NewInternalClientLength]=0;
									OK |= 16;
								}
								else if(xnode->NameLength==10 && memcmp(xnode->Name,"NewEnabled",10)==0)
								{
									p_NewEnabledLength = ILibReadInnerXML(xnode,&p_NewEnabled);
									OK |= 32;
								}
								else if(xnode->NameLength==25 && memcmp(xnode->Name,"NewPortMappingDescription",25)==0)
								{
									p_NewPortMappingDescriptionLength = ILibReadInnerXML(xnode,&p_NewPortMappingDescription);
									p_NewPortMappingDescription[p_NewPortMappingDescriptionLength]=0;
									OK |= 64;
								}
								else if(xnode->NameLength==16 && memcmp(xnode->Name,"NewLeaseDuration",16)==0)
								{
									p_NewLeaseDurationLength = ILibReadInnerXML(xnode,&p_NewLeaseDuration);
									OK |= 128;
								}
								if(xnode->Peer==NULL)
								{
									xnode = xnode->Parent;
									break;
								}
								else
								{
									xnode = xnode->Peer;
								}
							}
						}
						if(xnode->Peer==NULL)
						{
							xnode = xnode->Parent;
							break;
						}
						else
						{
							xnode = xnode->Peer;
						}
					}
				}
				if(xnode->Peer==NULL)
				{
					xnode = xnode->Parent;
					break;
				}
				else
				{
					xnode = xnode->Peer;
				}
			}
		}
		xnode = xnode->Peer;
	}
	ILibDestructXMLNodeList(root);
	if (OK != 255)
	{
		UPnPResponse_Error(ReaderObject,402,"Incorrect Arguments");
		return;
	}
	
	/* Type Checking */
	_NewRemoteHostLength = ILibInPlaceXmlUnEscape(p_NewRemoteHost);
	_NewRemoteHost = p_NewRemoteHost;
	OK = ILibGetULong(p_NewExternalPort,p_NewExternalPortLength, &TempULong);
	if(OK!=0)
	{
		UPnPResponse_Error(ReaderObject,402,"Argument[NewExternalPort] illegal value");
		return;
	}
	else
	{
		if(!(TempULong>=(unsigned long)0x0 && TempULong<=(unsigned long)0xFFFF))
		{
			UPnPResponse_Error(ReaderObject,402,"Argument[NewExternalPort] out of Range");
			return;
		}
		_NewExternalPort = (unsigned short)TempULong;
	}
	_NewProtocolLength = ILibInPlaceXmlUnEscape(p_NewProtocol);
	_NewProtocol = p_NewProtocol;
	if(memcmp(_NewProtocol, "TCP\0",4) != 0
	&& memcmp(_NewProtocol, "UDP\0",4) != 0
	)
	{
		UPnPResponse_Error(ReaderObject,402,"Argument[NewProtocol] contains a value that is not in AllowedValueList");
		return;
	}
	OK = ILibGetULong(p_NewInternalPort,p_NewInternalPortLength, &TempULong);
	if(OK!=0)
	{
		UPnPResponse_Error(ReaderObject,402,"Argument[NewInternalPort] illegal value");
		return;
	}
	else
	{
		if(!(TempULong>=(unsigned long)0x0 && TempULong<=(unsigned long)0xFFFF))
		{
			UPnPResponse_Error(ReaderObject,402,"Argument[NewInternalPort] out of Range");
			return;
		}
		_NewInternalPort = (unsigned short)TempULong;
	}
	_NewInternalClientLength = ILibInPlaceXmlUnEscape(p_NewInternalClient);
	_NewInternalClient = p_NewInternalClient;
	OK=0;
	if(p_NewEnabledLength==4)
	{
		if(strncasecmp(p_NewEnabled,"true",4)==0)
		{
			OK = 1;
			_NewEnabled = 1;
		}
	}
	if(p_NewEnabledLength==5)
	{
		if(strncasecmp(p_NewEnabled,"false",5)==0)
		{
			OK = 1;
			_NewEnabled = 0;
		}
	}
	if(p_NewEnabledLength==1)
	{
		if(memcmp(p_NewEnabled,"0",1)==0)
		{
			OK = 1;
			_NewEnabled = 0;
		}
		if(memcmp(p_NewEnabled,"1",1)==0)
		{
			OK = 1;
			_NewEnabled = 1;
		}
	}
	if(OK==0)
	{
		UPnPResponse_Error(ReaderObject,402,"Argument[NewEnabled] illegal value");
		return;
	}
	_NewPortMappingDescriptionLength = ILibInPlaceXmlUnEscape(p_NewPortMappingDescription);
	_NewPortMappingDescription = p_NewPortMappingDescription;
	OK = ILibGetULong(p_NewLeaseDuration,p_NewLeaseDurationLength, &TempULong);
	if(OK!=0)
	{
		UPnPResponse_Error(ReaderObject,402,"Argument[NewLeaseDuration] illegal value");
		return;
	}
	_NewLeaseDuration = (unsigned int)TempULong;
	UPnPFP_WANIPConnection_AddPortMapping((void*)ReaderObject,_NewRemoteHost,_NewExternalPort,_NewProtocol,_NewInternalPort,_NewInternalClient,_NewEnabled,_NewPortMappingDescription,_NewLeaseDuration);
}

void UPnPDispatch_WANIPConnection_DeletePortMapping(char *buffer, int offset, int bufferLength, struct ILibWebServer_Session *ReaderObject)
{
	unsigned long TempULong;
	int OK = 0;
	char *p_NewRemoteHost = NULL;
	int p_NewRemoteHostLength = 0;
	char* _NewRemoteHost = "";
	int _NewRemoteHostLength;
	char *p_NewExternalPort = NULL;
	int p_NewExternalPortLength = 0;
	unsigned short _NewExternalPort = 0;
	char *p_NewProtocol = NULL;
	int p_NewProtocolLength = 0;
	char* _NewProtocol = "";
	int _NewProtocolLength;
	struct ILibXMLNode *xnode = ILibParseXML(buffer,offset,bufferLength);
	struct ILibXMLNode *root = xnode;
	if(ILibProcessXMLNodeList(root)!=0)
	{
		/* The XML is not well formed! */
		ILibDestructXMLNodeList(root);
		UPnPResponse_Error(ReaderObject,501,"Invalid XML");
		return;
	}
	while(xnode!=NULL)
	{
		if(xnode->StartTag!=0 && xnode->NameLength==8 && memcmp(xnode->Name,"Envelope",8)==0)
		{
			// Envelope
			xnode = xnode->Next;
			while(xnode!=NULL)
			{
				if(xnode->StartTag!=0 && xnode->NameLength==4 && memcmp(xnode->Name,"Body",4)==0)
				{
					// Body
					xnode = xnode->Next;
					while(xnode!=NULL)
					{
						if(xnode->StartTag!=0 && xnode->NameLength==17 && memcmp(xnode->Name,"DeletePortMapping",17)==0)
						{
							// Inside the interesting part of the SOAP
							xnode = xnode->Next;
							while(xnode!=NULL)
							{
								if(xnode->NameLength==13 && memcmp(xnode->Name,"NewRemoteHost",13)==0)
								{
									p_NewRemoteHostLength = ILibReadInnerXML(xnode,&p_NewRemoteHost);
									p_NewRemoteHost[p_NewRemoteHostLength]=0;
									OK |= 1;
								}
								else if(xnode->NameLength==15 && memcmp(xnode->Name,"NewExternalPort",15)==0)
								{
									p_NewExternalPortLength = ILibReadInnerXML(xnode,&p_NewExternalPort);
									OK |= 2;
								}
								else if(xnode->NameLength==11 && memcmp(xnode->Name,"NewProtocol",11)==0)
								{
									p_NewProtocolLength = ILibReadInnerXML(xnode,&p_NewProtocol);
									p_NewProtocol[p_NewProtocolLength]=0;
									OK |= 4;
								}
								if(xnode->Peer==NULL)
								{
									xnode = xnode->Parent;
									break;
								}
								else
								{
									xnode = xnode->Peer;
								}
							}
						}
						if(xnode->Peer==NULL)
						{
							xnode = xnode->Parent;
							break;
						}
						else
						{
							xnode = xnode->Peer;
						}
					}
				}
				if(xnode->Peer==NULL)
				{
					xnode = xnode->Parent;
					break;
				}
				else
				{
					xnode = xnode->Peer;
				}
			}
		}
		xnode = xnode->Peer;
	}
	ILibDestructXMLNodeList(root);
	if (OK != 7)
	{
		UPnPResponse_Error(ReaderObject,402,"Incorrect Arguments");
		return;
	}
	
	/* Type Checking */
	_NewRemoteHostLength = ILibInPlaceXmlUnEscape(p_NewRemoteHost);
	_NewRemoteHost = p_NewRemoteHost;
	OK = ILibGetULong(p_NewExternalPort,p_NewExternalPortLength, &TempULong);
	if(OK!=0)
	{
		UPnPResponse_Error(ReaderObject,402,"Argument[NewExternalPort] illegal value");
		return;
	}
	else
	{
		if(!(TempULong>=(unsigned long)0x0 && TempULong<=(unsigned long)0xFFFF))
		{
			UPnPResponse_Error(ReaderObject,402,"Argument[NewExternalPort] out of Range");
			return;
		}
		_NewExternalPort = (unsigned short)TempULong;
	}
	_NewProtocolLength = ILibInPlaceXmlUnEscape(p_NewProtocol);
	_NewProtocol = p_NewProtocol;
	if(memcmp(_NewProtocol, "TCP\0",4) != 0
	&& memcmp(_NewProtocol, "UDP\0",4) != 0
	)
	{
		UPnPResponse_Error(ReaderObject,402,"Argument[NewProtocol] contains a value that is not in AllowedValueList");
		return;
	}
	UPnPFP_WANIPConnection_DeletePortMapping((void*)ReaderObject,_NewRemoteHost,_NewExternalPort,_NewProtocol);
}

#define UPnPDispatch_WANIPConnection_ForceTermination(buffer,offset,bufferLength, session)\
{\
	UPnPFP_WANIPConnection_ForceTermination((void*)session);\
}

#define UPnPDispatch_WANIPConnection_GetConnectionTypeInfo(buffer,offset,bufferLength, session)\
{\
	UPnPFP_WANIPConnection_GetConnectionTypeInfo((void*)session);\
}

#define UPnPDispatch_WANIPConnection_GetExternalIPAddress(buffer,offset,bufferLength, session)\
{\
	UPnPFP_WANIPConnection_GetExternalIPAddress((void*)session);\
}

void UPnPDispatch_WANIPConnection_GetGenericPortMappingEntry(char *buffer, int offset, int bufferLength, struct ILibWebServer_Session *ReaderObject)
{
	unsigned long TempULong;
	int OK = 0;
	char *p_NewPortMappingIndex = NULL;
	int p_NewPortMappingIndexLength = 0;
	unsigned short _NewPortMappingIndex = 0;
	struct ILibXMLNode *xnode = ILibParseXML(buffer,offset,bufferLength);
	struct ILibXMLNode *root = xnode;
	if(ILibProcessXMLNodeList(root)!=0)
	{
		/* The XML is not well formed! */
		ILibDestructXMLNodeList(root);
		UPnPResponse_Error(ReaderObject,501,"Invalid XML");
		return;
	}
	while(xnode!=NULL)
	{
		if(xnode->StartTag!=0 && xnode->NameLength==8 && memcmp(xnode->Name,"Envelope",8)==0)
		{
			// Envelope
			xnode = xnode->Next;
			while(xnode!=NULL)
			{
				if(xnode->StartTag!=0 && xnode->NameLength==4 && memcmp(xnode->Name,"Body",4)==0)
				{
					// Body
					xnode = xnode->Next;
					while(xnode!=NULL)
					{
						if(xnode->StartTag!=0 && xnode->NameLength==26 && memcmp(xnode->Name,"GetGenericPortMappingEntry",26)==0)
						{
							// Inside the interesting part of the SOAP
							xnode = xnode->Next;
							while(xnode!=NULL)
							{
								if(xnode->NameLength==19 && memcmp(xnode->Name,"NewPortMappingIndex",19)==0)
								{
									p_NewPortMappingIndexLength = ILibReadInnerXML(xnode,&p_NewPortMappingIndex);
									OK |= 1;
								}
								if(xnode->Peer==NULL)
								{
									xnode = xnode->Parent;
									break;
								}
								else
								{
									xnode = xnode->Peer;
								}
							}
						}
						if(xnode->Peer==NULL)
						{
							xnode = xnode->Parent;
							break;
						}
						else
						{
							xnode = xnode->Peer;
						}
					}
				}
				if(xnode->Peer==NULL)
				{
					xnode = xnode->Parent;
					break;
				}
				else
				{
					xnode = xnode->Peer;
				}
			}
		}
		xnode = xnode->Peer;
	}
	ILibDestructXMLNodeList(root);
	if (OK != 1)
	{
		UPnPResponse_Error(ReaderObject,402,"Incorrect Arguments");
		return;
	}
	
	/* Type Checking */
	OK = ILibGetULong(p_NewPortMappingIndex,p_NewPortMappingIndexLength, &TempULong);
	if(OK!=0)
	{
		UPnPResponse_Error(ReaderObject,402,"Argument[NewPortMappingIndex] illegal value");
		return;
	}
	else
	{
		if(!(TempULong>=(unsigned long)0x0 && TempULong<=(unsigned long)0xFFFF))
		{
			UPnPResponse_Error(ReaderObject,402,"Argument[NewPortMappingIndex] out of Range");
			return;
		}
		_NewPortMappingIndex = (unsigned short)TempULong;
	}
	UPnPFP_WANIPConnection_GetGenericPortMappingEntry((void*)ReaderObject,_NewPortMappingIndex);
}

#define UPnPDispatch_WANIPConnection_GetNATRSIPStatus(buffer,offset,bufferLength, session)\
{\
	UPnPFP_WANIPConnection_GetNATRSIPStatus((void*)session);\
}

void UPnPDispatch_WANIPConnection_GetSpecificPortMappingEntry(char *buffer, int offset, int bufferLength, struct ILibWebServer_Session *ReaderObject)
{
	unsigned long TempULong;
	int OK = 0;
	char *p_NewRemoteHost = NULL;
	int p_NewRemoteHostLength = 0;
	char* _NewRemoteHost = "";
	int _NewRemoteHostLength;
	char *p_NewExternalPort = NULL;
	int p_NewExternalPortLength = 0;
	unsigned short _NewExternalPort = 0;
	char *p_NewProtocol = NULL;
	int p_NewProtocolLength = 0;
	char* _NewProtocol = "";
	int _NewProtocolLength;
	struct ILibXMLNode *xnode = ILibParseXML(buffer,offset,bufferLength);
	struct ILibXMLNode *root = xnode;
	if(ILibProcessXMLNodeList(root)!=0)
	{
		/* The XML is not well formed! */
		ILibDestructXMLNodeList(root);
		UPnPResponse_Error(ReaderObject,501,"Invalid XML");
		return;
	}
	while(xnode!=NULL)
	{
		if(xnode->StartTag!=0 && xnode->NameLength==8 && memcmp(xnode->Name,"Envelope",8)==0)
		{
			// Envelope
			xnode = xnode->Next;
			while(xnode!=NULL)
			{
				if(xnode->StartTag!=0 && xnode->NameLength==4 && memcmp(xnode->Name,"Body",4)==0)
				{
					// Body
					xnode = xnode->Next;
					while(xnode!=NULL)
					{
						if(xnode->StartTag!=0 && xnode->NameLength==27 && memcmp(xnode->Name,"GetSpecificPortMappingEntry",27)==0)
						{
							// Inside the interesting part of the SOAP
							xnode = xnode->Next;
							while(xnode!=NULL)
							{
								if(xnode->NameLength==13 && memcmp(xnode->Name,"NewRemoteHost",13)==0)
								{
									p_NewRemoteHostLength = ILibReadInnerXML(xnode,&p_NewRemoteHost);
									p_NewRemoteHost[p_NewRemoteHostLength]=0;
									OK |= 1;
								}
								else if(xnode->NameLength==15 && memcmp(xnode->Name,"NewExternalPort",15)==0)
								{
									p_NewExternalPortLength = ILibReadInnerXML(xnode,&p_NewExternalPort);
									OK |= 2;
								}
								else if(xnode->NameLength==11 && memcmp(xnode->Name,"NewProtocol",11)==0)
								{
									p_NewProtocolLength = ILibReadInnerXML(xnode,&p_NewProtocol);
									p_NewProtocol[p_NewProtocolLength]=0;
									OK |= 4;
								}
								if(xnode->Peer==NULL)
								{
									xnode = xnode->Parent;
									break;
								}
								else
								{
									xnode = xnode->Peer;
								}
							}
						}
						if(xnode->Peer==NULL)
						{
							xnode = xnode->Parent;
							break;
						}
						else
						{
							xnode = xnode->Peer;
						}
					}
				}
				if(xnode->Peer==NULL)
				{
					xnode = xnode->Parent;
					break;
				}
				else
				{
					xnode = xnode->Peer;
				}
			}
		}
		xnode = xnode->Peer;
	}
	ILibDestructXMLNodeList(root);
	if (OK != 7)
	{
		UPnPResponse_Error(ReaderObject,402,"Incorrect Arguments");
		return;
	}
	
	/* Type Checking */
	_NewRemoteHostLength = ILibInPlaceXmlUnEscape(p_NewRemoteHost);
	_NewRemoteHost = p_NewRemoteHost;
	OK = ILibGetULong(p_NewExternalPort,p_NewExternalPortLength, &TempULong);
	if(OK!=0)
	{
		UPnPResponse_Error(ReaderObject,402,"Argument[NewExternalPort] illegal value");
		return;
	}
	else
	{
		if(!(TempULong>=(unsigned long)0x0 && TempULong<=(unsigned long)0xFFFF))
		{
			UPnPResponse_Error(ReaderObject,402,"Argument[NewExternalPort] out of Range");
			return;
		}
		_NewExternalPort = (unsigned short)TempULong;
	}
	_NewProtocolLength = ILibInPlaceXmlUnEscape(p_NewProtocol);
	_NewProtocol = p_NewProtocol;
	if(memcmp(_NewProtocol, "TCP\0",4) != 0
	&& memcmp(_NewProtocol, "UDP\0",4) != 0
	)
	{
		UPnPResponse_Error(ReaderObject,402,"Argument[NewProtocol] contains a value that is not in AllowedValueList");
		return;
	}
	UPnPFP_WANIPConnection_GetSpecificPortMappingEntry((void*)ReaderObject,_NewRemoteHost,_NewExternalPort,_NewProtocol);
}

#define UPnPDispatch_WANIPConnection_GetStatusInfo(buffer,offset,bufferLength, session)\
{\
	UPnPFP_WANIPConnection_GetStatusInfo((void*)session);\
}

#define UPnPDispatch_WANIPConnection_RequestConnection(buffer,offset,bufferLength, session)\
{\
	UPnPFP_WANIPConnection_RequestConnection((void*)session);\
}

void UPnPDispatch_WANIPConnection_SetConnectionType(char *buffer, int offset, int bufferLength, struct ILibWebServer_Session *ReaderObject)
{
	int OK = 0;
	char *p_NewConnectionType = NULL;
	int p_NewConnectionTypeLength = 0;
	char* _NewConnectionType = "";
	int _NewConnectionTypeLength;
	struct ILibXMLNode *xnode = ILibParseXML(buffer,offset,bufferLength);
	struct ILibXMLNode *root = xnode;
	if(ILibProcessXMLNodeList(root)!=0)
	{
		/* The XML is not well formed! */
		ILibDestructXMLNodeList(root);
		UPnPResponse_Error(ReaderObject,501,"Invalid XML");
		return;
	}
	while(xnode!=NULL)
	{
		if(xnode->StartTag!=0 && xnode->NameLength==8 && memcmp(xnode->Name,"Envelope",8)==0)
		{
			// Envelope
			xnode = xnode->Next;
			while(xnode!=NULL)
			{
				if(xnode->StartTag!=0 && xnode->NameLength==4 && memcmp(xnode->Name,"Body",4)==0)
				{
					// Body
					xnode = xnode->Next;
					while(xnode!=NULL)
					{
						if(xnode->StartTag!=0 && xnode->NameLength==17 && memcmp(xnode->Name,"SetConnectionType",17)==0)
						{
							// Inside the interesting part of the SOAP
							xnode = xnode->Next;
							while(xnode!=NULL)
							{
								if(xnode->NameLength==17 && memcmp(xnode->Name,"NewConnectionType",17)==0)
								{
									p_NewConnectionTypeLength = ILibReadInnerXML(xnode,&p_NewConnectionType);
									p_NewConnectionType[p_NewConnectionTypeLength]=0;
									OK |= 1;
								}
								if(xnode->Peer==NULL)
								{
									xnode = xnode->Parent;
									break;
								}
								else
								{
									xnode = xnode->Peer;
								}
							}
						}
						if(xnode->Peer==NULL)
						{
							xnode = xnode->Parent;
							break;
						}
						else
						{
							xnode = xnode->Peer;
						}
					}
				}
				if(xnode->Peer==NULL)
				{
					xnode = xnode->Parent;
					break;
				}
				else
				{
					xnode = xnode->Peer;
				}
			}
		}
		xnode = xnode->Peer;
	}
	ILibDestructXMLNodeList(root);
	if (OK != 1)
	{
		UPnPResponse_Error(ReaderObject,402,"Incorrect Arguments");
		return;
	}
	
	/* Type Checking */
	_NewConnectionTypeLength = ILibInPlaceXmlUnEscape(p_NewConnectionType);
	_NewConnectionType = p_NewConnectionType;
	UPnPFP_WANIPConnection_SetConnectionType((void*)ReaderObject,_NewConnectionType);
}


int UPnPProcessPOST(struct ILibWebServer_Session *session, struct packetheader* header, char *HTTPDirectiveObjStart, int HTTPDirectiveObjEffLength, char *bodyBuffer, int offset, int bodyBufferLength)
{
	struct packetheader_field_node *f = header->FirstField;
	char* HOST;
	char* SOAPACTION = NULL;
	int SOAPACTIONLength = 0;
	struct parser_result *r,*r2;
	struct parser_result_field *prf;
	
	int RetVal = 0; 
	//
	// Iterate through all the HTTP Headers
	//
	while(f!=NULL)
	{
		if(f->FieldLength==4 && strncasecmp(f->Field,"HOST",4)==0)
		{
			HOST = f->FieldData;
		}
		else if(f->FieldLength==10 && strncasecmp(f->Field,"SOAPACTION",10)==0)
		{
			r = ILibParseString(f->FieldData,0,f->FieldDataLength,"#",1);
			SOAPACTION = r->LastResult->data;
			SOAPACTIONLength = r->LastResult->datalength-1;
			ILibDestructParserResults(r);
		}
		else if(f->FieldLength==10 && strncasecmp(f->Field,"USER-AGENT",10)==0)
		{
			// Check UPnP version of the Control Point which invoked us
			r = ILibParseString(f->FieldData,0,f->FieldDataLength," ",1);
			prf = r->FirstResult;
			while(prf!=NULL)
			{
				if(prf->datalength>5 && memcmp(prf->data,"UPnP/",5)==0)
				{
					r2 = ILibParseString(prf->data+5,0,prf->datalength-5,".",1);
					r2->FirstResult->data[r2->FirstResult->datalength]=0;
					r2->LastResult->data[r2->LastResult->datalength]=0;
					if(atoi(r2->FirstResult->data)==1 && atoi(r2->LastResult->data)>0)
					{
						session->Reserved9=1;
					}
					ILibDestructParserResults(r2);
				}
				prf = prf->NextResult;
			}
			ILibDestructParserResults(r);
		}
		f = f->NextField;
	}
	if(HTTPDirectiveObjEffLength==15 && memcmp(HTTPDirectiveObjStart,"OSInfo1/control",15)==0)
	{
		if(SOAPACTIONLength==7 && memcmp(SOAPACTION,"MagicOn",7)==0)
		{
			UPnPDispatch_OSInfo1_MagicOn(bodyBuffer, offset, bodyBufferLength, session);
		}
		else
		{
			RetVal=1;
		}
	}
	else if(HTTPDirectiveObjEffLength==32 && memcmp(HTTPDirectiveObjStart,"WANCommonInterfaceConfig/control",32)==0)
	{
		if(SOAPACTIONLength==23 && memcmp(SOAPACTION,"GetCommonLinkProperties",23)==0)
		{
			UPnPDispatch_WANCommonInterfaceConfig_GetCommonLinkProperties(bodyBuffer, offset, bodyBufferLength, session);
		}
		else if(SOAPACTIONLength==21 && memcmp(SOAPACTION,"GetTotalBytesReceived",21)==0)
		{
			UPnPDispatch_WANCommonInterfaceConfig_GetTotalBytesReceived(bodyBuffer, offset, bodyBufferLength, session);
		}
		else if(SOAPACTIONLength==17 && memcmp(SOAPACTION,"GetTotalBytesSent",17)==0)
		{
			UPnPDispatch_WANCommonInterfaceConfig_GetTotalBytesSent(bodyBuffer, offset, bodyBufferLength, session);
		}
		else if(SOAPACTIONLength==23 && memcmp(SOAPACTION,"GetTotalPacketsReceived",23)==0)
		{
			UPnPDispatch_WANCommonInterfaceConfig_GetTotalPacketsReceived(bodyBuffer, offset, bodyBufferLength, session);
		}
		else if(SOAPACTIONLength==19 && memcmp(SOAPACTION,"GetTotalPacketsSent",19)==0)
		{
			UPnPDispatch_WANCommonInterfaceConfig_GetTotalPacketsSent(bodyBuffer, offset, bodyBufferLength, session);
		}
		else
		{
			RetVal=1;
		}
	}
	else if(HTTPDirectiveObjEffLength==23 && memcmp(HTTPDirectiveObjStart,"WANIPConnection/control",23)==0)
	{

		if(SOAPACTIONLength==14 && memcmp(SOAPACTION,"AddPortMapping",14)==0)
		{
			UPnPDispatch_WANIPConnection_AddPortMapping(bodyBuffer, offset, bodyBufferLength, session);
		}
		else if(SOAPACTIONLength==17 && memcmp(SOAPACTION,"DeletePortMapping",17)==0)
		{
			UPnPDispatch_WANIPConnection_DeletePortMapping(bodyBuffer, offset, bodyBufferLength, session);
		}
		else if(SOAPACTIONLength==16 && memcmp(SOAPACTION,"ForceTermination",16)==0)
		{
			UPnPDispatch_WANIPConnection_ForceTermination(bodyBuffer, offset, bodyBufferLength, session);
		}
		else if(SOAPACTIONLength==21 && memcmp(SOAPACTION,"GetConnectionTypeInfo",21)==0)
		{
			UPnPDispatch_WANIPConnection_GetConnectionTypeInfo(bodyBuffer, offset, bodyBufferLength, session);
		}
		else if(SOAPACTIONLength==20 && memcmp(SOAPACTION,"GetExternalIPAddress",20)==0)
		{
			UPnPDispatch_WANIPConnection_GetExternalIPAddress(bodyBuffer, offset, bodyBufferLength, session);
		}
		else if(SOAPACTIONLength==26 && memcmp(SOAPACTION,"GetGenericPortMappingEntry",26)==0)
		{
			UPnPDispatch_WANIPConnection_GetGenericPortMappingEntry(bodyBuffer, offset, bodyBufferLength, session);
		}
		else if(SOAPACTIONLength==16 && memcmp(SOAPACTION,"GetNATRSIPStatus",16)==0)
		{
			UPnPDispatch_WANIPConnection_GetNATRSIPStatus(bodyBuffer, offset, bodyBufferLength, session);
		}
		else if(SOAPACTIONLength==27 && memcmp(SOAPACTION,"GetSpecificPortMappingEntry",27)==0)
		{
			UPnPDispatch_WANIPConnection_GetSpecificPortMappingEntry(bodyBuffer, offset, bodyBufferLength, session);
		}
		else if(SOAPACTIONLength==13 && memcmp(SOAPACTION,"GetStatusInfo",13)==0)
		{
			UPnPDispatch_WANIPConnection_GetStatusInfo(bodyBuffer, offset, bodyBufferLength, session);
		}
		else if(SOAPACTIONLength==17 && memcmp(SOAPACTION,"RequestConnection",17)==0)
		{
			UPnPDispatch_WANIPConnection_RequestConnection(bodyBuffer, offset, bodyBufferLength, session);
		}
		else if(SOAPACTIONLength==17 && memcmp(SOAPACTION,"SetConnectionType",17)==0)
		{
			UPnPDispatch_WANIPConnection_SetConnectionType(bodyBuffer, offset, bodyBufferLength, session);
		}
		else
		{
			RetVal=1;
		}
	}
	else
	{
		RetVal=1;
	}
	
	
	return(RetVal);
}
struct SubscriberInfo* UPnPRemoveSubscriberInfo(struct SubscriberInfo **Head, int *TotalSubscribers,char* SID, int SIDLength)
{
	struct SubscriberInfo *info = *Head;
	while(info!=NULL)
	{
		if(info->SIDLength==SIDLength && memcmp(info->SID,SID,SIDLength)==0)
		{
			if ( info->Previous )
			info->Previous->Next = info->Next;
			else
			*Head = info->Next;
			if ( info->Next )
			info->Next->Previous = info->Previous;
			break;
		}
		info = info->Next;
		
	}
	if(info!=NULL)
	{
		info->Previous = NULL;
		info->Next = NULL;
		--(*TotalSubscribers);
	}
	return(info);
}

#define UPnPDestructSubscriberInfo(info)\
{\
	free(info->Path);\
	free(info->SID);\
	free(info);\
}

#define UPnPDestructEventObject(EvObject)\
{\
	free(EvObject->PacketBody);\
	free(EvObject);\
}

#define UPnPDestructEventDataObject(EvData)\
{\
	free(EvData);\
}
void UPnPExpireSubscriberInfo(struct UPnPDataObject *d, struct SubscriberInfo *info)
{
	struct SubscriberInfo *t = info;
	while(t->Previous!=NULL)
	{
		t = t->Previous;
	}
	if(d->HeadSubscriberPtr_OSInfo1==t)
	{
		--(d->NumberOfSubscribers_OSInfo1);
	}
	else if(d->HeadSubscriberPtr_WANCommonInterfaceConfig==t)
	{
		--(d->NumberOfSubscribers_WANCommonInterfaceConfig);
	}
	else if(d->HeadSubscriberPtr_WANIPConnection==t)
	{
		--(d->NumberOfSubscribers_WANIPConnection);
	}
	
	
	if(info->Previous!=NULL)
	{
		// This is not the Head
		info->Previous->Next = info->Next;
		if(info->Next!=NULL)
		{
			info->Next->Previous = info->Previous;
		}
	}
	else
	{
		// This is the Head
		if(d->HeadSubscriberPtr_OSInfo1==info)
		{
			d->HeadSubscriberPtr_OSInfo1 = info->Next;
			if(info->Next!=NULL)
			{
				info->Next->Previous = NULL;
			}
		}
		else if(d->HeadSubscriberPtr_WANCommonInterfaceConfig==info)
		{
			d->HeadSubscriberPtr_WANCommonInterfaceConfig = info->Next;
			if(info->Next!=NULL)
			{
				info->Next->Previous = NULL;
			}
		}
		else if(d->HeadSubscriberPtr_WANIPConnection==info)
		{
			d->HeadSubscriberPtr_WANIPConnection = info->Next;
			if(info->Next!=NULL)
			{
				info->Next->Previous = NULL;
			}
		}
		else 
		{
			// Error
			return;
		}
		
	}
	--info->RefCount;
	if(info->RefCount==0)
	{
		UPnPDestructSubscriberInfo(info);
	}
}

int UPnPSubscriptionExpired(struct SubscriberInfo *info)
{
	int RetVal = 0;
	#if defined(WIN32) || defined(_WIN32_WCE)
	if(info->RenewByTime < GetTickCount()/1000) {RetVal = -1;}
	#else
	struct timeval tv;
	gettimeofday(&tv,NULL);
	if((info->RenewByTime).tv_sec < tv.tv_sec) {RetVal = -1;}
	#endif
	return(RetVal);
}

void UPnPGetInitialEventBody_WANCommonInterfaceConfig(struct UPnPDataObject *UPnPObject,char ** body, int *bodylength)
{
	int TempLength;
	TempLength = (int)(41+(int)strlen(UPnPObject->WANCommonInterfaceConfig_PhysicalLinkStatus));
	*body = (char*)malloc(sizeof(char)*TempLength);
	*bodylength = sprintf(*body,"PhysicalLinkStatus>%s</PhysicalLinkStatus",UPnPObject->WANCommonInterfaceConfig_PhysicalLinkStatus);
}
void UPnPGetInitialEventBody_WANIPConnection(struct UPnPDataObject *UPnPObject,char ** body, int *bodylength)
{
	int TempLength;
	TempLength = (int)(309+(int)strlen(UPnPObject->WANIPConnection_PossibleConnectionTypes)+(int)strlen(UPnPObject->WANIPConnection_X_Name)+(int)strlen(UPnPObject->WANIPConnection_PortMappingNumberOfEntries)+(int)strlen(UPnPObject->WANIPConnection_ExternalIPAddress)+(int)strlen(UPnPObject->WANIPConnection_ConnectionStatus));
	*body = (char*)malloc(sizeof(char)*TempLength);
	*bodylength = sprintf(*body,"PossibleConnectionTypes>%s</PossibleConnectionTypes></e:property><e:property><X_Name>%s</X_Name></e:property><e:property><PortMappingNumberOfEntries>%s</PortMappingNumberOfEntries></e:property><e:property><ExternalIPAddress>%s</ExternalIPAddress></e:property><e:property><ConnectionStatus>%s</ConnectionStatus",UPnPObject->WANIPConnection_PossibleConnectionTypes,UPnPObject->WANIPConnection_X_Name,UPnPObject->WANIPConnection_PortMappingNumberOfEntries,UPnPObject->WANIPConnection_ExternalIPAddress,UPnPObject->WANIPConnection_ConnectionStatus);
}


void UPnPProcessUNSUBSCRIBE(struct packetheader *header, struct ILibWebServer_Session *session, char *HTTPDirectiveObjStart, int HTTPDirectiveObjEffLength)
{
	char* SID = NULL;
	int SIDLength = 0;
	struct SubscriberInfo *Info;
	struct packetheader_field_node *f;
	char* packet = (char*)malloc(sizeof(char)*50);
	int packetlength;
	//
	// Iterate through all the HTTP headers
	//
	f = header->FirstField;
	while(f!=NULL)
	{
		if(f->FieldLength==3)
		{
			if(strncasecmp(f->Field,"SID",3)==0)
			{
				//
				// Get the Subscription ID
				//
				SID = f->FieldData;
				SIDLength = f->FieldDataLength;
			}
		}
		f = f->NextField;
	}
	sem_wait(&(((struct UPnPDataObject*)session->User)->EventLock));
	if(HTTPDirectiveObjEffLength==13 && memcmp(HTTPDirectiveObjStart,"OSInfo1/event",13)==0)
	{
		Info = UPnPRemoveSubscriberInfo(&(((struct UPnPDataObject*)session->User)->HeadSubscriberPtr_OSInfo1),&(((struct UPnPDataObject*)session->User)->NumberOfSubscribers_OSInfo1),SID,SIDLength);
		if(Info!=NULL)
		{
			--Info->RefCount;
			if(Info->RefCount==0)
			{
				UPnPDestructSubscriberInfo(Info);
			}
			packetlength = sprintf(packet,"HTTP/1.1 %d %s\r\nContent-Length: 0\r\n\r\n",200,"OK");
			ILibWebServer_Send_Raw(session,packet,packetlength,0,1);
		}
		else
		{
			packetlength = sprintf(packet,"HTTP/1.1 %d %s\r\nContent-Length: 0\r\n\r\n",412,"Invalid SID");
			ILibWebServer_Send_Raw(session,packet,packetlength,0,1);
		}
	}
	else if(HTTPDirectiveObjEffLength==30 && memcmp(HTTPDirectiveObjStart,"WANCommonInterfaceConfig/event",30)==0)
	{
		Info = UPnPRemoveSubscriberInfo(&(((struct UPnPDataObject*)session->User)->HeadSubscriberPtr_WANCommonInterfaceConfig),&(((struct UPnPDataObject*)session->User)->NumberOfSubscribers_WANCommonInterfaceConfig),SID,SIDLength);
		if(Info!=NULL)
		{
			--Info->RefCount;
			if(Info->RefCount==0)
			{
				UPnPDestructSubscriberInfo(Info);
			}
			packetlength = sprintf(packet,"HTTP/1.1 %d %s\r\nContent-Length: 0\r\n\r\n",200,"OK");
			ILibWebServer_Send_Raw(session,packet,packetlength,0,1);
		}
		else
		{
			packetlength = sprintf(packet,"HTTP/1.1 %d %s\r\nContent-Length: 0\r\n\r\n",412,"Invalid SID");
			ILibWebServer_Send_Raw(session,packet,packetlength,0,1);
		}
	}
	else if(HTTPDirectiveObjEffLength==21 && memcmp(HTTPDirectiveObjStart,"WANIPConnection/event",21)==0)
	{
		Info = UPnPRemoveSubscriberInfo(&(((struct UPnPDataObject*)session->User)->HeadSubscriberPtr_WANIPConnection),&(((struct UPnPDataObject*)session->User)->NumberOfSubscribers_WANIPConnection),SID,SIDLength);
		if(Info!=NULL)
		{
			--Info->RefCount;
			if(Info->RefCount==0)
			{
				UPnPDestructSubscriberInfo(Info);
			}
			packetlength = sprintf(packet,"HTTP/1.1 %d %s\r\nContent-Length: 0\r\n\r\n",200,"OK");
			ILibWebServer_Send_Raw(session,packet,packetlength,0,1);
		}
		else
		{
			packetlength = sprintf(packet,"HTTP/1.1 %d %s\r\nContent-Length: 0\r\n\r\n",412,"Invalid SID");
			ILibWebServer_Send_Raw(session,packet,packetlength,0,1);
		}
	}
	
	sem_post(&(((struct UPnPDataObject*)session->User)->EventLock));
}
void UPnPTryToSubscribe(char* ServiceName, long Timeout, char* URL, int URLLength,struct ILibWebServer_Session *session)
{
	int *TotalSubscribers = NULL;
	struct SubscriberInfo **HeadPtr = NULL;
	struct SubscriberInfo *NewSubscriber,*TempSubscriber;
	int SIDNumber,rnumber;
	char *SID;
	char *TempString;
	int TempStringLength;
	char *TempString2;
	long TempLong;
	char *packet;
	int packetlength;
	char* path;
	
	char* escapedURI;
	int escapedURILength;
	
	char *packetbody = NULL;
	int packetbodyLength;
	
	struct parser_result *p;
	struct parser_result *p2;
	
	struct UPnPDataObject *dataObject = (struct UPnPDataObject*)session->User;
	
	if(strncmp(ServiceName,"OSInfo1",7)==0)
	{
		TotalSubscribers = &(dataObject->NumberOfSubscribers_OSInfo1);
		HeadPtr = &(dataObject->HeadSubscriberPtr_OSInfo1);
	}
	if(strncmp(ServiceName,"WANCommonInterfaceConfig",24)==0)
	{
		TotalSubscribers = &(dataObject->NumberOfSubscribers_WANCommonInterfaceConfig);
		HeadPtr = &(dataObject->HeadSubscriberPtr_WANCommonInterfaceConfig);
	}
	if(strncmp(ServiceName,"WANIPConnection",15)==0)
	{
		TotalSubscribers = &(dataObject->NumberOfSubscribers_WANIPConnection);
		HeadPtr = &(dataObject->HeadSubscriberPtr_WANIPConnection);
	}
	
	
	if(*HeadPtr!=NULL)
	{
		NewSubscriber = *HeadPtr;
		while(NewSubscriber!=NULL)
		{
			if(UPnPSubscriptionExpired(NewSubscriber)!=0)
			{
				TempSubscriber = NewSubscriber->Next;
				NewSubscriber = UPnPRemoveSubscriberInfo(HeadPtr,TotalSubscribers,NewSubscriber->SID,NewSubscriber->SIDLength);
				UPnPDestructSubscriberInfo(NewSubscriber);
				NewSubscriber = TempSubscriber;
			}
			else
			{
				NewSubscriber = NewSubscriber->Next;
			}
		}
	}
	//
	// The Maximum number of subscribers can be bounded
	//
	if (*TotalSubscribers < 10)
	{
		NewSubscriber = (struct SubscriberInfo*)malloc(sizeof(struct SubscriberInfo));
		memset(NewSubscriber,0,sizeof(struct SubscriberInfo));
		
		
		//
		// The SID must be globally unique, so lets generate it using
		// a bunch of random hex characters
		//
		SID = (char*)malloc(43);
		memset(SID,0,38);
		sprintf(SID,"uuid:");
		for(SIDNumber=5;SIDNumber<=12;++SIDNumber)
		{
			rnumber = rand()%16;
			sprintf(SID+SIDNumber,"%x",rnumber);
		}
		sprintf(SID+SIDNumber,"-");
		for(SIDNumber=14;SIDNumber<=17;++SIDNumber)
		{
			rnumber = rand()%16;
			sprintf(SID+SIDNumber,"%x",rnumber);
		}
		sprintf(SID+SIDNumber,"-");
		for(SIDNumber=19;SIDNumber<=22;++SIDNumber)
		{
			rnumber = rand()%16;
			sprintf(SID+SIDNumber,"%x",rnumber);
		}
		sprintf(SID+SIDNumber,"-");
		for(SIDNumber=24;SIDNumber<=27;++SIDNumber)
		{
			rnumber = rand()%16;
			sprintf(SID+SIDNumber,"%x",rnumber);
		}
		sprintf(SID+SIDNumber,"-");
		for(SIDNumber=29;SIDNumber<=40;++SIDNumber)
		{
			rnumber = rand()%16;
			sprintf(SID+SIDNumber,"%x",rnumber);
		}
		
		p = ILibParseString(URL,0,URLLength,"://",3);
		if(p->NumResults==1)
		{
			ILibWebServer_Send_Raw(session,"HTTP/1.1 412 Precondition Failed\r\nContent-Length: 0\r\n\r\n",55,1,1);
			ILibDestructParserResults(p);
			return;
		}
		TempString = p->LastResult->data;
		TempStringLength = p->LastResult->datalength;
		ILibDestructParserResults(p);
		p = ILibParseString(TempString,0,TempStringLength,"/",1);
		p2 = ILibParseString(p->FirstResult->data,0,p->FirstResult->datalength,":",1);
		TempString2 = (char*)malloc(1+sizeof(char)*p2->FirstResult->datalength);
		memcpy(TempString2,p2->FirstResult->data,p2->FirstResult->datalength);
		TempString2[p2->FirstResult->datalength] = '\0';
		NewSubscriber->Address = inet_addr(TempString2);
		if(p2->NumResults==1)
		{
			NewSubscriber->Port = 80;
			path = (char*)malloc(1+TempStringLength - p2->FirstResult->datalength -1);
			memcpy(path,TempString + p2->FirstResult->datalength,TempStringLength - p2->FirstResult->datalength -1);
			path[TempStringLength - p2->FirstResult->datalength - 1] = '\0';
			NewSubscriber->Path = path;
			NewSubscriber->PathLength = (int)strlen(path);
		}
		else
		{
			ILibGetLong(p2->LastResult->data,p2->LastResult->datalength,&TempLong);
			NewSubscriber->Port = (unsigned short)TempLong;
			if(TempStringLength==p->FirstResult->datalength)
			{
				path = (char*)malloc(2);
				memcpy(path,"/",1);
				path[1] = '\0';
			}
			else
			{
				path = (char*)malloc(1+TempStringLength - p->FirstResult->datalength -1);
				memcpy(path,TempString + p->FirstResult->datalength,TempStringLength - p->FirstResult->datalength -1);
				path[TempStringLength - p->FirstResult->datalength -1] = '\0';
			}
			NewSubscriber->Path = path;
			NewSubscriber->PathLength = (int)strlen(path);
		}
		ILibDestructParserResults(p);
		ILibDestructParserResults(p2);
		free(TempString2);
		
		
		escapedURI = (char*)malloc(ILibHTTPEscapeLength(NewSubscriber->Path));
		escapedURILength = ILibHTTPEscape(escapedURI,NewSubscriber->Path);
		
		free(NewSubscriber->Path);
		NewSubscriber->Path = escapedURI;
		NewSubscriber->PathLength = escapedURILength;
		
		
		NewSubscriber->RefCount = 1;
		NewSubscriber->Disposing = 0;
		NewSubscriber->Previous = NULL;
		NewSubscriber->SID = SID;
		NewSubscriber->SIDLength = (int)strlen(SID);
		NewSubscriber->SEQ = 0;
		
		//
		// Determine what the subscription renewal cycle is
		//
		#if defined(WIN32) || defined(_WIN32_WCE)
		NewSubscriber->RenewByTime = (GetTickCount() / 1000) + Timeout;
		#else
		gettimeofday(&(NewSubscriber->RenewByTime),NULL);
		(NewSubscriber->RenewByTime).tv_sec += (int)Timeout;
		#endif
		NewSubscriber->Next = *HeadPtr;
		if(*HeadPtr!=NULL) {(*HeadPtr)->Previous = NewSubscriber;}
		*HeadPtr = NewSubscriber;
		++(*TotalSubscribers);
		LVL3DEBUG(printf("\r\n\r\nSubscribed [%s] %d.%d.%d.%d:%d FOR %d Duration\r\n",NewSubscriber->SID,(NewSubscriber->Address)&0xFF,(NewSubscriber->Address>>8)&0xFF,(NewSubscriber->Address>>16)&0xFF,(NewSubscriber->Address>>24)&0xFF,NewSubscriber->Port,Timeout);)
		#if defined(WIN32) || defined(_WIN32_WCE)	
		LVL3DEBUG(printf("TIMESTAMP: %d <%d>\r\n\r\n",(NewSubscriber->RenewByTime)-Timeout,NewSubscriber);)
		#else
		LVL3DEBUG(printf("TIMESTAMP: %d <%d>\r\n\r\n",(NewSubscriber->RenewByTime).tv_sec-Timeout,NewSubscriber);)
		#endif
		packet = (char*)malloc(134 + (int)strlen(SID) + (int)strlen(UPnPPLATFORM) + 4);
		packetlength = sprintf(packet,"HTTP/1.1 200 OK\r\nSERVER: %s, UPnP/1.0, Intel MicroStack/1.0.1868\r\nSID: %s\r\nTIMEOUT: Second-%ld\r\nContent-Length: 0\r\n\r\n",UPnPPLATFORM,SID,Timeout);
		LVL3DEBUG(printf("SUBSCRIBE RESPONSE\n%s\n",packet);)
		if(strcmp(ServiceName,"WANCommonInterfaceConfig")==0)
		{
			UPnPGetInitialEventBody_WANCommonInterfaceConfig(dataObject,&packetbody,&packetbodyLength);
		}
		else if(strcmp(ServiceName,"WANIPConnection")==0)
		{
			UPnPGetInitialEventBody_WANIPConnection(dataObject,&packetbody,&packetbodyLength);
		}
		
		if (packetbody != NULL)	    {
			ILibWebServer_Send_Raw(session,packet,packetlength,0,1);
			
			UPnPSendEvent_Body(dataObject,packetbody,packetbodyLength,NewSubscriber);
			free(packetbody);
		} 
	}
	else
	{
		/* Too many subscribers */
		ILibWebServer_Send_Raw(session,"HTTP/1.1 500 Internal\r\nContent-Length: 0\r\n\r\n",44,1,1);
	}
}
void UPnPSubscribeEvents(char* path,int pathlength,char* Timeout,int TimeoutLength,char* URL,int URLLength,struct ILibWebServer_Session* session)
{
	long TimeoutVal;
	char* buffer = (char*)malloc(1+sizeof(char)*pathlength);
	
	ILibGetLong(Timeout,TimeoutLength,&TimeoutVal);
	memcpy(buffer,path,pathlength);
	buffer[pathlength] = '\0';
	free(buffer);
	if(TimeoutVal>7200) {TimeoutVal=7200;}
	
	if(pathlength==30 && memcmp(path,"WANCommonInterfaceConfig/event",30)==0)
	{
		UPnPTryToSubscribe("WANCommonInterfaceConfig",TimeoutVal,URL,URLLength,session);
	}
	else if(pathlength==21 && memcmp(path,"WANIPConnection/event",21)==0)
	{
		UPnPTryToSubscribe("WANIPConnection",TimeoutVal,URL,URLLength,session);
	}
	else
	{
		ILibWebServer_Send_Raw(session,"HTTP/1.1 412 Invalid Service Name\r\nContent-Length: 0\r\n\r\n",56,1,1);
	}
	
}
void UPnPRenewEvents(char* path,int pathlength,char *_SID,int SIDLength, char* Timeout, int TimeoutLength, struct ILibWebServer_Session *ReaderObject)
{
	struct SubscriberInfo *info = NULL;
	long TimeoutVal;
	#if !defined(WIN32) && !defined(_WIN32_WCE)
	struct timeval tv;
	#endif
	char* packet;
	int packetlength;
	char* SID = (char*)malloc(SIDLength+1);
	memcpy(SID,_SID,SIDLength);
	SID[SIDLength] ='\0';
	#if defined(WIN32) || defined(_WIN32_WCE)
	LVL3DEBUG(printf("\r\n\r\nTIMESTAMP: %d\r\n",GetTickCount()/1000);)
	#else
	LVL3DEBUG(gettimeofday(&tv,NULL);)
	LVL3DEBUG(printf("\r\n\r\nTIMESTAMP: %d\r\n",tv.tv_sec);)
	#endif
	LVL3DEBUG(printf("SUBSCRIBER [%s] attempting to Renew Events for %s Duration [",SID,Timeout);)
	
	if(pathlength==13 && memcmp(path,"OSInfo1/event",13)==0)
	{
		info = ((struct UPnPDataObject*)ReaderObject->User)->HeadSubscriberPtr_OSInfo1;
	}
	else if(pathlength==30 && memcmp(path,"WANCommonInterfaceConfig/event",30)==0)
	{
		info = ((struct UPnPDataObject*)ReaderObject->User)->HeadSubscriberPtr_WANCommonInterfaceConfig;
	}
	else if(pathlength==21 && memcmp(path,"WANIPConnection/event",21)==0)
	{
		info = ((struct UPnPDataObject*)ReaderObject->User)->HeadSubscriberPtr_WANIPConnection;
	}
	
	
	//
	// Find this SID in the subscriber list, and recalculate
	// the expiration timeout
	//
	while(info!=NULL && strcmp(info->SID,SID)!=0)
	{
		info = info->Next;
	}
	if(info!=NULL)
	{
		ILibGetLong(Timeout,TimeoutLength,&TimeoutVal);
		#if defined(WIN32) || defined(_WIN32_WCE)
		info->RenewByTime = TimeoutVal + (GetTickCount() / 1000);
		#else
		gettimeofday(&tv,NULL);
		(info->RenewByTime).tv_sec = tv.tv_sec + TimeoutVal;
		#endif
		packet = (char*)malloc(134 + (int)strlen(SID) + 4);
		packetlength = sprintf(packet,"HTTP/1.1 200 OK\r\nSERVER: %s, UPnP/1.0, Intel MicroStack/1.0.1868\r\nSID: %s\r\nTIMEOUT: Second-%ld\r\nContent-Length: 0\r\n\r\n",UPnPPLATFORM,SID,TimeoutVal);
		ILibWebServer_Send_Raw(ReaderObject,packet,packetlength,0,1);
		LVL3DEBUG(printf("OK] {%d} <%d>\r\n\r\n",TimeoutVal,info);)
	}
	else
	{
		LVL3DEBUG(printf("FAILED]\r\n\r\n");)
		ILibWebServer_Send_Raw(ReaderObject,"HTTP/1.1 412 Precondition Failed\r\nContent-Length: 0\r\n\r\n",55,1,1);
	}
	free(SID);
}
void UPnPProcessSUBSCRIBE(struct packetheader *header, struct ILibWebServer_Session *session, char *HTTPDirectiveObjStart, int HTTPDirectiveObjEffLength)
{
	char* SID = NULL;
	int SIDLength = 0;
	char* Timeout = NULL;
	int TimeoutLength = 0;
	char* URL = NULL;
	int URLLength = 0;
	struct parser_result *p;
	
	struct packetheader_field_node *f;
	
	//
	// Iterate through all the HTTP Headers
	//
	f = header->FirstField;
	while(f!=NULL)
	{
		if(f->FieldLength==3 && strncasecmp(f->Field,"SID",3)==0)
		{
			//
			// Get the Subscription ID
			//
			SID = f->FieldData;
			SIDLength = f->FieldDataLength;
		}
		else if(f->FieldLength==8 && strncasecmp(f->Field,"Callback",8)==0)
		{
			//
			// Get the Callback URL
			//
			URL = f->FieldData;
			URLLength = f->FieldDataLength;
		}
		else if(f->FieldLength==7 && strncasecmp(f->Field,"Timeout",7)==0)
		{
			//
			// Get the requested timeout value
			//
			Timeout = f->FieldData;
			TimeoutLength = f->FieldDataLength;
		}
		
		f = f->NextField;
	}
	if(Timeout==NULL)
	{
		//
		// It a timeout wasn't specified, force it to a specific value
		//
		Timeout = "7200";
		TimeoutLength = 4;
	}
	else
	{
		p = ILibParseString(Timeout,0,TimeoutLength,"-",1);
		if(p->NumResults==2)
		{
			Timeout = p->LastResult->data;
			TimeoutLength = p->LastResult->datalength;
			if(TimeoutLength==8 && strncasecmp(Timeout,"INFINITE",8)==0)
			{
				//
				// Infinite timeouts will cause problems, so we don't allow it
				//
				Timeout = "7200";
				TimeoutLength = 4;
			}
		}
		else
		{
			Timeout = "7200";
			TimeoutLength = 4;
		}
		ILibDestructParserResults(p);
	}
	if(SID==NULL)
	{
		//
		// If not SID was specified, this is a subscription request
		//
		
		/* Subscribe */
		UPnPSubscribeEvents(HTTPDirectiveObjStart, HTTPDirectiveObjEffLength,Timeout,TimeoutLength,URL,URLLength,session);
	}
	else
	{
		//
		// If a SID was specified, it is a renewal request for an existing subscription
		//
		
		/* Renew */
		UPnPRenewEvents(HTTPDirectiveObjStart,HTTPDirectiveObjEffLength,SID,SIDLength,Timeout,TimeoutLength,session);
	}
}
void UPnPProcessHTTPPacket(struct ILibWebServer_Session *session, struct packetheader* header, char *bodyBuffer, int offset, int bodyBufferLength)

{
	struct UPnPDataObject *dataObject = (struct UPnPDataObject*)session->User;
	#if defined(WIN32) || defined(_WIN32_WCE)
	char *responseHeader = "\r\nCONTENT-TYPE:  text/xml; charset=\"utf-8\"\r\nServer: WINDOWS, UPnP/1.0, Intel MicroStack/1.0.1868";
	#else
	char *responseHeader = "\r\nCONTENT-TYPE:  text/xml; charset=\"utf-8\"\r\nServer: POSIX, UPnP/1.0, Intel MicroStack/1.0.1868";
	#endif
	char *errorTemplate = "HTTP/1.1 %d %s\r\nServer: %s, UPnP/1.0, Intel MicroStack/1.0.1868\r\nContent-Length: 0\r\n\r\n";
	char *errorPacket;
	int errorPacketLength;
	char *buffer;
	
	int DirectiveObjEffLength = 0; /* Effective Length */
	char* DirectiveObjStart = NULL; /* Start location of the directive */	
	LVL3DEBUG(errorPacketLength=ILibGetRawPacket(header,&errorPacket);)
	LVL3DEBUG(printf("%s\r\n",errorPacket);)
	LVL3DEBUG(free(errorPacket);)			

	/*
	 * This fix is to accept HEAD/GET/POST/SUBSCRIBE/UNSUBSCRIBE message 
	 * with/without leading '/' in the URL
	 */


	
	if( ( header->DirectiveLength == 4 && memcmp( header->Directive, "HEAD", 4 ) == 0 ) ||
	    ( header->DirectiveLength == 3 && memcmp( header->Directive, "GET", 3 ) == 0 ) ||
	    ( header->DirectiveLength == 4 && memcmp( header->Directive, "POST", 4 ) == 0 ) ||
	    ( header->DirectiveLength == 9 && memcmp( header->Directive, "SUBSCRIBE", 9 ) == 0 ) ||
	    ( header->DirectiveLength == 11 && memcmp( header->Directive, "UNSUBSCRIBE", 11 ) == 0 ) )
	{
		if (header->DirectiveObj[0] == '/')
		{
			DirectiveObjStart = header->DirectiveObj + 1;
			DirectiveObjEffLength = header->DirectiveObjLength - 1; 
		}
		else
		{
			DirectiveObjStart = header->DirectiveObj;
			DirectiveObjEffLength = header->DirectiveObjLength; 
		}
	}
	
	/* Presentation Page Support */
	if(header->DirectiveObjLength>=4 && memcmp(header->DirectiveObj,"/web",4)==0)
	{
		UPnPFP_PresentationPage((void*)session,header);
	}
	else 
	if(header->DirectiveLength==4 && memcmp(header->Directive,"HEAD",4)==0)
	{
		if(header->DirectiveObjLength==1 && memcmp(header->DirectiveObj,"/",1)==0)
		{
			//
			// A HEAD request for the device description document.
			// We stream the document back, so we don't return content length or anything
			// because the actual response won't have it either
			//
			ILibWebServer_StreamHeader_Raw(session,200,"OK",responseHeader,1);
			ILibWebServer_StreamBody(session,NULL,0,ILibAsyncSocket_MemoryOwnership_STATIC,1);
		}
		else if(DirectiveObjEffLength==16 && memcmp(DirectiveObjStart,"OSInfo1/scpd.xml",16)==0)
		{
			ILibWebServer_StreamHeader_Raw(session,200,"OK",responseHeader,1);
			ILibWebServer_StreamBody(session,NULL,0,ILibAsyncSocket_MemoryOwnership_STATIC,1);
		}
		else if(DirectiveObjEffLength==33 && memcmp(DirectiveObjStart,"WANCommonInterfaceConfig/scpd.xml",33)==0)
		{
			buffer = ILibDecompressString((char*)UPnPWANCommonInterfaceConfigDescription,UPnPWANCommonInterfaceConfigDescriptionLength,UPnPWANCommonInterfaceConfigDescriptionLengthUX);
			ILibWebServer_Send_Raw(session,buffer,UPnPWANCommonInterfaceConfigDescriptionLengthUX,0,1);
		}
		else if(DirectiveObjEffLength==24 && memcmp(DirectiveObjStart,"WANIPConnection/scpd.xml",24)==0)
		{
			buffer = ILibDecompressString((char*)UPnPWANIPConnectionDescription,UPnPWANIPConnectionDescriptionLength,UPnPWANIPConnectionDescriptionLengthUX);
			ILibWebServer_Send_Raw(session,buffer,UPnPWANIPConnectionDescriptionLengthUX,0,1);
		}
		else
		{
			//
			// A HEAD request for something we don't have
			//
			errorPacket = (char*)malloc(128);
			errorPacketLength = sprintf(errorPacket,errorTemplate,404,"File Not Found",UPnPPLATFORM);
			ILibWebServer_Send_Raw(session,errorPacket,errorPacketLength,0,1);
		}
	}
	else if(header->DirectiveLength==3 && memcmp(header->Directive,"GET",3)==0)
	{
		if(header->DirectiveObjLength==1 && memcmp(header->DirectiveObj,"/",1)==0)
		{
			//
			// A GET Request for the device description document, so lets stream
			// it back to the client
			//
			ILibWebServer_StreamHeader_Raw(session,200,"OK",responseHeader,1);
			ILibWebServer_StreamBody(session,dataObject->DeviceDescription,dataObject->DeviceDescriptionLength,1,1);
		}
		else if(DirectiveObjEffLength==16 && memcmp(DirectiveObjStart,"OSInfo1/scpd.xml",16)==0)
		{
			buffer = ILibDecompressString((char*)UPnPOSInfo1Description,UPnPOSInfo1DescriptionLength,UPnPOSInfo1DescriptionLengthUX);
			ILibWebServer_Send_Raw(session,buffer,UPnPOSInfo1DescriptionLengthUX,0,1);
		}
		else if(DirectiveObjEffLength==33 && memcmp(DirectiveObjStart,"WANCommonInterfaceConfig/scpd.xml",33)==0)
		{
			buffer = ILibDecompressString((char*)UPnPWANCommonInterfaceConfigDescription,UPnPWANCommonInterfaceConfigDescriptionLength,UPnPWANCommonInterfaceConfigDescriptionLengthUX);
			ILibWebServer_Send_Raw(session,buffer,UPnPWANCommonInterfaceConfigDescriptionLengthUX,0,1);
		}
		else if(DirectiveObjEffLength==24 && memcmp(DirectiveObjStart,"WANIPConnection/scpd.xml",24)==0)
		{
			buffer = ILibDecompressString((char*)UPnPWANIPConnectionDescription,UPnPWANIPConnectionDescriptionLength,UPnPWANIPConnectionDescriptionLengthUX);
			ILibWebServer_Send_Raw(session,buffer,UPnPWANIPConnectionDescriptionLengthUX,0,1);
		}
		
		else
		{
			//
			// A GET Request for something we don't have
			//
			errorPacket = (char*)malloc(128);
			errorPacketLength = sprintf(errorPacket,errorTemplate,404,"File Not Found",UPnPPLATFORM);
			ILibWebServer_Send_Raw(session,errorPacket,errorPacketLength,0,1);
		}
	}
	else if(header->DirectiveLength==4 && memcmp(header->Directive,"POST",4)==0)
	{
		//
		// Defer Control to the POST Handler
		//
		if(UPnPProcessPOST(session,header,DirectiveObjStart,DirectiveObjEffLength,bodyBuffer,offset,bodyBufferLength)!=0)
		{
			//
			// A POST for an action that doesn't exist
			//
			UPnPResponse_Error(session,401,"Invalid Action");
		}
	}
	else if(header->DirectiveLength==9 && memcmp(header->Directive,"SUBSCRIBE",9)==0)
	{
		//
		// Subscription Handler
		//
		UPnPProcessSUBSCRIBE(header,session,DirectiveObjStart,DirectiveObjEffLength);
	}
	else if(header->DirectiveLength==11 && memcmp(header->Directive,"UNSUBSCRIBE",11)==0)
	{
		//
		// UnSubscribe Handler
		//
		UPnPProcessUNSUBSCRIBE(header,session,DirectiveObjStart,DirectiveObjEffLength);
	}
	else
	{
		//
		// The client tried something we didn't expect/support
		//
		errorPacket = (char*)malloc(128);
		errorPacketLength = sprintf(errorPacket,errorTemplate,400,"Bad Request",UPnPPLATFORM);
		ILibWebServer_Send_Raw(session,errorPacket,errorPacketLength,1,1);
	}
}
void UPnPFragmentedSendNotify_Destroy(void *data);

void UPnPMasterPreSelect(void* object,fd_set *socketset, fd_set *writeset, fd_set *errorset, int* blocktime)
{
	int i;
	struct UPnPDataObject *UPnPObject = (struct UPnPDataObject*)object;
	
	int ra = 1;
	struct sockaddr_in addr;
	struct ip_mreq mreq;
	unsigned char TTL = 4;
	struct UPnPFragmentNotifyStruct *f;
	int timeout;
	
	/* Added by Srikiran - To multicast only on LAN! 
	 */
	char lan_ip_address[16];
	char *address;
	struct in_addr in;
	int tempresults;

	if(UPnPObject->InitialNotify==0)
	{
		//
		// The initial "HELLO" packets were not sent yet, so lets send them
		//
		UPnPObject->InitialNotify = -1;
		//
		// In case we were interrupted, we need to flush out the caches of
		// all the control points by sending a "byebye" first, to insure
		// control points don't ignore our "hello" packets thinking they are just
		// periodic re-advertisements.
		//
		/* Commented by Srikiran - To pass the tests 2.x.x with Certification Tool
	 	 * Reason - As per the new Certification Tool, the device should not send any ByeBye notification 
	 	 * 		   on start up or closure.
		 * UPnPSendByeBye(UPnPObject);
		 */
		
		//
		// Iterate through all the packet types
		//
		for(i=1;i<=10;++i)
		{
			f = (struct UPnPFragmentNotifyStruct*)malloc(sizeof(struct UPnPFragmentNotifyStruct));
			f->packetNumber=i;
			f->upnp = UPnPObject;
			//
			// We need to inject some delay in these packets to space them out,
			// otherwise we could overflow the inbound buffer of the recipient, causing them
			// to lose packets. And UPnP/1.0 control points are not as robust as UPnP/1.1 control points,
			// so they need all the help they can get ;)
			//
			timeout = (int)(0 + ((unsigned short)rand() % (500)));
			do
			{
				f->upnp->InitialNotify = rand();
			}while(f->upnp->InitialNotify==0);
			//
			// Register for the timed callback, to actually send the packet
			//
			ILibLifeTime_AddEx(f->upnp->WebServerTimer,f,timeout,&UPnPFragmentedSendNotify,&UPnPFragmentedSendNotify_Destroy);
		}
	}
	if(UPnPObject->UpdateFlag!=0)
	{
		//
		// Somebody told us that we should recheck our IP Address table,
		// as one of them may have changed
		//
		UPnPObject->UpdateFlag = 0;
		
		/* Clear Sockets */
		
		
		//
		// Iterate through all the currently bound IP addresses
		// and release the sockets
		//
		for(i=0;i<UPnPObject->AddressListLength;++i)
		{
			#if defined(WIN32) || defined(_WIN32_WCE)
			closesocket(UPnPObject->NOTIFY_SEND_socks[i]);
			#else
			close(UPnPObject->NOTIFY_SEND_socks[i]);
			#endif
		}
		free(UPnPObject->NOTIFY_SEND_socks);
		
		/* Set up socket */
		free(UPnPObject->AddressList);
		//
		// Fetch a current list of ip addresses
		//
		/* Modified by Srikiran - To multicast only on LAN! 
		 * UPnPObject->AddressListLength = ILibGetLocalIPAddressList(&(UPnPObject->AddressList));
	 	 */
		UPnPObject->AddressListLength = 1;
		address = IPCon_GetIpAddrStr(int_ipcon);
		strcpy(lan_ip_address, address);
		if (address) free(address);
		inet_aton(lan_ip_address, &in);
		UPnPObject->AddressList = (int*)malloc(sizeof(int));
		tempresults = in.s_addr;
		memcpy(UPnPObject->AddressList, &tempresults, sizeof(int));
		
		#if defined(WIN32) || defined(_WIN32_WCE)	
		UPnPObject->NOTIFY_SEND_socks = (SOCKET*)malloc(sizeof(int)*(UPnPObject->AddressListLength));
		#else
		UPnPObject->NOTIFY_SEND_socks = (int*)malloc(sizeof(int)*(UPnPObject->AddressListLength));
		#endif
		
		//
		// Now that we have a new list of IP addresses, re-initialise everything
		//
		for(i=0;i<UPnPObject->AddressListLength;++i)
		{
			UPnPObject->NOTIFY_SEND_socks[i] = socket(AF_INET, SOCK_DGRAM, 0);
			memset((char *)&(addr), 0, sizeof(addr));
			addr.sin_family = AF_INET;
			addr.sin_addr.s_addr = UPnPObject->AddressList[i];
			addr.sin_port = (unsigned short)htons(UPNP_PORT);

			if (setsockopt(UPnPObject->NOTIFY_SEND_socks[i], SOL_SOCKET, SO_REUSEADDR,(char*)&ra, sizeof(ra)) == 0)
			{
				if (setsockopt(UPnPObject->NOTIFY_SEND_socks[i], IPPROTO_IP, IP_MULTICAST_TTL,(char*)&TTL, sizeof(TTL)) < 0)
				{
					// Ignore the case if setting the Multicast-TTL fails
				}
			/* Join UPnP Mulitcast Group */
				mreq.imr_multiaddr.s_addr = inet_addr(UPNP_GROUP);
				mreq.imr_interface.s_addr = UPnPObject->AddressList[i];
				if (setsockopt(UPnPObject->NOTIFY_RECEIVE_sock, IPPROTO_IP, IP_ADD_MEMBERSHIP,(char*)&mreq, sizeof(mreq)) < 0)
				{
						// Does not matter if it fails, just ignore
				}

				/* Do not Bind the socket. Bind on send socket is not required. */
#ifdef Bri
				if (bind(UPnPObject->NOTIFY_SEND_socks[i], (struct sockaddr *) &(addr), sizeof(addr)) == 0)
				{
					mreq.imr_multiaddr.s_addr = inet_addr(UPNP_GROUP);
					mreq.imr_interface.s_addr = UPnPObject->AddressList[i];
					if (setsockopt(UPnPObject->NOTIFY_RECEIVE_sock, IPPROTO_IP, IP_ADD_MEMBERSHIP,(char*)&mreq, sizeof(mreq)) < 0)
					{
							// Does not matter if it fails, just ignore
					}
				}
#endif
			}
		}
		
		//
		// Iterate through all the packet types, and re-broadcast
		//
		for(i=1;i<=10;++i)
		{
			f = (struct UPnPFragmentNotifyStruct*)malloc(sizeof(struct UPnPFragmentNotifyStruct));
			f->packetNumber=i;
			f->upnp = UPnPObject;
			//
			// Inject some random delay, to spread these packets out, to help prevent
			// the inbound buffer of the recipient from overflowing, causing dropped packets.
			//
			timeout = (int)(0 + ((unsigned short)rand() % (500)));
			ILibLifeTime_AddEx(f->upnp->WebServerTimer,f,timeout,&UPnPFragmentedSendNotify,&UPnPFragmentedSendNotify_Destroy);
		}
	}
	FD_SET(UPnPObject->NOTIFY_RECEIVE_sock,socketset);
	
}

void UPnPMasterPostSelect(void* object,int slct, fd_set *socketset, fd_set *writeset, fd_set *errorset)
{
	#if defined(WIN32) || defined(_WIN32_WCE)
	unsigned long flags=0;
	#endif
	int cnt = 0;
	
	struct packetheader *packet;
	struct UPnPDataObject *UPnPObject = (struct UPnPDataObject*)object;
	
	if(slct>0)
	{
		
		
		//
		// Check to see if we got any Multicast SEARCH requests
		//
		if(FD_ISSET(UPnPObject->NOTIFY_RECEIVE_sock,socketset)!=0)
		{	
			cnt = recvfrom(UPnPObject->NOTIFY_RECEIVE_sock, UPnPObject->message, UPNP_RX_BUF, 0, (struct sockaddr *) &(UPnPObject->addr), &(UPnPObject->addrlen));

			if (cnt < 0)
			{
				printf("recvfrom");
				exit(1);
			}
			else if (cnt == 0)
			{
				/* Socket Closed? */
			}


			packet = ILibParsePacketHeader(UPnPObject->message,0,cnt);
			if(packet!=NULL)
			{
				packet->Source = (struct sockaddr_in*)&(UPnPObject->addr);
				packet->ReceivingAddress = 0;
				if(packet->StatusCode==-1 && memcmp(packet->Directive,"M-SEARCH",8)==0)
				{
					//
					// Process the search request with our Multicast M-SEARCH Handler
					//
					UPnPProcessMSEARCH(UPnPObject, packet);
				}
				ILibDestructPacket(packet);
			}
		}
		
	}
}
void UPnPFragmentedSendNotify_Destroy(void *data)
{
	free(data);
}
void UPnPFragmentedSendNotify(void *data)
{
	struct UPnPFragmentNotifyStruct *FNS = (struct UPnPFragmentNotifyStruct*)data;
	int timeout;
	int packetlength;
	char* packet = (char*)malloc(5000);
	int i,i2;
	struct sockaddr_in addr;
	int addrlen;
	struct in_addr interface_addr;
	
	memset((char *)&addr, 0, sizeof(addr));
	addr.sin_family = AF_INET;
	addr.sin_addr.s_addr = inet_addr(UPNP_GROUP);
	addr.sin_port = (unsigned short)htons(UPNP_PORT);
	addrlen = sizeof(addr);
	
	memset((char *)&interface_addr, 0, sizeof(interface_addr));
	
	for(i=0;i<FNS->upnp->AddressListLength;++i)
	{
		interface_addr.s_addr = FNS->upnp->AddressList[i];
		if (setsockopt(FNS->upnp->NOTIFY_SEND_socks[i], IPPROTO_IP, IP_MULTICAST_IF,(char*)&interface_addr, sizeof(interface_addr)) == 0)
		{
			for (i2=0;i2<2;i2++)
			{
				switch(FNS->packetNumber)
				{
					case 1:
					UPnPBuildSsdpNotifyPacket(packet,&packetlength,FNS->upnp->AddressList[i],(unsigned short)FNS->upnp->WebSocketPortNumber,0,FNS->upnp->UDN,"::upnp:rootdevice","upnp:rootdevice","",FNS->upnp->NotifyCycleTime);
					sendto(FNS->upnp->NOTIFY_SEND_socks[i], packet, packetlength, 0, (struct sockaddr *) &addr, addrlen);
					break;
					case 2:
					UPnPBuildSsdpNotifyPacket(packet,&packetlength,FNS->upnp->AddressList[i],(unsigned short)FNS->upnp->WebSocketPortNumber,0,FNS->upnp->UDN,"","uuid:",FNS->upnp->UDN,FNS->upnp->NotifyCycleTime);
					sendto(FNS->upnp->NOTIFY_SEND_socks[i], packet, packetlength, 0, (struct sockaddr *) &addr, addrlen);
					break;
					case 3:
					UPnPBuildSsdpNotifyPacket(packet,&packetlength,FNS->upnp->AddressList[i],(unsigned short)FNS->upnp->WebSocketPortNumber,0,FNS->upnp->UDN,"::urn:schemas-upnp-org:device:InternetGatewayDevice:1","urn:schemas-upnp-org:device:InternetGatewayDevice:1","",FNS->upnp->NotifyCycleTime);
					sendto(FNS->upnp->NOTIFY_SEND_socks[i], packet, packetlength, 0, (struct sockaddr *) &addr, addrlen);
					break;
					case 4:
					UPnPBuildSsdpNotifyPacket(packet,&packetlength,FNS->upnp->AddressList[i],(unsigned short)FNS->upnp->WebSocketPortNumber,0,FNS->upnp->UDN,"::urn:schemas-microsoft-com:service:OSInfo:1","urn:schemas-microsoft-com:service:OSInfo:1","",FNS->upnp->NotifyCycleTime);
					sendto(FNS->upnp->NOTIFY_SEND_socks[i], packet, packetlength, 0, (struct sockaddr *) &addr, addrlen);
					break;
					case 5:
					UPnPBuildSsdpNotifyPacket(packet,&packetlength,FNS->upnp->AddressList[i],(unsigned short)FNS->upnp->WebSocketPortNumber,1,FNS->upnp->UDN,"","uuid:",FNS->upnp->UDN,FNS->upnp->NotifyCycleTime);
					sendto(FNS->upnp->NOTIFY_SEND_socks[i], packet, packetlength, 0, (struct sockaddr *) &addr, addrlen);
					break;
					case 6:
					UPnPBuildSsdpNotifyPacket(packet,&packetlength,FNS->upnp->AddressList[i],(unsigned short)FNS->upnp->WebSocketPortNumber,1,FNS->upnp->UDN,"::urn:schemas-upnp-org:device:WANDevice:1","urn:schemas-upnp-org:device:WANDevice:1","",FNS->upnp->NotifyCycleTime);
					sendto(FNS->upnp->NOTIFY_SEND_socks[i], packet, packetlength, 0, (struct sockaddr *) &addr, addrlen);
					break;
					case 7:
					UPnPBuildSsdpNotifyPacket(packet,&packetlength,FNS->upnp->AddressList[i],(unsigned short)FNS->upnp->WebSocketPortNumber,1,FNS->upnp->UDN,"::urn:schemas-upnp-org:service:WANCommonInterfaceConfig:1","urn:schemas-upnp-org:service:WANCommonInterfaceConfig:1","",FNS->upnp->NotifyCycleTime);
					sendto(FNS->upnp->NOTIFY_SEND_socks[i], packet, packetlength, 0, (struct sockaddr *) &addr, addrlen);
					break;
					case 8:
					UPnPBuildSsdpNotifyPacket(packet,&packetlength,FNS->upnp->AddressList[i],(unsigned short)FNS->upnp->WebSocketPortNumber,2,FNS->upnp->UDN,"","uuid:",FNS->upnp->UDN,FNS->upnp->NotifyCycleTime);
					sendto(FNS->upnp->NOTIFY_SEND_socks[i], packet, packetlength, 0, (struct sockaddr *) &addr, addrlen);
					break;
					case 9:
					UPnPBuildSsdpNotifyPacket(packet,&packetlength,FNS->upnp->AddressList[i],(unsigned short)FNS->upnp->WebSocketPortNumber,2,FNS->upnp->UDN,"::urn:schemas-upnp-org:device:WANConnectionDevice:1","urn:schemas-upnp-org:device:WANConnectionDevice:1","",FNS->upnp->NotifyCycleTime);
					sendto(FNS->upnp->NOTIFY_SEND_socks[i], packet, packetlength, 0, (struct sockaddr *) &addr, addrlen);
					break;
					case 10:
					UPnPBuildSsdpNotifyPacket(packet,&packetlength,FNS->upnp->AddressList[i],(unsigned short)FNS->upnp->WebSocketPortNumber,2,FNS->upnp->UDN,"::urn:schemas-upnp-org:service:WANIPConnection:1","urn:schemas-upnp-org:service:WANIPConnection:1","",FNS->upnp->NotifyCycleTime);
					sendto(FNS->upnp->NOTIFY_SEND_socks[i], packet, packetlength, 0, (struct sockaddr *) &addr, addrlen);
					break;
					
				}
			}
		}
	}
	timeout = (int)((FNS->upnp->NotifyCycleTime/4) + ((unsigned short)rand() % (FNS->upnp->NotifyCycleTime/2 - FNS->upnp->NotifyCycleTime/4)));
	ILibLifeTime_Add(FNS->upnp->WebServerTimer,FNS,timeout,&UPnPFragmentedSendNotify,&UPnPFragmentedSendNotify_Destroy);
	free(packet);
}
void UPnPSendNotify(const struct UPnPDataObject *upnp)
{
	int packetlength;
	char* packet = (char*)malloc(5000);
	int i,i2;
	struct sockaddr_in addr;
	int addrlen;
	struct in_addr interface_addr;
	
	memset((char *)&addr, 0, sizeof(addr));
	addr.sin_family = AF_INET;
	addr.sin_addr.s_addr = inet_addr(UPNP_GROUP);
	addr.sin_port = (unsigned short)htons(UPNP_PORT);
	addrlen = sizeof(addr);
	
	memset((char *)&interface_addr, 0, sizeof(interface_addr));
	
	for(i=0;i<upnp->AddressListLength;++i)
	{
		interface_addr.s_addr = upnp->AddressList[i];
		#if !defined(_WIN32_WCE) || (defined(_WIN32_WCE) && _WIN32_WCE>=4)
		if (setsockopt(upnp->NOTIFY_SEND_socks[i], IPPROTO_IP, IP_MULTICAST_IF,(char*)&interface_addr, sizeof(interface_addr)) == 0)
		{
			#endif
			for (i2=0;i2<2;i2++)
			{
				UPnPBuildSsdpNotifyPacket(packet,&packetlength,upnp->AddressList[i],(unsigned short)upnp->WebSocketPortNumber,0,upnp->UDN,"::upnp:rootdevice","upnp:rootdevice","",upnp->NotifyCycleTime);
				if (sendto(upnp->NOTIFY_SEND_socks[i], packet, packetlength, 0, (struct sockaddr *) &addr, addrlen) < 0) {exit(1);}
				UPnPBuildSsdpNotifyPacket(packet,&packetlength,upnp->AddressList[i],(unsigned short)upnp->WebSocketPortNumber,0,upnp->UDN,"","uuid:",upnp->UDN,upnp->NotifyCycleTime);
				if (sendto(upnp->NOTIFY_SEND_socks[i], packet, packetlength, 0, (struct sockaddr *) &addr, addrlen) < 0) {exit(1);}
				UPnPBuildSsdpNotifyPacket(packet,&packetlength,upnp->AddressList[i],(unsigned short)upnp->WebSocketPortNumber,0,upnp->UDN,"::urn:schemas-upnp-org:device:InternetGatewayDevice:1","urn:schemas-upnp-org:device:InternetGatewayDevice:1","",upnp->NotifyCycleTime);
				if (sendto(upnp->NOTIFY_SEND_socks[i], packet, packetlength, 0, (struct sockaddr *) &addr, addrlen) < 0) {exit(1);}
				UPnPBuildSsdpNotifyPacket(packet,&packetlength,upnp->AddressList[i],(unsigned short)upnp->WebSocketPortNumber,0,upnp->UDN,"::urn:schemas-microsoft-com:service:OSInfo:1","urn:schemas-microsoft-com:service:OSInfo:1","",upnp->NotifyCycleTime);
				if (sendto(upnp->NOTIFY_SEND_socks[i], packet, packetlength, 0, (struct sockaddr *) &addr, addrlen) < 0) {exit(1);}
				UPnPBuildSsdpNotifyPacket(packet,&packetlength,upnp->AddressList[i],(unsigned short)upnp->WebSocketPortNumber,1,upnp->UDN,"","uuid:",upnp->UDN,upnp->NotifyCycleTime);
				if (sendto(upnp->NOTIFY_SEND_socks[i], packet, packetlength, 0, (struct sockaddr *) &addr, addrlen) < 0) {exit(1);}
				UPnPBuildSsdpNotifyPacket(packet,&packetlength,upnp->AddressList[i],(unsigned short)upnp->WebSocketPortNumber,1,upnp->UDN,"::urn:schemas-upnp-org:device:WANDevice:1","urn:schemas-upnp-org:device:WANDevice:1","",upnp->NotifyCycleTime);
				if (sendto(upnp->NOTIFY_SEND_socks[i], packet, packetlength, 0, (struct sockaddr *) &addr, addrlen) < 0) {exit(1);}
				UPnPBuildSsdpNotifyPacket(packet,&packetlength,upnp->AddressList[i],(unsigned short)upnp->WebSocketPortNumber,1,upnp->UDN,"::urn:schemas-upnp-org:service:WANCommonInterfaceConfig:1","urn:schemas-upnp-org:service:WANCommonInterfaceConfig:1","",upnp->NotifyCycleTime);
				if (sendto(upnp->NOTIFY_SEND_socks[i], packet, packetlength, 0, (struct sockaddr *) &addr, addrlen) < 0) {exit(1);}
				UPnPBuildSsdpNotifyPacket(packet,&packetlength,upnp->AddressList[i],(unsigned short)upnp->WebSocketPortNumber,2,upnp->UDN,"","uuid:",upnp->UDN,upnp->NotifyCycleTime);
				if (sendto(upnp->NOTIFY_SEND_socks[i], packet, packetlength, 0, (struct sockaddr *) &addr, addrlen) < 0) {exit(1);}
				UPnPBuildSsdpNotifyPacket(packet,&packetlength,upnp->AddressList[i],(unsigned short)upnp->WebSocketPortNumber,2,upnp->UDN,"::urn:schemas-upnp-org:device:WANConnectionDevice:1","urn:schemas-upnp-org:device:WANConnectionDevice:1","",upnp->NotifyCycleTime);
				if (sendto(upnp->NOTIFY_SEND_socks[i], packet, packetlength, 0, (struct sockaddr *) &addr, addrlen) < 0) {exit(1);}
				UPnPBuildSsdpNotifyPacket(packet,&packetlength,upnp->AddressList[i],(unsigned short)upnp->WebSocketPortNumber,2,upnp->UDN,"::urn:schemas-upnp-org:service:WANIPConnection:1","urn:schemas-upnp-org:service:WANIPConnection:1","",upnp->NotifyCycleTime);
				if (sendto(upnp->NOTIFY_SEND_socks[i], packet, packetlength, 0, (struct sockaddr *) &addr, addrlen) < 0) {exit(1);}
				
			}
			#if !defined(_WIN32_WCE) || (defined(_WIN32_WCE) && _WIN32_WCE>=4)
		}
		#endif
	}
	free(packet);
}

#define UPnPBuildSsdpByeByePacket(outpacket,outlength,USN,USNex,NT,NTex,DeviceID)\
{\
	if(DeviceID==0)\
	{\
		*outlength = sprintf(outpacket,"NOTIFY * HTTP/1.1\r\nHOST: 239.255.255.250:1900\r\nNTS: ssdp:byebye\r\nUSN: uuid:%s%s\r\nNT: %s%s\r\nContent-Length: 0\r\n\r\n",USN,USNex,NT,NTex);\
	}\
	else\
	{\
		if(memcmp(NT,"uuid:",5)==0)\
		{\
			*outlength = sprintf(outpacket,"NOTIFY * HTTP/1.1\r\nHOST: 239.255.255.250:1900\r\nNTS: ssdp:byebye\r\nUSN: uuid:%s_%d%s\r\nNT: %s%s_%d\r\nContent-Length: 0\r\n\r\n",USN,DeviceID,USNex,NT,NTex,DeviceID);\
		}\
		else\
		{\
			*outlength = sprintf(outpacket,"NOTIFY * HTTP/1.1\r\nHOST: 239.255.255.250:1900\r\nNTS: ssdp:byebye\r\nUSN: uuid:%s_%d%s\r\nNT: %s%s\r\nContent-Length: 0\r\n\r\n",USN,DeviceID,USNex,NT,NTex);\
		}\
	}\
}


void UPnPSendByeBye(const struct UPnPDataObject *upnp)
{
	int TempVal=0;
	int packetlength;
	char* packet = (char*)malloc(5000);
	int i, i2;
	struct sockaddr_in addr;
	int addrlen;
	struct in_addr interface_addr;
	
	memset((char *)&addr, 0, sizeof(addr));
	addr.sin_family = AF_INET;
	addr.sin_addr.s_addr = inet_addr(UPNP_GROUP);
	addr.sin_port = (unsigned short)htons(UPNP_PORT);
	addrlen = sizeof(addr);
	
	memset((char *)&interface_addr, 0, sizeof(interface_addr));
	
	for(i=0;i<upnp->AddressListLength;++i)
	{
		
		interface_addr.s_addr = upnp->AddressList[i];
		#if !defined(_WIN32_WCE) || (defined(_WIN32_WCE) && _WIN32_WCE>=4)
		if (setsockopt(upnp->NOTIFY_SEND_socks[i], IPPROTO_IP, IP_MULTICAST_IF,(char*)&interface_addr, sizeof(interface_addr)) == 0)
		{
			#endif		
			
			for (i2=0;i2<2;i2++)
			{
				UPnPBuildSsdpByeByePacket(packet,&packetlength,upnp->UDN,"::upnp:rootdevice","upnp:rootdevice","",0);
				if (sendto(upnp->NOTIFY_SEND_socks[i], packet, packetlength, 0, (struct sockaddr *) &addr, addrlen) < 0) exit(1);
				UPnPBuildSsdpByeByePacket(packet,&packetlength,upnp->UDN,"","uuid:",upnp->UDN,0);
				if (sendto(upnp->NOTIFY_SEND_socks[i], packet, packetlength, 0, (struct sockaddr *) &addr, addrlen) < 0) exit(1);
				UPnPBuildSsdpByeByePacket(packet,&packetlength,upnp->UDN,"::urn:schemas-upnp-org:device:InternetGatewayDevice:1","urn:schemas-upnp-org:device:InternetGatewayDevice:1","",0);
				if (sendto(upnp->NOTIFY_SEND_socks[i], packet, packetlength, 0, (struct sockaddr *) &addr, addrlen) < 0) exit(1);
				UPnPBuildSsdpByeByePacket(packet,&packetlength,upnp->UDN,"::urn:schemas-microsoft-com:service:OSInfo:1","urn:schemas-microsoft-com:service:OSInfo:1","",0);
				if (sendto(upnp->NOTIFY_SEND_socks[i], packet, packetlength, 0, (struct sockaddr *) &addr, addrlen) < 0) exit(1);
				UPnPBuildSsdpByeByePacket(packet,&packetlength,upnp->UDN,"","uuid:",upnp->UDN,1);
				if (sendto(upnp->NOTIFY_SEND_socks[i], packet, packetlength, 0, (struct sockaddr *) &addr, addrlen) < 0) exit(1);
				UPnPBuildSsdpByeByePacket(packet,&packetlength,upnp->UDN,"::urn:schemas-upnp-org:device:WANDevice:1","urn:schemas-upnp-org:device:WANDevice:1","",1);
				if (sendto(upnp->NOTIFY_SEND_socks[i], packet, packetlength, 0, (struct sockaddr *) &addr, addrlen) < 0) exit(1);
				UPnPBuildSsdpByeByePacket(packet,&packetlength,upnp->UDN,"::urn:schemas-upnp-org:service:WANCommonInterfaceConfig:1","urn:schemas-upnp-org:service:WANCommonInterfaceConfig:1","",1);
				if (sendto(upnp->NOTIFY_SEND_socks[i], packet, packetlength, 0, (struct sockaddr *) &addr, addrlen) < 0) exit(1);
				UPnPBuildSsdpByeByePacket(packet,&packetlength,upnp->UDN,"","uuid:",upnp->UDN,2);
				if (sendto(upnp->NOTIFY_SEND_socks[i], packet, packetlength, 0, (struct sockaddr *) &addr, addrlen) < 0) exit(1);
				UPnPBuildSsdpByeByePacket(packet,&packetlength,upnp->UDN,"::urn:schemas-upnp-org:device:WANConnectionDevice:1","urn:schemas-upnp-org:device:WANConnectionDevice:1","",2);
				if (sendto(upnp->NOTIFY_SEND_socks[i], packet, packetlength, 0, (struct sockaddr *) &addr, addrlen) < 0) exit(1);
				UPnPBuildSsdpByeByePacket(packet,&packetlength,upnp->UDN,"::urn:schemas-upnp-org:service:WANIPConnection:1","urn:schemas-upnp-org:service:WANIPConnection:1","",2);
				if (sendto(upnp->NOTIFY_SEND_socks[i], packet, packetlength, 0, (struct sockaddr *) &addr, addrlen) < 0) exit(1);
				
			}
			#if !defined(_WIN32_WCE) || (defined(_WIN32_WCE) && _WIN32_WCE>=4)
		}
		#endif
	}
	free(packet);
}

/*! \fn UPnPResponse_Error(const UPnPSessionToken UPnPToken, const int ErrorCode, const char* ErrorMsg)
\brief Responds to the client invocation with a SOAP Fault
\param UPnPToken UPnP token
\param ErrorCode Fault Code
\param ErrorMsg Error Detail
*/
void UPnPResponse_Error(const UPnPSessionToken UPnPToken, const int ErrorCode, const char* ErrorMsg)
{
	char* body;
	int bodylength;
	char* head;
	int headlength;
	body = (char*)malloc(395 + (int)strlen(ErrorMsg));
	bodylength = sprintf(body,"<s:Envelope\r\n xmlns:s=\"http://schemas.xmlsoap.org/soap/envelope/\" s:encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\"><s:Body><s:Fault><faultcode>s:Client</faultcode><faultstring>UPnPError</faultstring><detail><UPnPError xmlns=\"urn:schemas-upnp-org:control-1-0\"><errorCode>%d</errorCode><errorDescription>%s</errorDescription></UPnPError></detail></s:Fault></s:Body></s:Envelope>",ErrorCode,ErrorMsg);
	head = (char*)malloc(59);
	headlength = sprintf(head,"HTTP/1.1 500 Internal\r\nContent-Length: %d\r\n\r\n",bodylength);
	ILibWebServer_Send_Raw((struct ILibWebServer_Session*)UPnPToken,head,headlength,0,0);
	ILibWebServer_Send_Raw((struct ILibWebServer_Session*)UPnPToken,body,bodylength,0,1);
}

/*! \fn UPnPGetLocalInterfaceToHost(const UPnPSessionToken UPnPToken)
\brief When a UPnP request is dispatched, this method determines which ip address actually received this request
\param UPnPToken UPnP token
\returns IP Address
*/
int UPnPGetLocalInterfaceToHost(const UPnPSessionToken UPnPToken)
{
	return(ILibWebServer_GetLocalInterface((struct ILibWebServer_Session*)UPnPToken));
}

void UPnPResponseGeneric(const UPnPMicroStackToken UPnPToken,const char* ServiceURI,const char* MethodName,const char* Params)
{
	char* packet;
	int packetlength;
	struct ILibWebServer_Session *session = (struct ILibWebServer_Session*)UPnPToken;
	int RVAL=0;
	
	packet = (char*)malloc(239+strlen(ServiceURI)+strlen(Params)+(strlen(MethodName)*2));

/* Changed the response to contain the xml namespace prior to encoding style */

/*	packetlength = sprintf(packet,"<?xml version=\"1.0\" encoding=\"utf-8\"?>\r\n<s:Envelope s:encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\" xmlns:s=\"http://schemas.xmlsoap.org/soap/envelope/\"><s:Body><u:%sResponse xmlns:u=\"%s\">%s</u:%sResponse></s:Body></s:Envelope>",MethodName,ServiceURI,Params,MethodName);
*/
	packetlength = sprintf(packet,"<?xml version=\"1.0\" encoding=\"utf-8\"?>\r\n<s:Envelope xmlns:s=\"http://schemas.xmlsoap.org/soap/envelope/\" s:encodingStyle=\"http://schemas.xmlsoap.org/soap/encoding/\"><s:Body><u:%sResponse xmlns:u=\"%s\">%s</u:%sResponse></s:Body></s:Envelope>",MethodName,ServiceURI,Params,MethodName);

	LVL3DEBUG(printf("SendBody: %s\r\n",packet);)
	#if defined(WIN32) || defined(_WIN32_WCE)
	RVAL=ILibWebServer_StreamHeader_Raw(session,200,"OK","\r\nEXT:\r\nCONTENT-TYPE: text/xml; charset=\"utf-8\"\r\nSERVER: WINDOWS, UPnP/1.0, Intel MicroStack/1.0.1868",1);
	#else
	RVAL=ILibWebServer_StreamHeader_Raw(session,200,"OK","\r\nEXT:\r\nCONTENT-TYPE: text/xml; charset=\"utf-8\"\r\nSERVER: POSIX, UPnP/1.0, Intel MicroStack/1.0.1868",1);
	#endif
	if(RVAL!=ILibAsyncSocket_SEND_ON_CLOSED_SOCKET_ERROR && RVAL != ILibWebServer_SEND_RESULTED_IN_DISCONNECT)
	{
		RVAL=ILibWebServer_StreamBody(session,packet,packetlength,0,1);
	}
}

/*! \fn UPnPResponse_OSInfo1_MagicOn(const UPnPSessionToken UPnPToken)
\brief Response Method for OSInfo1 >> urn:schemas-microsoft-com:service:OSInfo:1 >> MagicOn
\param UPnPToken MicroStack token
*/
void UPnPResponse_OSInfo1_MagicOn(const UPnPSessionToken UPnPToken)
{
	UPnPResponseGeneric(UPnPToken,"urn:schemas-microsoft-com:service:OSInfo:1","MagicOn","");
}

/*! \fn UPnPResponse_WANCommonInterfaceConfig_GetCommonLinkProperties(const UPnPSessionToken UPnPToken, const char* unescaped_NewWANAccessType, const unsigned int NewLayer1UpstreamMaxBitRate, const unsigned int NewLayer1DownstreamMaxBitRate, const char* unescaped_NewPhysicalLinkStatus)
\brief Response Method for WANCommonInterfaceConfig >> urn:schemas-upnp-org:service:WANCommonInterfaceConfig:1 >> GetCommonLinkProperties
\param UPnPToken MicroStack token
\param unescaped_NewWANAccessType Value of argument NewWANAccessType \b     Note: Automatically Escaped
\param NewLayer1UpstreamMaxBitRate Value of argument NewLayer1UpstreamMaxBitRate
\param NewLayer1DownstreamMaxBitRate Value of argument NewLayer1DownstreamMaxBitRate
\param unescaped_NewPhysicalLinkStatus Value of argument NewPhysicalLinkStatus \b     Note: Automatically Escaped
*/
void UPnPResponse_WANCommonInterfaceConfig_GetCommonLinkProperties(const UPnPSessionToken UPnPToken, const char* unescaped_NewWANAccessType, const unsigned int NewLayer1UpstreamMaxBitRate, const unsigned int NewLayer1DownstreamMaxBitRate, const char* unescaped_NewPhysicalLinkStatus)
{
	char* body;
	char *NewWANAccessType = (char*)malloc(1+ILibXmlEscapeLength(unescaped_NewWANAccessType));
	char *NewPhysicalLinkStatus = (char*)malloc(1+ILibXmlEscapeLength(unescaped_NewPhysicalLinkStatus));
	
	ILibXmlEscape(NewWANAccessType,unescaped_NewWANAccessType);
	ILibXmlEscape(NewPhysicalLinkStatus,unescaped_NewPhysicalLinkStatus);
	body = (char*)malloc(229+strlen(NewWANAccessType)+strlen(NewPhysicalLinkStatus));
	sprintf(body,"<NewWANAccessType>%s</NewWANAccessType><NewLayer1UpstreamMaxBitRate>%u</NewLayer1UpstreamMaxBitRate><NewLayer1DownstreamMaxBitRate>%u</NewLayer1DownstreamMaxBitRate><NewPhysicalLinkStatus>%s</NewPhysicalLinkStatus>",NewWANAccessType,NewLayer1UpstreamMaxBitRate,NewLayer1DownstreamMaxBitRate,NewPhysicalLinkStatus);
	UPnPResponseGeneric(UPnPToken,"urn:schemas-upnp-org:service:WANCommonInterfaceConfig:1","GetCommonLinkProperties",body);
	free(body);
	free(NewWANAccessType);
	free(NewPhysicalLinkStatus);
}

/*! \fn UPnPResponse_WANCommonInterfaceConfig_GetTotalBytesReceived(const UPnPSessionToken UPnPToken, const unsigned int NewTotalBytesReceived)
\brief Response Method for WANCommonInterfaceConfig >> urn:schemas-upnp-org:service:WANCommonInterfaceConfig:1 >> GetTotalBytesReceived
\param UPnPToken MicroStack token
\param NewTotalBytesReceived Value of argument NewTotalBytesReceived
*/
void UPnPResponse_WANCommonInterfaceConfig_GetTotalBytesReceived(const UPnPSessionToken UPnPToken, const unsigned int NewTotalBytesReceived)
{
	char* body;
	
	body = (char*)malloc(59);
	sprintf(body,"<NewTotalBytesReceived>%u</NewTotalBytesReceived>",NewTotalBytesReceived);
	UPnPResponseGeneric(UPnPToken,"urn:schemas-upnp-org:service:WANCommonInterfaceConfig:1","GetTotalBytesReceived",body);
	free(body);
}

/*! \fn UPnPResponse_WANCommonInterfaceConfig_GetTotalBytesSent(const UPnPSessionToken UPnPToken, const unsigned int NewTotalBytesSent)
\brief Response Method for WANCommonInterfaceConfig >> urn:schemas-upnp-org:service:WANCommonInterfaceConfig:1 >> GetTotalBytesSent
\param UPnPToken MicroStack token
\param NewTotalBytesSent Value of argument NewTotalBytesSent
*/
void UPnPResponse_WANCommonInterfaceConfig_GetTotalBytesSent(const UPnPSessionToken UPnPToken, const unsigned int NewTotalBytesSent)
{
	char* body;
	
	body = (char*)malloc(51);
	sprintf(body,"<NewTotalBytesSent>%u</NewTotalBytesSent>",NewTotalBytesSent);
	UPnPResponseGeneric(UPnPToken,"urn:schemas-upnp-org:service:WANCommonInterfaceConfig:1","GetTotalBytesSent",body);
	free(body);
}

/*! \fn UPnPResponse_WANCommonInterfaceConfig_GetTotalPacketsReceived(const UPnPSessionToken UPnPToken, const unsigned int NewTotalPacketsReceived)
\brief Response Method for WANCommonInterfaceConfig >> urn:schemas-upnp-org:service:WANCommonInterfaceConfig:1 >> GetTotalPacketsReceived
\param UPnPToken MicroStack token
\param NewTotalPacketsReceived Value of argument NewTotalPacketsReceived
*/
void UPnPResponse_WANCommonInterfaceConfig_GetTotalPacketsReceived(const UPnPSessionToken UPnPToken, const unsigned int NewTotalPacketsReceived)
{
	char* body;
	
	body = (char*)malloc(63);
	sprintf(body,"<NewTotalPacketsReceived>%u</NewTotalPacketsReceived>",NewTotalPacketsReceived);
	UPnPResponseGeneric(UPnPToken,"urn:schemas-upnp-org:service:WANCommonInterfaceConfig:1","GetTotalPacketsReceived",body);
	free(body);
}

/*! \fn UPnPResponse_WANCommonInterfaceConfig_GetTotalPacketsSent(const UPnPSessionToken UPnPToken, const unsigned int NewTotalPacketsSent)
\brief Response Method for WANCommonInterfaceConfig >> urn:schemas-upnp-org:service:WANCommonInterfaceConfig:1 >> GetTotalPacketsSent
\param UPnPToken MicroStack token
\param NewTotalPacketsSent Value of argument NewTotalPacketsSent
*/
void UPnPResponse_WANCommonInterfaceConfig_GetTotalPacketsSent(const UPnPSessionToken UPnPToken, const unsigned int NewTotalPacketsSent)
{
	char* body;
	
	body = (char*)malloc(55);
	sprintf(body,"<NewTotalPacketsSent>%u</NewTotalPacketsSent>",NewTotalPacketsSent);
	UPnPResponseGeneric(UPnPToken,"urn:schemas-upnp-org:service:WANCommonInterfaceConfig:1","GetTotalPacketsSent",body);
	free(body);
}

/*! \fn UPnPResponse_WANIPConnection_AddPortMapping(const UPnPSessionToken UPnPToken)
\brief Response Method for WANIPConnection >> urn:schemas-upnp-org:service:WANIPConnection:1 >> AddPortMapping
\param UPnPToken MicroStack token
*/
void UPnPResponse_WANIPConnection_AddPortMapping(const UPnPSessionToken UPnPToken)
{
	UPnPResponseGeneric(UPnPToken,"urn:schemas-upnp-org:service:WANIPConnection:1","AddPortMapping","");
}

/*! \fn UPnPResponse_WANIPConnection_DeletePortMapping(const UPnPSessionToken UPnPToken)
\brief Response Method for WANIPConnection >> urn:schemas-upnp-org:service:WANIPConnection:1 >> DeletePortMapping
\param UPnPToken MicroStack token
*/
void UPnPResponse_WANIPConnection_DeletePortMapping(const UPnPSessionToken UPnPToken)
{
	UPnPResponseGeneric(UPnPToken,"urn:schemas-upnp-org:service:WANIPConnection:1","DeletePortMapping","");
}

/*! \fn UPnPResponse_WANIPConnection_ForceTermination(const UPnPSessionToken UPnPToken)
\brief Response Method for WANIPConnection >> urn:schemas-upnp-org:service:WANIPConnection:1 >> ForceTermination
\param UPnPToken MicroStack token
*/
void UPnPResponse_WANIPConnection_ForceTermination(const UPnPSessionToken UPnPToken)
{
	UPnPResponseGeneric(UPnPToken,"urn:schemas-upnp-org:service:WANIPConnection:1","ForceTermination","");
}

/*! \fn UPnPResponse_WANIPConnection_GetConnectionTypeInfo(const UPnPSessionToken UPnPToken, const char* unescaped_NewConnectionType, const char* unescaped_NewPossibleConnectionTypes)
\brief Response Method for WANIPConnection >> urn:schemas-upnp-org:service:WANIPConnection:1 >> GetConnectionTypeInfo
\param UPnPToken MicroStack token
\param unescaped_NewConnectionType Value of argument NewConnectionType \b     Note: Automatically Escaped
\param unescaped_NewPossibleConnectionTypes Value of argument NewPossibleConnectionTypes \b     Note: Automatically Escaped
*/
void UPnPResponse_WANIPConnection_GetConnectionTypeInfo(const UPnPSessionToken UPnPToken, const char* unescaped_NewConnectionType, const char* unescaped_NewPossibleConnectionTypes)
{
	char* body;
	char *NewConnectionType = (char*)malloc(1+ILibXmlEscapeLength(unescaped_NewConnectionType));
	char *NewPossibleConnectionTypes = (char*)malloc(1+ILibXmlEscapeLength(unescaped_NewPossibleConnectionTypes));
	
	ILibXmlEscape(NewConnectionType,unescaped_NewConnectionType);
	ILibXmlEscape(NewPossibleConnectionTypes,unescaped_NewPossibleConnectionTypes);
	body = (char*)malloc(97+strlen(NewConnectionType)+strlen(NewPossibleConnectionTypes));
	sprintf(body,"<NewConnectionType>%s</NewConnectionType><NewPossibleConnectionTypes>%s</NewPossibleConnectionTypes>",NewConnectionType,NewPossibleConnectionTypes);
	UPnPResponseGeneric(UPnPToken,"urn:schemas-upnp-org:service:WANIPConnection:1","GetConnectionTypeInfo",body);
	free(body);
	free(NewConnectionType);
	free(NewPossibleConnectionTypes);
}

/*! \fn UPnPResponse_WANIPConnection_GetExternalIPAddress(const UPnPSessionToken UPnPToken, const char* unescaped_NewExternalIPAddress)
\brief Response Method for WANIPConnection >> urn:schemas-upnp-org:service:WANIPConnection:1 >> GetExternalIPAddress
\param UPnPToken MicroStack token
\param unescaped_NewExternalIPAddress Value of argument NewExternalIPAddress \b     Note: Automatically Escaped
*/
void UPnPResponse_WANIPConnection_GetExternalIPAddress(const UPnPSessionToken UPnPToken, const char* unescaped_NewExternalIPAddress)
{
	char* body;
	char *NewExternalIPAddress = (char*)malloc(1+ILibXmlEscapeLength(unescaped_NewExternalIPAddress));
	
	ILibXmlEscape(NewExternalIPAddress,unescaped_NewExternalIPAddress);
	body = (char*)malloc(46+strlen(NewExternalIPAddress));
	sprintf(body,"<NewExternalIPAddress>%s</NewExternalIPAddress>",NewExternalIPAddress);
	UPnPResponseGeneric(UPnPToken,"urn:schemas-upnp-org:service:WANIPConnection:1","GetExternalIPAddress",body);
	free(body);
	free(NewExternalIPAddress);
}

/*! \fn UPnPResponse_WANIPConnection_GetGenericPortMappingEntry(const UPnPSessionToken UPnPToken, const char* unescaped_NewRemoteHost, const unsigned short NewExternalPort, const char* unescaped_NewProtocol, const unsigned short NewInternalPort, const char* unescaped_NewInternalClient, const int NewEnabled, const char* unescaped_NewPortMappingDescription, const unsigned int NewLeaseDuration)
\brief Response Method for WANIPConnection >> urn:schemas-upnp-org:service:WANIPConnection:1 >> GetGenericPortMappingEntry
\param UPnPToken MicroStack token
\param unescaped_NewRemoteHost Value of argument NewRemoteHost \b     Note: Automatically Escaped
\param NewExternalPort Value of argument NewExternalPort
\param unescaped_NewProtocol Value of argument NewProtocol \b     Note: Automatically Escaped
\param NewInternalPort Value of argument NewInternalPort
\param unescaped_NewInternalClient Value of argument NewInternalClient \b     Note: Automatically Escaped
\param NewEnabled Value of argument NewEnabled
\param unescaped_NewPortMappingDescription Value of argument NewPortMappingDescription \b     Note: Automatically Escaped
\param NewLeaseDuration Value of argument NewLeaseDuration
*/
void UPnPResponse_WANIPConnection_GetGenericPortMappingEntry(const UPnPSessionToken UPnPToken, const char* unescaped_NewRemoteHost, const unsigned short NewExternalPort, const char* unescaped_NewProtocol, const unsigned short NewInternalPort, const char* unescaped_NewInternalClient, const int NewEnabled, const char* unescaped_NewPortMappingDescription, const unsigned int NewLeaseDuration)
{
	char* body;
	char *NewRemoteHost = (char*)malloc(1+ILibXmlEscapeLength(unescaped_NewRemoteHost));
	char *NewProtocol = (char*)malloc(1+ILibXmlEscapeLength(unescaped_NewProtocol));
	char *NewInternalClient = (char*)malloc(1+ILibXmlEscapeLength(unescaped_NewInternalClient));
	char *NewPortMappingDescription = (char*)malloc(1+ILibXmlEscapeLength(unescaped_NewPortMappingDescription));
	
	ILibXmlEscape(NewRemoteHost,unescaped_NewRemoteHost);
	ILibXmlEscape(NewProtocol,unescaped_NewProtocol);
	ILibXmlEscape(NewInternalClient,unescaped_NewInternalClient);
	ILibXmlEscape(NewPortMappingDescription,unescaped_NewPortMappingDescription);
	body = (char*)malloc(309+strlen(NewRemoteHost)+strlen(NewProtocol)+strlen(NewInternalClient)+strlen(NewPortMappingDescription));
	sprintf(body,"<NewRemoteHost>%s</NewRemoteHost><NewExternalPort>%u</NewExternalPort><NewProtocol>%s</NewProtocol><NewInternalPort>%u</NewInternalPort><NewInternalClient>%s</NewInternalClient><NewEnabled>%d</NewEnabled><NewPortMappingDescription>%s</NewPortMappingDescription><NewLeaseDuration>%u</NewLeaseDuration>",NewRemoteHost,NewExternalPort,NewProtocol,NewInternalPort,NewInternalClient,(NewEnabled!=0?1:0),NewPortMappingDescription,NewLeaseDuration);
	UPnPResponseGeneric(UPnPToken,"urn:schemas-upnp-org:service:WANIPConnection:1","GetGenericPortMappingEntry",body);
	free(body);
	free(NewRemoteHost);
	free(NewProtocol);
	free(NewInternalClient);
	free(NewPortMappingDescription);
}

/*! \fn UPnPResponse_WANIPConnection_GetNATRSIPStatus(const UPnPSessionToken UPnPToken, const int NewRSIPAvailable, const int NewNATEnabled)
\brief Response Method for WANIPConnection >> urn:schemas-upnp-org:service:WANIPConnection:1 >> GetNATRSIPStatus
\param UPnPToken MicroStack token
\param NewRSIPAvailable Value of argument NewRSIPAvailable
\param NewNATEnabled Value of argument NewNATEnabled
*/
void UPnPResponse_WANIPConnection_GetNATRSIPStatus(const UPnPSessionToken UPnPToken, const int NewRSIPAvailable, const int NewNATEnabled)
{
	char* body;
	
	body = (char*)malloc(71);
	sprintf(body,"<NewRSIPAvailable>%d</NewRSIPAvailable><NewNATEnabled>%d</NewNATEnabled>",(NewRSIPAvailable!=0?1:0),(NewNATEnabled!=0?1:0));
	UPnPResponseGeneric(UPnPToken,"urn:schemas-upnp-org:service:WANIPConnection:1","GetNATRSIPStatus",body);
	free(body);
}

/*! \fn UPnPResponse_WANIPConnection_GetSpecificPortMappingEntry(const UPnPSessionToken UPnPToken, const unsigned short NewInternalPort, const char* unescaped_NewInternalClient, const int NewEnabled, const char* unescaped_NewPortMappingDescription, const unsigned int NewLeaseDuration)
\brief Response Method for WANIPConnection >> urn:schemas-upnp-org:service:WANIPConnection:1 >> GetSpecificPortMappingEntry
\param UPnPToken MicroStack token
\param NewInternalPort Value of argument NewInternalPort
\param unescaped_NewInternalClient Value of argument NewInternalClient \b     Note: Automatically Escaped
\param NewEnabled Value of argument NewEnabled
\param unescaped_NewPortMappingDescription Value of argument NewPortMappingDescription \b     Note: Automatically Escaped
\param NewLeaseDuration Value of argument NewLeaseDuration
*/
void UPnPResponse_WANIPConnection_GetSpecificPortMappingEntry(const UPnPSessionToken UPnPToken, const unsigned short NewInternalPort, const char* unescaped_NewInternalClient, const int NewEnabled, const char* unescaped_NewPortMappingDescription, const unsigned int NewLeaseDuration)
{
	char* body;
	char *NewInternalClient = (char*)malloc(1+ILibXmlEscapeLength(unescaped_NewInternalClient));
	char *NewPortMappingDescription = (char*)malloc(1+ILibXmlEscapeLength(unescaped_NewPortMappingDescription));
	
	ILibXmlEscape(NewInternalClient,unescaped_NewInternalClient);
	ILibXmlEscape(NewPortMappingDescription,unescaped_NewPortMappingDescription);
	body = (char*)malloc(210+strlen(NewInternalClient)+strlen(NewPortMappingDescription));
	sprintf(body,"<NewInternalPort>%u</NewInternalPort><NewInternalClient>%s</NewInternalClient><NewEnabled>%d</NewEnabled><NewPortMappingDescription>%s</NewPortMappingDescription><NewLeaseDuration>%u</NewLeaseDuration>",NewInternalPort,NewInternalClient,(NewEnabled!=0?1:0),NewPortMappingDescription,NewLeaseDuration);
	UPnPResponseGeneric(UPnPToken,"urn:schemas-upnp-org:service:WANIPConnection:1","GetSpecificPortMappingEntry",body);
	free(body);
	free(NewInternalClient);
	free(NewPortMappingDescription);
}

/*! \fn UPnPResponse_WANIPConnection_GetStatusInfo(const UPnPSessionToken UPnPToken, const char* unescaped_NewConnectionStatus, const char* unescaped_NewLastConnectionError, const unsigned int NewUptime)
\brief Response Method for WANIPConnection >> urn:schemas-upnp-org:service:WANIPConnection:1 >> GetStatusInfo
\param UPnPToken MicroStack token
\param unescaped_NewConnectionStatus Value of argument NewConnectionStatus \b     Note: Automatically Escaped
\param unescaped_NewLastConnectionError Value of argument NewLastConnectionError \b     Note: Automatically Escaped
\param NewUptime Value of argument NewUptime
*/
void UPnPResponse_WANIPConnection_GetStatusInfo(const UPnPSessionToken UPnPToken, const char* unescaped_NewConnectionStatus, const char* unescaped_NewLastConnectionError, const unsigned int NewUptime)
{
	char* body;
	char *NewConnectionStatus = (char*)malloc(1+ILibXmlEscapeLength(unescaped_NewConnectionStatus));
	char *NewLastConnectionError = (char*)malloc(1+ILibXmlEscapeLength(unescaped_NewLastConnectionError));
	
	ILibXmlEscape(NewConnectionStatus,unescaped_NewConnectionStatus);
	ILibXmlEscape(NewLastConnectionError,unescaped_NewLastConnectionError);
	body = (char*)malloc(127+strlen(NewConnectionStatus)+strlen(NewLastConnectionError));
	sprintf(body,"<NewConnectionStatus>%s</NewConnectionStatus><NewLastConnectionError>%s</NewLastConnectionError><NewUptime>%u</NewUptime>",NewConnectionStatus,NewLastConnectionError,NewUptime);
	UPnPResponseGeneric(UPnPToken,"urn:schemas-upnp-org:service:WANIPConnection:1","GetStatusInfo",body);
	free(body);
	free(NewConnectionStatus);
	free(NewLastConnectionError);
}

/*! \fn UPnPResponse_WANIPConnection_RequestConnection(const UPnPSessionToken UPnPToken)
\brief Response Method for WANIPConnection >> urn:schemas-upnp-org:service:WANIPConnection:1 >> RequestConnection
\param UPnPToken MicroStack token
*/
void UPnPResponse_WANIPConnection_RequestConnection(const UPnPSessionToken UPnPToken)
{
	UPnPResponseGeneric(UPnPToken,"urn:schemas-upnp-org:service:WANIPConnection:1","RequestConnection","");
}

/*! \fn UPnPResponse_WANIPConnection_SetConnectionType(const UPnPSessionToken UPnPToken)
\brief Response Method for WANIPConnection >> urn:schemas-upnp-org:service:WANIPConnection:1 >> SetConnectionType
\param UPnPToken MicroStack token
*/
void UPnPResponse_WANIPConnection_SetConnectionType(const UPnPSessionToken UPnPToken)
{
	UPnPResponseGeneric(UPnPToken,"urn:schemas-upnp-org:service:WANIPConnection:1","SetConnectionType","");
}



void UPnPSendEventSink(
void *WebReaderToken,
int IsInterrupt,
struct packetheader *header,
char *buffer,
int *p_BeginPointer,
int EndPointer,
int done,
void *subscriber,
void *upnp,
int *PAUSE)	
{
	if(done!=0 && ((struct SubscriberInfo*)subscriber)->Disposing==0)
	{
		sem_wait(&(((struct UPnPDataObject*)upnp)->EventLock));
		--((struct SubscriberInfo*)subscriber)->RefCount;
		if(((struct SubscriberInfo*)subscriber)->RefCount==0)
		{
			LVL3DEBUG(printf("\r\n\r\nSubscriber at [%s] %d.%d.%d.%d:%d was/did UNSUBSCRIBE while trying to send event\r\n\r\n",((struct SubscriberInfo*)subscriber)->SID,(((struct SubscriberInfo*)subscriber)->Address&0xFF),((((struct SubscriberInfo*)subscriber)->Address>>8)&0xFF),((((struct SubscriberInfo*)subscriber)->Address>>16)&0xFF),((((struct SubscriberInfo*)subscriber)->Address>>24)&0xFF),((struct SubscriberInfo*)subscriber)->Port);)
			UPnPDestructSubscriberInfo(((struct SubscriberInfo*)subscriber));
		}
		else if(header==NULL)
		{
			LVL3DEBUG(printf("\r\n\r\nCould not deliver event for [%s] %d.%d.%d.%d:%d UNSUBSCRIBING\r\n\r\n",((struct SubscriberInfo*)subscriber)->SID,(((struct SubscriberInfo*)subscriber)->Address&0xFF),((((struct SubscriberInfo*)subscriber)->Address>>8)&0xFF),((((struct SubscriberInfo*)subscriber)->Address>>16)&0xFF),((((struct SubscriberInfo*)subscriber)->Address>>24)&0xFF),((struct SubscriberInfo*)subscriber)->Port);)
			// Could not send Event, so unsubscribe the subscriber
			/* Commented by Srikiran - To pass the tests 4.x.x with Certification Tool
			 *	Reason: If we are not able to send event notification, dont delete the subscriber! Wait for the timeout.
			 * 
			 */
			// ((struct SubscriberInfo*)subscriber)->Disposing = 1;
			// UPnPExpireSubscriberInfo(upnp,subscriber); 
		}
		sem_post(&(((struct UPnPDataObject*)upnp)->EventLock));
	}
}
void UPnPSendEvent_Body(void *upnptoken,char *body,int bodylength,struct SubscriberInfo *info)
{
	struct UPnPDataObject* UPnPObject = (struct UPnPDataObject*)upnptoken;
	struct sockaddr_in dest;
	int packetLength;
	char *packet;
	int ipaddr;
	
	memset(&dest,0,sizeof(dest));
	dest.sin_addr.s_addr = info->Address;
	dest.sin_port = htons(info->Port);
	dest.sin_family = AF_INET;
	ipaddr = info->Address;
	
	packet = (char*)malloc(info->PathLength + bodylength + 483);
	packetLength = sprintf(packet,"NOTIFY %s HTTP/1.1\r\nSERVER: %s, UPnP/1.0, Intel MicroStack/1.0.1868\r\nHOST: %d.%d.%d.%d:%d\r\nContent-Type: text/xml; charset=\"utf-8\"\r\nNT: upnp:event\r\nNTS: upnp:propchange\r\nSID: %s\r\nSEQ: %d\r\nContent-Length: %d\r\n\r\n<?xml version=\"1.0\" encoding=\"utf-8\"?><e:propertyset xmlns:e=\"urn:schemas-upnp-org:event-1-0\"><e:property><%s></e:property></e:propertyset>",info->Path,UPnPPLATFORM,(ipaddr&0xFF),((ipaddr>>8)&0xFF),((ipaddr>>16)&0xFF),((ipaddr>>24)&0xFF),info->Port,info->SID,info->SEQ,bodylength+137,body);
	++info->SEQ;
	
	++info->RefCount;
	ILibWebClient_PipelineRequestEx(UPnPObject->EventClient,&dest,packet,packetLength,0,NULL,0,0,&UPnPSendEventSink,info,upnptoken);
}
void UPnPSendEvent(void *upnptoken, char* body, const int bodylength, const char* eventname)
{
	struct SubscriberInfo *info = NULL;
	struct UPnPDataObject* UPnPObject = (struct UPnPDataObject*)upnptoken;
	struct sockaddr_in dest;
	LVL3DEBUG(struct timeval tv;)
	
	if(UPnPObject==NULL)
	{
		free(body);
		return;
	}
	sem_wait(&(UPnPObject->EventLock));
	if(strncmp(eventname,"OSInfo1",7)==0)
	{
		info = UPnPObject->HeadSubscriberPtr_OSInfo1;
	}
	if(strncmp(eventname,"WANCommonInterfaceConfig",24)==0)
	{
		info = UPnPObject->HeadSubscriberPtr_WANCommonInterfaceConfig;
	}
	if(strncmp(eventname,"WANIPConnection",15)==0)
	{
		info = UPnPObject->HeadSubscriberPtr_WANIPConnection;
	}
	
	memset(&dest,0,sizeof(dest));
	while(info!=NULL)
	{
		if(!UPnPSubscriptionExpired(info))
		{
			UPnPSendEvent_Body(upnptoken,body,bodylength,info);
		}
		else
		{
			//Remove Subscriber
			#if defined(WIN32) || defined(_WIN32_WCE)
			LVL3DEBUG(printf("\r\n\r\nTIMESTAMP: %d\r\n",GetTickCount()/1000);)
			#else
			LVL3DEBUG(gettimeofday(&tv,NULL);)
			LVL3DEBUG(printf("\r\n\r\nTIMESTAMP: %d\r\n",tv.tv_sec);)
			#endif
			LVL3DEBUG(printf("Did not renew [%s] %d.%d.%d.%d:%d UNSUBSCRIBING <%d>\r\n\r\n",((struct SubscriberInfo*)info)->SID,(((struct SubscriberInfo*)info)->Address&0xFF),((((struct SubscriberInfo*)info)->Address>>8)&0xFF),((((struct SubscriberInfo*)info)->Address>>16)&0xFF),((((struct SubscriberInfo*)info)->Address>>24)&0xFF),((struct SubscriberInfo*)info)->Port,info);)
			/* Added by Srikiran - Remove the Subscriber if the subsriber dint renew before expiry */
			((struct SubscriberInfo*)info)->Disposing = 1;
			UPnPExpireSubscriberInfo(UPnPObject,(struct SubscriberInfo *)info); 
		}
		
		info = info->Next;
	}
	
	sem_post(&(UPnPObject->EventLock));
}

/*! \fn UPnPSetState_WANCommonInterfaceConfig_PhysicalLinkStatus(UPnPMicroStackToken upnptoken, char* val)
\brief Sets the state of PhysicalLinkStatus << urn:schemas-upnp-org:service:WANCommonInterfaceConfig:1 << WANCommonInterfaceConfig \para
\b Note: Must be called at least once prior to start
\param upnptoken The MicroStack token
\param val The new value of the state variable
*/
void UPnPSetState_WANCommonInterfaceConfig_PhysicalLinkStatus(UPnPMicroStackToken upnptoken, char* val)
{
	struct UPnPDataObject *UPnPObject = (struct UPnPDataObject*)upnptoken;
	char* body;
	int bodylength;
	char* valstr;
	valstr = (char*)malloc(ILibXmlEscapeLength(val)+1);
	ILibXmlEscape(valstr,val);
	if (UPnPObject->WANCommonInterfaceConfig_PhysicalLinkStatus != NULL) free(UPnPObject->WANCommonInterfaceConfig_PhysicalLinkStatus);
	UPnPObject->WANCommonInterfaceConfig_PhysicalLinkStatus = valstr;
	body = (char*)malloc(46 + (int)strlen(valstr));
	bodylength = sprintf(body,"%s>%s</%s","PhysicalLinkStatus",valstr,"PhysicalLinkStatus");
	UPnPSendEvent(upnptoken,body,bodylength,"WANCommonInterfaceConfig");
	free(body);
}

/*! \fn UPnPSetState_WANIPConnection_PossibleConnectionTypes(UPnPMicroStackToken upnptoken, char* val)
\brief Sets the state of PossibleConnectionTypes << urn:schemas-upnp-org:service:WANIPConnection:1 << WANIPConnection \para
\b Note: Must be called at least once prior to start
\param upnptoken The MicroStack token
\param val The new value of the state variable
*/
void UPnPSetState_WANIPConnection_PossibleConnectionTypes(UPnPMicroStackToken upnptoken, char* val)
{
	struct UPnPDataObject *UPnPObject = (struct UPnPDataObject*)upnptoken;
	char* body;
	int bodylength;
	char* valstr;
	valstr = (char*)malloc(ILibXmlEscapeLength(val)+1);
	ILibXmlEscape(valstr,val);
	if (UPnPObject->WANIPConnection_PossibleConnectionTypes != NULL) free(UPnPObject->WANIPConnection_PossibleConnectionTypes);
	UPnPObject->WANIPConnection_PossibleConnectionTypes = valstr;
	body = (char*)malloc(56 + (int)strlen(valstr));
	bodylength = sprintf(body,"%s>%s</%s","PossibleConnectionTypes",valstr,"PossibleConnectionTypes");
	UPnPSendEvent(upnptoken,body,bodylength,"WANIPConnection");
	free(body);
}

/*! \fn UPnPSetState_WANIPConnection_X_Name(UPnPMicroStackToken upnptoken, char* val)
\brief Sets the state of X_Name << urn:schemas-upnp-org:service:WANIPConnection:1 << WANIPConnection \para
\b Note: Must be called at least once prior to start
\param upnptoken The MicroStack token
\param val The new value of the state variable
*/
void UPnPSetState_WANIPConnection_X_Name(UPnPMicroStackToken upnptoken, char* val)
{
	struct UPnPDataObject *UPnPObject = (struct UPnPDataObject*)upnptoken;
	char* body;
	int bodylength;
	char* valstr;
	valstr = (char*)malloc(ILibXmlEscapeLength(val)+1);
	ILibXmlEscape(valstr,val);
	if (UPnPObject->WANIPConnection_X_Name != NULL) free(UPnPObject->WANIPConnection_X_Name);
	UPnPObject->WANIPConnection_X_Name = valstr;
	body = (char*)malloc(22 + (int)strlen(valstr));
	bodylength = sprintf(body,"%s>%s</%s","X_Name",valstr,"X_Name");
	UPnPSendEvent(upnptoken,body,bodylength,"WANIPConnection");
	free(body);
}

/*! \fn UPnPSetState_WANIPConnection_PortMappingNumberOfEntries(UPnPMicroStackToken upnptoken, unsigned short val)
\brief Sets the state of PortMappingNumberOfEntries << urn:schemas-upnp-org:service:WANIPConnection:1 << WANIPConnection \para
\b Note: Must be called at least once prior to start
\param upnptoken The MicroStack token
\param val The new value of the state variable
*/
void UPnPSetState_WANIPConnection_PortMappingNumberOfEntries(UPnPMicroStackToken upnptoken, unsigned short val)
{
	struct UPnPDataObject *UPnPObject = (struct UPnPDataObject*)upnptoken;
	char* body;
	int bodylength;
	char* valstr;
	valstr = (char*)malloc(10);
	sprintf(valstr,"%u",val);
	if (UPnPObject->WANIPConnection_PortMappingNumberOfEntries != NULL) free(UPnPObject->WANIPConnection_PortMappingNumberOfEntries);
	UPnPObject->WANIPConnection_PortMappingNumberOfEntries = valstr;
	body = (char*)malloc(62 + (int)strlen(valstr));
	bodylength = sprintf(body,"%s>%s</%s","PortMappingNumberOfEntries",valstr,"PortMappingNumberOfEntries");
	UPnPSendEvent(upnptoken,body,bodylength,"WANIPConnection");
	free(body);
}

/*! \fn UPnPSetState_WANIPConnection_ExternalIPAddress(UPnPMicroStackToken upnptoken, char* val)
\brief Sets the state of ExternalIPAddress << urn:schemas-upnp-org:service:WANIPConnection:1 << WANIPConnection \para
\b Note: Must be called at least once prior to start
\param upnptoken The MicroStack token
\param val The new value of the state variable
*/
void UPnPSetState_WANIPConnection_ExternalIPAddress(UPnPMicroStackToken upnptoken, char* val)
{
	struct UPnPDataObject *UPnPObject = (struct UPnPDataObject*)upnptoken;
	char* body;
	int bodylength;
	char* valstr;
	valstr = (char*)malloc(ILibXmlEscapeLength(val)+1);
	ILibXmlEscape(valstr,val);
	if (UPnPObject->WANIPConnection_ExternalIPAddress != NULL) free(UPnPObject->WANIPConnection_ExternalIPAddress);
	UPnPObject->WANIPConnection_ExternalIPAddress = valstr;
	body = (char*)malloc(44 + (int)strlen(valstr));
	bodylength = sprintf(body,"%s>%s</%s","ExternalIPAddress",valstr,"ExternalIPAddress");
	UPnPSendEvent(upnptoken,body,bodylength,"WANIPConnection");
	free(body);
}

/*! \fn UPnPSetState_WANIPConnection_ConnectionStatus(UPnPMicroStackToken upnptoken, char* val)
\brief Sets the state of ConnectionStatus << urn:schemas-upnp-org:service:WANIPConnection:1 << WANIPConnection \para
\b Note: Must be called at least once prior to start
\param upnptoken The MicroStack token
\param val The new value of the state variable
*/
void UPnPSetState_WANIPConnection_ConnectionStatus(UPnPMicroStackToken upnptoken, char* val)
{
	struct UPnPDataObject *UPnPObject = (struct UPnPDataObject*)upnptoken;
	char* body;
	int bodylength;
	char* valstr;
	valstr = (char*)malloc(ILibXmlEscapeLength(val)+1);
	ILibXmlEscape(valstr,val);
	if (UPnPObject->WANIPConnection_ConnectionStatus != NULL) free(UPnPObject->WANIPConnection_ConnectionStatus);
	UPnPObject->WANIPConnection_ConnectionStatus = valstr;
	body = (char*)malloc(42 + (int)strlen(valstr));
	bodylength = sprintf(body,"%s>%s</%s","ConnectionStatus",valstr,"ConnectionStatus");
	UPnPSendEvent(upnptoken,body,bodylength,"WANIPConnection");
	free(body);
}



void UPnPDestroyMicroStack(void *object)
{
	struct UPnPDataObject *upnp = (struct UPnPDataObject*)object;
	struct SubscriberInfo  *sinfo,*sinfo2;
	/* Commented by Srikiran - To pass the tests 2.x.x with Certification Tool
	 * Reason - As per the new Certification Tool, the device should not send any ByeBye notification 
	 * 		   on start up or closure.
	 * 
	 * UPnPSendByeBye(upnp);
	 */
	
	sem_destroy(&(upnp->EventLock));
	
	free(upnp->WANCommonInterfaceConfig_PhysicalLinkStatus);
	free(upnp->WANIPConnection_PossibleConnectionTypes);
	free(upnp->WANIPConnection_X_Name);
	free(upnp->WANIPConnection_PortMappingNumberOfEntries);
	free(upnp->WANIPConnection_ExternalIPAddress);
	free(upnp->WANIPConnection_ConnectionStatus);

	free(upnp->message); /* free the RX Buffer */
	free(upnp->AddressList);
	free(upnp->NOTIFY_SEND_socks);
	free(upnp->UUID);
	free(upnp->Serial);
	free(upnp->DeviceDescription);
	
	sinfo = upnp->HeadSubscriberPtr_OSInfo1;
	while(sinfo!=NULL)
	{
		sinfo2 = sinfo->Next;
		UPnPDestructSubscriberInfo(sinfo);
		sinfo = sinfo2;
	}
	sinfo = upnp->HeadSubscriberPtr_WANCommonInterfaceConfig;
	while(sinfo!=NULL)
	{
		sinfo2 = sinfo->Next;
		UPnPDestructSubscriberInfo(sinfo);
		sinfo = sinfo2;
	}
	sinfo = upnp->HeadSubscriberPtr_WANIPConnection;
	while(sinfo!=NULL)
	{
		sinfo2 = sinfo->Next;
		UPnPDestructSubscriberInfo(sinfo);
		sinfo = sinfo2;
	}
	
	
	#if defined(WIN32) || defined(_WIN32_WCE)
	WSACleanup();
	#endif
}
int UPnPGetLocalPortNumber(UPnPSessionToken token)
{
	return(ILibWebServer_GetPortNumber(((struct ILibWebServer_Session*)token)->Parent));
}
void UPnPSessionReceiveSink(
struct ILibWebServer_Session *sender,
int InterruptFlag,
struct packetheader *header,
char *bodyBuffer,
int *beginPointer,
int endPointer,
int done)
{
	if(header!=NULL && done !=0 && InterruptFlag==0)
	{
		UPnPProcessHTTPPacket(sender,header,bodyBuffer,beginPointer==NULL?0:*beginPointer,endPointer);
		if(beginPointer!=NULL) {*beginPointer = endPointer;}
	}
}
void UPnPSessionSink(struct ILibWebServer_Session *SessionToken, void *user)
{
	SessionToken->OnReceive = &UPnPSessionReceiveSink;
	SessionToken->User = user;
}
UPnPMicroStackToken UPnPCreateMicroStack(void *Chain, const char* FriendlyName,const char* FriendlyName2,const char* FriendlyName3,const char* UDN, const char* SerialNumber, const int NotifyCycleSeconds, const unsigned short PortNum)

{
	struct UPnPDataObject* RetVal = (struct UPnPDataObject*)malloc(sizeof(struct UPnPDataObject));
	char* DDT;
	
	#if defined(WIN32) || defined(_WIN32_WCE)
	WORD wVersionRequested;
	WSADATA wsaData;
	srand((int)GetTickCount());
	#ifdef WINSOCK1
	wVersionRequested = MAKEWORD( 1, 1 );	
	#elif WINSOCK2
	wVersionRequested = MAKEWORD( 2, 0 );
	#endif
	if (WSAStartup( wVersionRequested, &wsaData ) != 0) {exit(1);}
	#else
	struct timeval tv;
	gettimeofday(&tv,NULL);
	srand((int)tv.tv_sec);
	#endif
	

	UPnPInit(RetVal,NotifyCycleSeconds,PortNum);
	RetVal->ForceExit = 0;
	RetVal->PreSelect = &UPnPMasterPreSelect;
	RetVal->PostSelect = &UPnPMasterPostSelect;
	RetVal->Destroy = &UPnPDestroyMicroStack;
	RetVal->InitialNotify = 0;	
	/* Allocating RX Buffer */
	RetVal->message = (char *)malloc(UPNP_RX_BUF);
	if (RetVal->message == NULL) {
		printf("UPnP : Message is NULL\n");
		free(RetVal);
		exit(1);
	}
	if (UDN != NULL)
	{
		RetVal->UUID = (char*)malloc((int)strlen(UDN)+6);
		sprintf(RetVal->UUID,"uuid:%s",UDN);
		RetVal->UDN = RetVal->UUID + 5;
	}
	if (SerialNumber != NULL)
	{
		RetVal->Serial = (char*)malloc((int)strlen(SerialNumber)+1);
		strcpy(RetVal->Serial,SerialNumber);
	}

	RetVal->NumberOfSubscribers_OSInfo1 = 0;
	RetVal->NumberOfSubscribers_WANCommonInterfaceConfig = 0;
	RetVal->NumberOfSubscribers_WANIPConnection = 0;
	
	RetVal->DeviceDescription = (char*)malloc(10+UPnPDeviceDescriptionTemplateLengthUX+ (int)strlen(FriendlyName) + (int)strlen(FriendlyName2) + (int)strlen(FriendlyName3)  + (((int)strlen(RetVal->Serial) + (int)strlen(RetVal->UUID)) * 2));
	
	RetVal->WebServerTimer = ILibCreateLifeTime(Chain);
	
	RetVal->HTTPServer = ILibWebServer_Create(Chain,UPNP_HTTP_MAXSOCKETS,PortNum,&UPnPSessionSink,RetVal);
	RetVal->WebSocketPortNumber=(int)ILibWebServer_GetPortNumber(RetVal->HTTPServer);
	
	if (RetVal->WebSocketPortNumber == 0) {
		printf("UPnP : Bind On UPNP_WEB_SERVER_PORT Failed!\n" );
		free(RetVal->HTTPServer);
		free(RetVal->DeviceDescription);
		free(RetVal);
		exit(1);
	}	
	
	ILibAddToChain(Chain,RetVal);
	RetVal->EventClient = ILibCreateWebClient(5,Chain);
	RetVal->Chain = Chain;
	RetVal->UpdateFlag = 0;
	
	DDT = ILibDecompressString((char*)UPnPDeviceDescriptionTemplate,UPnPDeviceDescriptionTemplateLength,UPnPDeviceDescriptionTemplateLengthUX);
	RetVal->DeviceDescriptionLength = sprintf(RetVal->DeviceDescription,DDT,FriendlyName,RetVal->Serial,RetVal->UDN,FriendlyName2,RetVal->Serial,RetVal->UDN,FriendlyName3,RetVal->Serial,RetVal->UDN);
	
	free(DDT);
	
	sem_init(&(RetVal->EventLock),0,1);
	return(RetVal);
}











